declare module '@sage/wh-system-api-partial' {
    import type { Package as SageXtremAppMetadata$Package } from '@sage/xtrem-app-metadata-api';
    import type { Package as SageXtremX3SystemUtils$Package, SysUser } from '@sage/xtrem-x3-system-utils-api';
    import type {
        AggregateQueryOperation,
        AggregateReadOperation,
        BinaryStream,
        ClientCollection,
        ClientNode,
        ClientNodeInput,
        GetDefaultsOperation,
        Operation as Node$Operation,
        QueryOperation,
        ReadOperation,
        VitalClientNode,
        VitalClientNodeInput,
        decimal,
        integer,
    } from '@sage/xtrem-client';
    export interface AmountConversionIntoLetters$Enum {
        noConversion: 1;
        french: 2;
        english: 3;
        german: 4;
        italian: 5;
        spanish: 6;
        portugese: 7;
        turkish: 8;
    }
    export type AmountConversionIntoLetters = keyof AmountConversionIntoLetters$Enum;
    export interface ContactType$Enum {
        standard: 1;
        lead: 2;
    }
    export type ContactType = keyof ContactType$Enum;
    export interface DefinitionLevel$Enum {
        folder: 1;
        company: 2;
        site: 3;
        user: 4;
        legislation: 5;
    }
    export type DefinitionLevel = keyof DefinitionLevel$Enum;
    export interface DestinationTypes$Enum {
        preview: 1;
        printer: 2;
        message: 3;
        file: 4;
        printerFile: 5;
        zplPrinter: 6;
        archiving: 7;
    }
    export type DestinationTypes = keyof DestinationTypes$Enum;
    export interface ExchangeRateType$Enum {
        dailyRate: 1;
        monthlyRate: 2;
        averageRate: 3;
        rateOfDis001: 4;
        eecRate: 5;
    }
    export type ExchangeRateType = keyof ExchangeRateType$Enum;
    export interface FieldType$Enum {
        alphanumeric: 1;
        numeric: 2;
        date: 3;
        localMenu: 4;
    }
    export type FieldType = keyof FieldType$Enum;
    export interface ModuleTable$Enum {
        supervisor: 1;
        geodeGx: 2;
        inactive3: 3;
        inactive4: 4;
        inactive5: 5;
        inactive6: 6;
        inactive7: 7;
        inactive8: 8;
        inactive9: 9;
        inactive10: 10;
        sageX3Internal: 11;
        inactive12: 12;
        inactive13: 13;
        inactive14: 14;
        inactive15: 15;
        customModule1: 16;
        customModule2: 17;
        customModule3: 18;
        customModule4: 19;
    }
    export type ModuleTable = keyof ModuleTable$Enum;
    export interface Orientation$Enum {
        portrait: 1;
        landscape: 2;
    }
    export type Orientation = keyof Orientation$Enum;
    export interface PrinterType$Enum {
        lase: 1;
        graphic: 2;
    }
    export type PrinterType = keyof PrinterType$Enum;
    export interface ProfileTypeFunction$Enum {
        normal: 1;
        administrator: 2;
        developer: 3;
    }
    export type ProfileTypeFunction = keyof ProfileTypeFunction$Enum;
    export interface RegroupingSite$Enum {
        siteGrouping: 1;
        site: 2;
    }
    export type RegroupingSite = keyof RegroupingSite$Enum;
    export interface SortOrder$Enum {
        ascending: 1;
        descending: 2;
    }
    export type SortOrder = keyof SortOrder$Enum;
    export interface TypeOfDependency$Enum {
        none: 1;
        reverse: 2;
        sizing: 3;
        formula: 4;
    }
    export type TypeOfDependency = keyof TypeOfDependency$Enum;
    export interface TypeOfNonStandardFile$Enum {
        unspecified: 1;
        text: 2;
        image: 3;
        office: 4;
        word: 5;
        excel: 6;
        powerPoint: 7;
    }
    export type TypeOfNonStandardFile = keyof TypeOfNonStandardFile$Enum;
    export interface TypesOfActivityCode$Enum {
        functional: 1;
        sizing: 2;
        localization: 3;
    }
    export type TypesOfActivityCode = keyof TypesOfActivityCode$Enum;
    export interface UnitType$Enum {
        length: 1;
        area: 2;
        volume: 3;
        weight: 4;
        time: 5;
        each: 6;
        packing: 7;
        other: 8;
    }
    export type UnitType = keyof UnitType$Enum;
    export interface Access extends ClientNode {
        _updateUser: SysUser;
        _createUser: SysUser;
        access: string;
        description: string;
        description1: string;
    }
    export interface AccessInput extends ClientNodeInput {
        access?: string;
        description?: string;
        description1?: string;
    }
    export interface AccessBinding extends ClientNode {
        _updateUser: SysUser;
        _createUser: SysUser;
        access: string;
        description: string;
        description1: string;
    }
    export interface Access$Operations {
        query: QueryOperation<Access>;
        read: ReadOperation<Access>;
        aggregate: {
            read: AggregateReadOperation<Access>;
            query: AggregateQueryOperation<Access>;
        };
        getDefaults: GetDefaultsOperation<Access>;
    }
    export interface ActionParameter extends ClientNode {
        _updateUser: SysUser;
        _createUser: SysUser;
        code: string;
    }
    export interface ActionParameterInput extends ClientNodeInput {
        code?: string;
    }
    export interface ActionParameterBinding extends ClientNode {
        _updateUser: SysUser;
        _createUser: SysUser;
        code: string;
    }
    export interface ActionParameter$Operations {
        query: QueryOperation<ActionParameter>;
        read: ReadOperation<ActionParameter>;
        aggregate: {
            read: AggregateReadOperation<ActionParameter>;
            query: AggregateQueryOperation<ActionParameter>;
        };
        getDefaults: GetDefaultsOperation<ActionParameter>;
    }
    export interface ActivityCode extends ClientNode {
        _updateUser: SysUser;
        _createUser: SysUser;
        code: string;
        screenSize: integer;
        databaseMinimumSize: integer;
        maximumSize: integer;
        activeFlag: boolean;
        description: integer;
        module: ModuleTable;
        sequence: integer;
        order: integer;
        type: TypesOfActivityCode;
        dependency: TypeOfDependency;
        activityCode: ActivityCode;
        formula: string;
        description1: string;
    }
    export interface ActivityCodeInput extends ClientNodeInput {
        code?: string;
        screenSize?: integer | string;
        databaseMinimumSize?: integer | string;
        maximumSize?: integer | string;
        activeFlag?: boolean | string;
        description?: integer | string;
        module?: ModuleTable;
        sequence?: integer | string;
        order?: integer | string;
        type?: TypesOfActivityCode;
        dependency?: TypeOfDependency;
        activityCode?: string;
        formula?: string;
        description1?: string;
    }
    export interface ActivityCodeBinding extends ClientNode {
        _updateUser: SysUser;
        _createUser: SysUser;
        code: string;
        screenSize: integer;
        databaseMinimumSize: integer;
        maximumSize: integer;
        activeFlag: boolean;
        description: integer;
        module: ModuleTable;
        sequence: integer;
        order: integer;
        type: TypesOfActivityCode;
        dependency: TypeOfDependency;
        activityCode: ActivityCode;
        formula: string;
        description1: string;
    }
    export interface ActivityCode$Lookups {
        activityCode: QueryOperation<ActivityCode>;
    }
    export interface ActivityCode$Operations {
        query: QueryOperation<ActivityCode>;
        read: ReadOperation<ActivityCode>;
        aggregate: {
            read: AggregateReadOperation<ActivityCode>;
            query: AggregateQueryOperation<ActivityCode>;
        };
        lookups(dataOrId: string | { data: ActivityCodeInput }): ActivityCode$Lookups;
        getDefaults: GetDefaultsOperation<ActivityCode>;
    }
    export interface Company extends ClientNode {
        _updateUser: SysUser;
        _createUser: SysUser;
        code: string;
        name: string;
        shortDescription: string;
        isLegalCompany: boolean;
        legislation: MiscellaneousTable;
        logo: Image;
    }
    export interface CompanyInput extends ClientNodeInput {
        code?: string;
        name?: string;
        shortDescription?: string;
        isLegalCompany?: boolean | string;
        legislation?: string;
        logo?: string;
    }
    export interface CompanyBinding extends ClientNode {
        _updateUser: SysUser;
        _createUser: SysUser;
        code: string;
        name: string;
        shortDescription: string;
        isLegalCompany: boolean;
        legislation: MiscellaneousTable;
        logo: Image;
    }
    export interface Company$Lookups {
        legislation: QueryOperation<MiscellaneousTable>;
        logo: QueryOperation<Image>;
    }
    export interface Company$Operations {
        query: QueryOperation<Company>;
        read: ReadOperation<Company>;
        aggregate: {
            read: AggregateReadOperation<Company>;
            query: AggregateQueryOperation<Company>;
        };
        lookups(dataOrId: string | { data: CompanyInput }): Company$Lookups;
        getDefaults: GetDefaultsOperation<Company>;
    }
    export interface Destination extends ClientNode {
        _updateUser: SysUser;
        _createUser: SysUser;
        code: string;
        description: string;
        shortDescription: string;
        isActive: boolean;
        accessCode: Access;
        destination: DestinationTypes;
        destinationFile: string;
        server: string;
        printerName: string;
        driver: string;
        port: string;
        pageOrientation: Orientation;
        printerType: PrinterType;
        numberOfCopies: integer;
        isAssembledCopies: boolean;
        orientation: integer;
    }
    export interface DestinationInput extends ClientNodeInput {
        code?: string;
        description?: string;
        shortDescription?: string;
        isActive?: boolean | string;
        accessCode?: string;
        destination?: DestinationTypes;
        destinationFile?: string;
        server?: string;
        printerName?: string;
        driver?: string;
        port?: string;
        pageOrientation?: Orientation;
        printerType?: PrinterType;
        numberOfCopies?: integer | string;
        isAssembledCopies?: boolean | string;
        orientation?: integer | string;
    }
    export interface DestinationBinding extends ClientNode {
        _updateUser: SysUser;
        _createUser: SysUser;
        code: string;
        description: string;
        shortDescription: string;
        isActive: boolean;
        accessCode: Access;
        destination: DestinationTypes;
        destinationFile: string;
        server: string;
        printerName: string;
        driver: string;
        port: string;
        pageOrientation: Orientation;
        printerType: PrinterType;
        numberOfCopies: integer;
        isAssembledCopies: boolean;
        orientation: integer;
    }
    export interface Destination$Lookups {
        accessCode: QueryOperation<Access>;
    }
    export interface Destination$Operations {
        query: QueryOperation<Destination>;
        read: ReadOperation<Destination>;
        aggregate: {
            read: AggregateReadOperation<Destination>;
            query: AggregateQueryOperation<Destination>;
        };
        lookups(dataOrId: string | { data: DestinationInput }): Destination$Lookups;
        getDefaults: GetDefaultsOperation<Destination>;
    }
    export interface FunctionActions extends VitalClientNode {
        _updateUser: SysUser;
        _createUser: SysUser;
        denormalizedIndex: integer;
        internal: string;
        value: string;
        parameter: ActionParameter;
    }
    export interface FunctionActionsInput extends VitalClientNodeInput {
        denormalizedIndex?: integer | string;
        internal?: string;
        value?: string;
        parameter?: string;
    }
    export interface FunctionActionsBinding extends VitalClientNode {
        _updateUser: SysUser;
        _createUser: SysUser;
        denormalizedIndex: integer;
        internal: string;
        value: string;
        parameter: ActionParameter;
    }
    export interface FunctionActions$Lookups {
        parameter: QueryOperation<ActionParameter>;
    }
    export interface FunctionActions$Operations {
        query: QueryOperation<FunctionActions>;
        read: ReadOperation<FunctionActions>;
        aggregate: {
            read: AggregateReadOperation<FunctionActions>;
            query: AggregateQueryOperation<FunctionActions>;
        };
        lookups(dataOrId: string | { data: FunctionActionsInput }): FunctionActions$Lookups;
        getDefaults: GetDefaultsOperation<FunctionActions>;
    }
    export interface FunctionOptions extends VitalClientNode {
        _updateUser: SysUser;
        _createUser: SysUser;
        denormalizedIndex: integer;
        internal: string;
        code: string;
        activityCode: ActivityCode;
        title: integer;
        function: Function;
    }
    export interface FunctionOptionsInput extends VitalClientNodeInput {
        denormalizedIndex?: integer | string;
        internal?: string;
        code?: string;
        activityCode?: string;
        title?: integer | string;
        function?: string;
    }
    export interface FunctionOptionsBinding extends VitalClientNode {
        _updateUser: SysUser;
        _createUser: SysUser;
        denormalizedIndex: integer;
        internal: string;
        code: string;
        activityCode: ActivityCode;
        title: integer;
        function: Function;
    }
    export interface FunctionOptions$Lookups {
        activityCode: QueryOperation<ActivityCode>;
        function: QueryOperation<Function>;
    }
    export interface FunctionOptions$Operations {
        query: QueryOperation<FunctionOptions>;
        read: ReadOperation<FunctionOptions>;
        aggregate: {
            read: AggregateReadOperation<FunctionOptions>;
            query: AggregateQueryOperation<FunctionOptions>;
        };
        lookups(dataOrId: string | { data: FunctionOptionsInput }): FunctionOptions$Lookups;
        getDefaults: GetDefaultsOperation<FunctionOptions>;
    }
    export interface FunctionVariables extends VitalClientNode {
        _updateUser: SysUser;
        _createUser: SysUser;
        denormalizedIndex: integer;
        internal: string;
        activityCode: ActivityCode;
        value: string;
        variable: string;
    }
    export interface FunctionVariablesInput extends VitalClientNodeInput {
        denormalizedIndex?: integer | string;
        internal?: string;
        activityCode?: string;
        value?: string;
        variable?: string;
    }
    export interface FunctionVariablesBinding extends VitalClientNode {
        _updateUser: SysUser;
        _createUser: SysUser;
        denormalizedIndex: integer;
        internal: string;
        activityCode: ActivityCode;
        value: string;
        variable: string;
    }
    export interface FunctionVariables$Lookups {
        activityCode: QueryOperation<ActivityCode>;
    }
    export interface FunctionVariables$Operations {
        query: QueryOperation<FunctionVariables>;
        read: ReadOperation<FunctionVariables>;
        aggregate: {
            read: AggregateReadOperation<FunctionVariables>;
            query: AggregateQueryOperation<FunctionVariables>;
        };
        lookups(dataOrId: string | { data: FunctionVariablesInput }): FunctionVariables$Lookups;
        getDefaults: GetDefaultsOperation<FunctionVariables>;
    }
    export interface Function extends ClientNode {
        _updateUser: SysUser;
        _createUser: SysUser;
        internal: string;
        entryHelp: integer;
        activityCode: ActivityCode;
        module: ModuleTable;
        external: string;
        number: integer;
        menuTitle: integer;
        parentMenu: Function;
        description: integer;
        noOfOptions: integer;
        rowInMenu: integer;
        menuProcess: string;
        accessTypeObject: boolean;
        numberOfVariables: integer;
        entryPoints: string;
        authorizationSite: boolean;
        single: boolean;
        actions: ClientCollection<FunctionActions>;
        options: ClientCollection<FunctionOptions>;
        variables: ClientCollection<FunctionVariables>;
    }
    export interface FunctionInput extends ClientNodeInput {
        internal?: string;
        entryHelp?: integer | string;
        activityCode?: string;
        module?: ModuleTable;
        external?: string;
        number?: integer | string;
        menuTitle?: integer | string;
        parentMenu?: string;
        description?: integer | string;
        noOfOptions?: integer | string;
        rowInMenu?: integer | string;
        menuProcess?: string;
        accessTypeObject?: boolean | string;
        numberOfVariables?: integer | string;
        entryPoints?: string;
        authorizationSite?: boolean | string;
        single?: boolean | string;
        actions?: Partial<FunctionActionsInput>[];
        options?: Partial<FunctionOptionsInput>[];
        variables?: Partial<FunctionVariablesInput>[];
    }
    export interface FunctionBinding extends ClientNode {
        _updateUser: SysUser;
        _createUser: SysUser;
        internal: string;
        entryHelp: integer;
        activityCode: ActivityCode;
        module: ModuleTable;
        external: string;
        number: integer;
        menuTitle: integer;
        parentMenu: Function;
        description: integer;
        noOfOptions: integer;
        rowInMenu: integer;
        menuProcess: string;
        accessTypeObject: boolean;
        numberOfVariables: integer;
        entryPoints: string;
        authorizationSite: boolean;
        single: boolean;
        actions: ClientCollection<FunctionActionsBinding>;
        options: ClientCollection<FunctionOptionsBinding>;
        variables: ClientCollection<FunctionVariablesBinding>;
    }
    export interface Function$Lookups {
        activityCode: QueryOperation<ActivityCode>;
        parentMenu: QueryOperation<Function>;
    }
    export interface Function$Operations {
        query: QueryOperation<Function>;
        read: ReadOperation<Function>;
        aggregate: {
            read: AggregateReadOperation<Function>;
            query: AggregateQueryOperation<Function>;
        };
        lookups(dataOrId: string | { data: FunctionInput }): Function$Lookups;
        getDefaults: GetDefaultsOperation<Function>;
    }
    export interface FunctionalProfilePerSite extends ClientNode {
        _updateUser: SysUser;
        _createUser: SysUser;
        site: Site;
        profile: UserFunctionProfile;
        function: Function;
        options: string;
    }
    export interface FunctionalProfilePerSiteInput extends ClientNodeInput {
        site?: string;
        profile?: string;
        function?: string;
        options?: string;
    }
    export interface FunctionalProfilePerSiteBinding extends ClientNode {
        _updateUser: SysUser;
        _createUser: SysUser;
        site: Site;
        profile: UserFunctionProfile;
        function: Function;
        options: string;
    }
    export interface FunctionalProfilePerSite$Lookups {
        site: QueryOperation<Site>;
        profile: QueryOperation<UserFunctionProfile>;
        function: QueryOperation<Function>;
    }
    export interface FunctionalProfilePerSite$Operations {
        query: QueryOperation<FunctionalProfilePerSite>;
        read: ReadOperation<FunctionalProfilePerSite>;
        aggregate: {
            read: AggregateReadOperation<FunctionalProfilePerSite>;
            query: AggregateQueryOperation<FunctionalProfilePerSite>;
        };
        lookups(dataOrId: string | { data: FunctionalProfilePerSiteInput }): FunctionalProfilePerSite$Lookups;
        getDefaults: GetDefaultsOperation<FunctionalProfilePerSite>;
    }
    export interface FunctionalProfile extends ClientNode {
        _updateUser: SysUser;
        _createUser: SysUser;
        profile: UserFunctionProfile;
        function: Function;
        siteGrouping: Company;
        menu: RegroupingSite;
        access: boolean;
        options: string;
    }
    export interface FunctionalProfileInput extends ClientNodeInput {
        profile?: string;
        function?: string;
        siteGrouping?: string;
        menu?: RegroupingSite;
        access?: boolean | string;
        options?: string;
    }
    export interface FunctionalProfileBinding extends ClientNode {
        _updateUser: SysUser;
        _createUser: SysUser;
        profile: UserFunctionProfile;
        function: Function;
        siteGrouping: Company;
        menu: RegroupingSite;
        access: boolean;
        options: string;
    }
    export interface FunctionalProfile$Lookups {
        profile: QueryOperation<UserFunctionProfile>;
        function: QueryOperation<Function>;
        siteGrouping: QueryOperation<Company>;
    }
    export interface FunctionalProfile$Operations {
        query: QueryOperation<FunctionalProfile>;
        read: ReadOperation<FunctionalProfile>;
        aggregate: {
            read: AggregateReadOperation<FunctionalProfile>;
            query: AggregateQueryOperation<FunctionalProfile>;
        };
        lookups(dataOrId: string | { data: FunctionalProfileInput }): FunctionalProfile$Lookups;
        getDefaults: GetDefaultsOperation<FunctionalProfile>;
    }
    export interface GeneralParameterSelectableValues extends VitalClientNode {
        _updateUser: SysUser;
        _createUser: SysUser;
        denormalizedIndex: integer;
        code: string;
        value: string;
    }
    export interface GeneralParameterSelectableValuesInput extends VitalClientNodeInput {
        denormalizedIndex?: integer | string;
        code?: string;
        value?: string;
    }
    export interface GeneralParameterSelectableValuesBinding extends VitalClientNode {
        _updateUser: SysUser;
        _createUser: SysUser;
        denormalizedIndex: integer;
        code: string;
        value: string;
    }
    export interface GeneralParameterSelectableValues$Operations {
        query: QueryOperation<GeneralParameterSelectableValues>;
        read: ReadOperation<GeneralParameterSelectableValues>;
        aggregate: {
            read: AggregateReadOperation<GeneralParameterSelectableValues>;
            query: AggregateQueryOperation<GeneralParameterSelectableValues>;
        };
        getDefaults: GetDefaultsOperation<GeneralParameterSelectableValues>;
    }
    export interface GeneralParameter extends ClientNode {
        _updateUser: SysUser;
        _createUser: SysUser;
        code: string;
        chapter: MiscellaneousTable;
        group: MiscellaneousTable;
        description: integer;
        activityCode: ActivityCode;
        valueType: FieldType;
        isEditable: boolean;
        localMenu: integer;
        definitionLevel: DefinitionLevel;
        isOffValue: boolean;
        processing: string;
        selectionOptions: string;
        canUserUpdate: boolean;
        sequence: integer;
        access: Access;
        folderValue: boolean;
        modifyingCondition: string;
        selectableValues: ClientCollection<GeneralParameterSelectableValues>;
    }
    export interface GeneralParameterInput extends ClientNodeInput {
        code?: string;
        chapter?: string;
        group?: string;
        description?: integer | string;
        activityCode?: string;
        valueType?: FieldType;
        isEditable?: boolean | string;
        localMenu?: integer | string;
        definitionLevel?: DefinitionLevel;
        isOffValue?: boolean | string;
        processing?: string;
        selectionOptions?: string;
        canUserUpdate?: boolean | string;
        sequence?: integer | string;
        access?: string;
        folderValue?: boolean | string;
        modifyingCondition?: string;
        selectableValues?: Partial<GeneralParameterSelectableValuesInput>[];
    }
    export interface GeneralParameterBinding extends ClientNode {
        _updateUser: SysUser;
        _createUser: SysUser;
        code: string;
        chapter: MiscellaneousTable;
        group: MiscellaneousTable;
        description: integer;
        activityCode: ActivityCode;
        valueType: FieldType;
        isEditable: boolean;
        localMenu: integer;
        definitionLevel: DefinitionLevel;
        isOffValue: boolean;
        processing: string;
        selectionOptions: string;
        canUserUpdate: boolean;
        sequence: integer;
        access: Access;
        folderValue: boolean;
        modifyingCondition: string;
        selectableValues: ClientCollection<GeneralParameterSelectableValuesBinding>;
    }
    export interface GeneralParameter$Lookups {
        chapter: QueryOperation<MiscellaneousTable>;
        group: QueryOperation<MiscellaneousTable>;
        activityCode: QueryOperation<ActivityCode>;
        access: QueryOperation<Access>;
    }
    export interface GeneralParameter$Operations {
        query: QueryOperation<GeneralParameter>;
        read: ReadOperation<GeneralParameter>;
        aggregate: {
            read: AggregateReadOperation<GeneralParameter>;
            query: AggregateQueryOperation<GeneralParameter>;
        };
        lookups(dataOrId: string | { data: GeneralParameterInput }): GeneralParameter$Lookups;
        getDefaults: GetDefaultsOperation<GeneralParameter>;
    }
    export interface GeneralParametersData extends ClientNode {
        _updateUser: SysUser;
        _createUser: SysUser;
        code: string;
        company: Company;
        siteOrLegislationCode: Site;
        value: string;
        defaultSetOfValues: MiscellaneousTable;
    }
    export interface GeneralParametersDataInput extends ClientNodeInput {
        code?: string;
        company?: string;
        siteOrLegislationCode?: string;
        value?: string;
        defaultSetOfValues?: string;
    }
    export interface GeneralParametersDataBinding extends ClientNode {
        _updateUser: SysUser;
        _createUser: SysUser;
        code: string;
        company: Company;
        siteOrLegislationCode: Site;
        value: string;
        defaultSetOfValues: MiscellaneousTable;
    }
    export interface GeneralParametersData$Mutations {
        readParameterValueDate: Node$Operation<
            {
                parameters?: {
                    company: string;
                    site: string;
                    code: string;
                };
            },
            {
                value: string;
            }
        >;
        readParameterValueInteger: Node$Operation<
            {
                parameters?: {
                    company: string;
                    site: string;
                    code: string;
                };
            },
            {
                value: integer;
            }
        >;
        readParameterValueString: Node$Operation<
            {
                parameters?: {
                    company: string;
                    site: string;
                    code: string;
                };
            },
            {
                value: string;
            }
        >;
    }
    export interface GeneralParametersData$Lookups {
        company: QueryOperation<Company>;
        siteOrLegislationCode: QueryOperation<Site>;
        defaultSetOfValues: QueryOperation<MiscellaneousTable>;
    }
    export interface GeneralParametersData$Operations {
        query: QueryOperation<GeneralParametersData>;
        read: ReadOperation<GeneralParametersData>;
        aggregate: {
            read: AggregateReadOperation<GeneralParametersData>;
            query: AggregateQueryOperation<GeneralParametersData>;
        };
        mutations: GeneralParametersData$Mutations;
        lookups(dataOrId: string | { data: GeneralParametersDataInput }): GeneralParametersData$Lookups;
        getDefaults: GetDefaultsOperation<GeneralParametersData>;
    }
    export interface GenericPrintReport extends ClientNode {
        _updateUser: SysUser;
        _createUser: SysUser;
        reportName: string;
    }
    export interface GenericPrintReportInput extends ClientNodeInput {
        reportName?: string;
    }
    export interface GenericPrintReportBinding extends ClientNode {
        _updateUser: SysUser;
        _createUser: SysUser;
        reportName: string;
    }
    export interface GenericPrintReport$Mutations {
        printReport: Node$Operation<
            {
                parameters?: {
                    reportName: string;
                    language: string;
                    destination: string;
                    parametersNames: string[];
                    parametersValues: string[];
                    errorCode: integer | string;
                };
            },
            {
                errorCode: integer;
            }
        >;
    }
    export interface GenericPrintReport$Operations {
        query: QueryOperation<GenericPrintReport>;
        read: ReadOperation<GenericPrintReport>;
        aggregate: {
            read: AggregateReadOperation<GenericPrintReport>;
            query: AggregateQueryOperation<GenericPrintReport>;
        };
        mutations: GenericPrintReport$Mutations;
        getDefaults: GetDefaultsOperation<GenericPrintReport>;
    }
    export interface Image extends ClientNode {
        _updateUser: SysUser;
        _createUser: SysUser;
        code: string;
        identifier1: string;
        identifier2: string;
        identifier3: string;
        fileName: string;
        data: BinaryStream;
        specialFileType: TypeOfNonStandardFile;
    }
    export interface ImageInput extends ClientNodeInput {
        code?: string;
        identifier1?: string;
        identifier2?: string;
        identifier3?: string;
        fileName?: string;
        data?: BinaryStream;
        specialFileType?: TypeOfNonStandardFile;
    }
    export interface ImageBinding extends ClientNode {
        _updateUser: SysUser;
        _createUser: SysUser;
        code: string;
        identifier1: string;
        identifier2: string;
        identifier3: string;
        fileName: string;
        data: BinaryStream;
        specialFileType: TypeOfNonStandardFile;
    }
    export interface Image$Operations {
        query: QueryOperation<Image>;
        read: ReadOperation<Image>;
        aggregate: {
            read: AggregateReadOperation<Image>;
            query: AggregateQueryOperation<Image>;
        };
        getDefaults: GetDefaultsOperation<Image>;
    }
    export interface Language extends ClientNode {
        _updateUser: SysUser;
        _createUser: SysUser;
        code: string;
        conversion: AmountConversionIntoLetters;
        standardLanguage: boolean;
        iso: string;
        unicodeLanguage: boolean;
        connectionLanguage: boolean;
        backupLanguage: Language;
        shortDescription: string;
        description: string;
        primaryLanguage: Language;
    }
    export interface LanguageInput extends ClientNodeInput {
        code?: string;
        conversion?: AmountConversionIntoLetters;
        standardLanguage?: boolean | string;
        iso?: string;
        unicodeLanguage?: boolean | string;
        connectionLanguage?: boolean | string;
        backupLanguage?: string;
        shortDescription?: string;
        description?: string;
        primaryLanguage?: string;
    }
    export interface LanguageBinding extends ClientNode {
        _updateUser: SysUser;
        _createUser: SysUser;
        code: string;
        conversion: AmountConversionIntoLetters;
        standardLanguage: boolean;
        iso: string;
        unicodeLanguage: boolean;
        connectionLanguage: boolean;
        backupLanguage: Language;
        shortDescription: string;
        description: string;
        primaryLanguage: Language;
    }
    export interface Language$Lookups {
        backupLanguage: QueryOperation<Language>;
        primaryLanguage: QueryOperation<Language>;
    }
    export interface Language$Operations {
        query: QueryOperation<Language>;
        read: ReadOperation<Language>;
        aggregate: {
            read: AggregateReadOperation<Language>;
            query: AggregateQueryOperation<Language>;
        };
        lookups(dataOrId: string | { data: LanguageInput }): Language$Lookups;
        getDefaults: GetDefaultsOperation<Language>;
    }
    export interface MiscellaneousTable extends ClientNode {
        _updateUser: SysUser;
        _createUser: SysUser;
        glossaryId: MiscellaneousTables;
        code: string;
        alpha1: string;
        alpha2: string;
        alpha3: string;
        alpha4: string;
        alpha5: string;
        alpha6: string;
        alpha7: string;
        alpha8: string;
        alpha9: string;
        alpha10: string;
        alpha11: string;
        alpha12: string;
        alpha13: string;
        alpha14: string;
        alpha15: string;
        numeric1: string;
        numeric2: string;
        numeric3: string;
        numeric4: string;
        numeric5: string;
        numeric6: string;
        numeric7: string;
        numeric8: string;
        numeric9: string;
        numeric10: string;
        numeric11: string;
        numeric12: string;
        numeric13: string;
        numeric14: string;
        numeric15: string;
        description: string;
        shortDescription: string;
        defaultValue: boolean;
        dependency: MiscellaneousTable;
        legislation: MiscellaneousTable;
        activeFlag: boolean;
    }
    export interface MiscellaneousTableInput extends ClientNodeInput {
        glossaryId?: integer | string;
        code?: string;
        alpha1?: string;
        alpha2?: string;
        alpha3?: string;
        alpha4?: string;
        alpha5?: string;
        alpha6?: string;
        alpha7?: string;
        alpha8?: string;
        alpha9?: string;
        alpha10?: string;
        alpha11?: string;
        alpha12?: string;
        alpha13?: string;
        alpha14?: string;
        alpha15?: string;
        numeric1?: decimal | string;
        numeric2?: decimal | string;
        numeric3?: decimal | string;
        numeric4?: decimal | string;
        numeric5?: decimal | string;
        numeric6?: decimal | string;
        numeric7?: decimal | string;
        numeric8?: decimal | string;
        numeric9?: decimal | string;
        numeric10?: decimal | string;
        numeric11?: decimal | string;
        numeric12?: decimal | string;
        numeric13?: decimal | string;
        numeric14?: decimal | string;
        numeric15?: decimal | string;
        description?: string;
        shortDescription?: string;
        defaultValue?: boolean | string;
        dependency?: string;
        legislation?: string;
        activeFlag?: boolean | string;
    }
    export interface MiscellaneousTableBinding extends ClientNode {
        _updateUser: SysUser;
        _createUser: SysUser;
        glossaryId: MiscellaneousTables;
        code: string;
        alpha1: string;
        alpha2: string;
        alpha3: string;
        alpha4: string;
        alpha5: string;
        alpha6: string;
        alpha7: string;
        alpha8: string;
        alpha9: string;
        alpha10: string;
        alpha11: string;
        alpha12: string;
        alpha13: string;
        alpha14: string;
        alpha15: string;
        numeric1: string;
        numeric2: string;
        numeric3: string;
        numeric4: string;
        numeric5: string;
        numeric6: string;
        numeric7: string;
        numeric8: string;
        numeric9: string;
        numeric10: string;
        numeric11: string;
        numeric12: string;
        numeric13: string;
        numeric14: string;
        numeric15: string;
        description: string;
        shortDescription: string;
        defaultValue: boolean;
        dependency: MiscellaneousTable;
        legislation: MiscellaneousTable;
        activeFlag: boolean;
    }
    export interface MiscellaneousTable$Lookups {
        glossaryId: QueryOperation<MiscellaneousTables>;
        dependency: QueryOperation<MiscellaneousTable>;
        legislation: QueryOperation<MiscellaneousTable>;
    }
    export interface MiscellaneousTable$Operations {
        query: QueryOperation<MiscellaneousTable>;
        read: ReadOperation<MiscellaneousTable>;
        aggregate: {
            read: AggregateReadOperation<MiscellaneousTable>;
            query: AggregateQueryOperation<MiscellaneousTable>;
        };
        lookups(dataOrId: string | { data: MiscellaneousTableInput }): MiscellaneousTable$Lookups;
        getDefaults: GetDefaultsOperation<MiscellaneousTable>;
    }
    export interface MiscellaneousTables extends ClientNode {
        _updateUser: SysUser;
        _createUser: SysUser;
        glossaryId: integer;
        tableNumber: string;
        description: string;
        shortDescription: string;
        alpha1: string;
        type1: string;
        option1: string;
        alpha2: string;
        type2: string;
        option2: string;
        numeric1: string;
        type3: string;
        option3: string;
        numeric2: string;
        type4: string;
        option4: string;
        number: integer;
        activityCode: ActivityCode;
        access: Access;
        module: ModuleTable;
        dependency: MiscellaneousTables;
        modifiableLength: boolean;
        length: integer;
        companyFilter: boolean;
        legislationMandatory: boolean;
        filterLegislation: boolean;
        activeFlag: boolean;
    }
    export interface MiscellaneousTablesInput extends ClientNodeInput {
        glossaryId?: integer | string;
        tableNumber?: string;
        description?: string;
        shortDescription?: string;
        alpha1?: string;
        type1?: string;
        option1?: string;
        alpha2?: string;
        type2?: string;
        option2?: string;
        numeric1?: string;
        type3?: string;
        option3?: string;
        numeric2?: string;
        type4?: string;
        option4?: string;
        number?: integer | string;
        activityCode?: string;
        access?: string;
        module?: ModuleTable;
        dependency?: integer | string;
        modifiableLength?: boolean | string;
        length?: integer | string;
        companyFilter?: boolean | string;
        legislationMandatory?: boolean | string;
        filterLegislation?: boolean | string;
        activeFlag?: boolean | string;
    }
    export interface MiscellaneousTablesBinding extends ClientNode {
        _updateUser: SysUser;
        _createUser: SysUser;
        glossaryId: integer;
        tableNumber: string;
        description: string;
        shortDescription: string;
        alpha1: string;
        type1: string;
        option1: string;
        alpha2: string;
        type2: string;
        option2: string;
        numeric1: string;
        type3: string;
        option3: string;
        numeric2: string;
        type4: string;
        option4: string;
        number: integer;
        activityCode: ActivityCode;
        access: Access;
        module: ModuleTable;
        dependency: MiscellaneousTables;
        modifiableLength: boolean;
        length: integer;
        companyFilter: boolean;
        legislationMandatory: boolean;
        filterLegislation: boolean;
        activeFlag: boolean;
    }
    export interface MiscellaneousTables$Lookups {
        activityCode: QueryOperation<ActivityCode>;
        access: QueryOperation<Access>;
        dependency: QueryOperation<MiscellaneousTables>;
    }
    export interface MiscellaneousTables$Operations {
        query: QueryOperation<MiscellaneousTables>;
        read: ReadOperation<MiscellaneousTables>;
        aggregate: {
            read: AggregateReadOperation<MiscellaneousTables>;
            query: AggregateQueryOperation<MiscellaneousTables>;
        };
        lookups(dataOrId: string | { data: MiscellaneousTablesInput }): MiscellaneousTables$Lookups;
        getDefaults: GetDefaultsOperation<MiscellaneousTables>;
    }
    export interface Site extends ClientNode {
        _updateUser: SysUser;
        _createUser: SysUser;
        code: string;
        name: string;
        isManufacturing: boolean;
        isStockSite: boolean;
        legalCompany: Company;
    }
    export interface SiteInput extends ClientNodeInput {
        code?: string;
        name?: string;
        isManufacturing?: boolean | string;
        isStockSite?: boolean | string;
        legalCompany?: string;
    }
    export interface SiteBinding extends ClientNode {
        _updateUser: SysUser;
        _createUser: SysUser;
        code: string;
        name: string;
        isManufacturing: boolean;
        isStockSite: boolean;
        legalCompany: Company;
    }
    export interface Site$Lookups {
        legalCompany: QueryOperation<Company>;
    }
    export interface Site$Operations {
        query: QueryOperation<Site>;
        read: ReadOperation<Site>;
        aggregate: {
            read: AggregateReadOperation<Site>;
            query: AggregateQueryOperation<Site>;
        };
        lookups(dataOrId: string | { data: SiteInput }): Site$Lookups;
        getDefaults: GetDefaultsOperation<Site>;
    }
    export interface SyracusMethod extends ClientNode {
        _updateUser: SysUser;
        _createUser: SysUser;
        profession: string;
        description: string;
        menuProfile: UserProfileMenu;
        functionProfile: UserFunctionProfile;
        biUserProfile: string;
        safeX3WasProfile: string;
    }
    export interface SyracusMethodInput extends ClientNodeInput {
        profession?: string;
        description?: string;
        menuProfile?: integer | string;
        functionProfile?: string;
        biUserProfile?: string;
        safeX3WasProfile?: string;
    }
    export interface SyracusMethodBinding extends ClientNode {
        _updateUser: SysUser;
        _createUser: SysUser;
        profession: string;
        description: string;
        menuProfile: UserProfileMenu;
        functionProfile: UserFunctionProfile;
        biUserProfile: string;
        safeX3WasProfile: string;
    }
    export interface SyracusMethod$Lookups {
        menuProfile: QueryOperation<UserProfileMenu>;
        functionProfile: QueryOperation<UserFunctionProfile>;
    }
    export interface SyracusMethod$Operations {
        query: QueryOperation<SyracusMethod>;
        read: ReadOperation<SyracusMethod>;
        aggregate: {
            read: AggregateReadOperation<SyracusMethod>;
            query: AggregateQueryOperation<SyracusMethod>;
        };
        lookups(dataOrId: string | { data: SyracusMethodInput }): SyracusMethod$Lookups;
        getDefaults: GetDefaultsOperation<SyracusMethod>;
    }
    export interface UserAccess extends ClientNode {
        _updateUser: SysUser;
        _createUser: SysUser;
        profile: UserFunctionProfile;
        access: Access;
        user: User;
        inquiry: boolean;
        execution: boolean;
        modification: boolean;
    }
    export interface UserAccessInput extends ClientNodeInput {
        profile?: string;
        access?: string;
        user?: string;
        inquiry?: boolean | string;
        execution?: boolean | string;
        modification?: boolean | string;
    }
    export interface UserAccessBinding extends ClientNode {
        _updateUser: SysUser;
        _createUser: SysUser;
        profile: UserFunctionProfile;
        access: Access;
        user: User;
        inquiry: boolean;
        execution: boolean;
        modification: boolean;
    }
    export interface UserAccess$Lookups {
        profile: QueryOperation<UserFunctionProfile>;
        access: QueryOperation<Access>;
        user: QueryOperation<User>;
    }
    export interface UserAccess$Operations {
        query: QueryOperation<UserAccess>;
        read: ReadOperation<UserAccess>;
        aggregate: {
            read: AggregateReadOperation<UserAccess>;
            query: AggregateQueryOperation<UserAccess>;
        };
        lookups(dataOrId: string | { data: UserAccessInput }): UserAccess$Lookups;
        getDefaults: GetDefaultsOperation<UserAccess>;
    }
    export interface UserFunctionProfileUserProfileDefaultSites extends VitalClientNode {
        _updateUser: SysUser;
        _createUser: SysUser;
        denormalizedIndex: integer;
        profile: string;
        site: Site;
    }
    export interface UserFunctionProfileUserProfileDefaultSitesInput extends VitalClientNodeInput {
        denormalizedIndex?: integer | string;
        profile?: string;
        site?: string;
    }
    export interface UserFunctionProfileUserProfileDefaultSitesBinding extends VitalClientNode {
        _updateUser: SysUser;
        _createUser: SysUser;
        denormalizedIndex: integer;
        profile: string;
        site: Site;
    }
    export interface UserFunctionProfileUserProfileDefaultSites$Lookups {
        site: QueryOperation<Site>;
    }
    export interface UserFunctionProfileUserProfileDefaultSites$Operations {
        query: QueryOperation<UserFunctionProfileUserProfileDefaultSites>;
        read: ReadOperation<UserFunctionProfileUserProfileDefaultSites>;
        aggregate: {
            read: AggregateReadOperation<UserFunctionProfileUserProfileDefaultSites>;
            query: AggregateQueryOperation<UserFunctionProfileUserProfileDefaultSites>;
        };
        lookups(
            dataOrId: string | { data: UserFunctionProfileUserProfileDefaultSitesInput },
        ): UserFunctionProfileUserProfileDefaultSites$Lookups;
        getDefaults: GetDefaultsOperation<UserFunctionProfileUserProfileDefaultSites>;
    }
    export interface UserFunctionProfile extends ClientNode {
        _updateUser: SysUser;
        _createUser: SysUser;
        profile: string;
        description: string;
        allAccessAllowed: boolean;
        deferredPrint: boolean;
        reportFilters: string;
        allAuthorizedFunctions: boolean;
        fixedDashboard: boolean;
        userProfileDefaultSites: ClientCollection<UserFunctionProfileUserProfileDefaultSites>;
    }
    export interface UserFunctionProfileInput extends ClientNodeInput {
        profile?: string;
        description?: string;
        allAccessAllowed?: boolean | string;
        deferredPrint?: boolean | string;
        reportFilters?: string;
        allAuthorizedFunctions?: boolean | string;
        fixedDashboard?: boolean | string;
        userProfileDefaultSites?: Partial<UserFunctionProfileUserProfileDefaultSitesInput>[];
    }
    export interface UserFunctionProfileBinding extends ClientNode {
        _updateUser: SysUser;
        _createUser: SysUser;
        profile: string;
        description: string;
        allAccessAllowed: boolean;
        deferredPrint: boolean;
        reportFilters: string;
        allAuthorizedFunctions: boolean;
        fixedDashboard: boolean;
        userProfileDefaultSites: ClientCollection<UserFunctionProfileUserProfileDefaultSitesBinding>;
    }
    export interface UserFunctionProfile$Operations {
        query: QueryOperation<UserFunctionProfile>;
        read: ReadOperation<UserFunctionProfile>;
        aggregate: {
            read: AggregateReadOperation<UserFunctionProfile>;
            query: AggregateQueryOperation<UserFunctionProfile>;
        };
        getDefaults: GetDefaultsOperation<UserFunctionProfile>;
    }
    export interface UserFunctions extends VitalClientNode {
        _updateUser: SysUser;
        _createUser: SysUser;
        denormalizedIndex: integer;
        code: string;
        function: Function;
        parameter: string;
    }
    export interface UserFunctionsInput extends VitalClientNodeInput {
        denormalizedIndex?: integer | string;
        code?: string;
        function?: string;
        parameter?: string;
    }
    export interface UserFunctionsBinding extends VitalClientNode {
        _updateUser: SysUser;
        _createUser: SysUser;
        denormalizedIndex: integer;
        code: string;
        function: Function;
        parameter: string;
    }
    export interface UserFunctions$Lookups {
        function: QueryOperation<Function>;
    }
    export interface UserFunctions$Operations {
        query: QueryOperation<UserFunctions>;
        read: ReadOperation<UserFunctions>;
        aggregate: {
            read: AggregateReadOperation<UserFunctions>;
            query: AggregateQueryOperation<UserFunctions>;
        };
        lookups(dataOrId: string | { data: UserFunctionsInput }): UserFunctions$Lookups;
        getDefaults: GetDefaultsOperation<UserFunctions>;
    }
    export interface UserParameterValue extends ClientNode {
        _updateUser: SysUser;
        _createUser: SysUser;
        description: string;
        user: User;
        value: string;
        defaultSetOfValues: MiscellaneousTable;
    }
    export interface UserParameterValueInput extends ClientNodeInput {
        description?: string;
        user?: string;
        value?: string;
        defaultSetOfValues?: string;
    }
    export interface UserParameterValueBinding extends ClientNode {
        _updateUser: SysUser;
        _createUser: SysUser;
        description: string;
        user: User;
        value: string;
        defaultSetOfValues: MiscellaneousTable;
    }
    export interface UserParameterValue$Mutations {
        readByUserParameterValueDate: Node$Operation<
            {
                parameters?: {
                    code: string;
                    user: string;
                };
            },
            {
                value: string;
            }
        >;
        readByUserParameterValueInteger: Node$Operation<
            {
                parameters?: {
                    code: string;
                    user: string;
                };
            },
            {
                value: integer;
            }
        >;
        readByUserParameterValueString: Node$Operation<
            {
                parameters?: {
                    code: string;
                    user: string;
                };
            },
            {
                value: string;
            }
        >;
        readParameterValueDate: Node$Operation<
            {
                parameters?: {
                    code: string;
                };
            },
            {
                value: string;
            }
        >;
        readParameterValueInteger: Node$Operation<
            {
                parameters?: {
                    code: string;
                };
            },
            {
                value: integer;
            }
        >;
        readParameterValueString: Node$Operation<
            {
                parameters?: {
                    code: string;
                };
            },
            {
                value: string;
            }
        >;
        updateUserSiteDepositor: Node$Operation<
            {
                parameters?: {
                    user: string;
                    site: string;
                    depositor: string;
                    errorCode: integer | string;
                };
            },
            {
                errorCode: integer;
            }
        >;
    }
    export interface UserParameterValue$Lookups {
        user: QueryOperation<User>;
        defaultSetOfValues: QueryOperation<MiscellaneousTable>;
    }
    export interface UserParameterValue$Operations {
        query: QueryOperation<UserParameterValue>;
        read: ReadOperation<UserParameterValue>;
        aggregate: {
            read: AggregateReadOperation<UserParameterValue>;
            query: AggregateQueryOperation<UserParameterValue>;
        };
        mutations: UserParameterValue$Mutations;
        lookups(dataOrId: string | { data: UserParameterValueInput }): UserParameterValue$Lookups;
        getDefaults: GetDefaultsOperation<UserParameterValue>;
    }
    export interface UserProfileMenu extends ClientNode {
        _updateUser: SysUser;
        _createUser: SysUser;
        profile: string;
        module: ModuleTable;
        profileType: ProfileTypeFunction;
        memory: integer;
        profileDescription: string;
        startMenu: string;
    }
    export interface UserProfileMenuInput extends ClientNodeInput {
        profile?: string;
        module?: ModuleTable;
        profileType?: ProfileTypeFunction;
        memory?: integer | string;
        profileDescription?: string;
        startMenu?: string;
    }
    export interface UserProfileMenuBinding extends ClientNode {
        _updateUser: SysUser;
        _createUser: SysUser;
        profile: string;
        module: ModuleTable;
        profileType: ProfileTypeFunction;
        memory: integer;
        profileDescription: string;
        startMenu: string;
    }
    export interface UserProfileMenu$Operations {
        query: QueryOperation<UserProfileMenu>;
        read: ReadOperation<UserProfileMenu>;
        aggregate: {
            read: AggregateReadOperation<UserProfileMenu>;
            query: AggregateQueryOperation<UserProfileMenu>;
        };
        getDefaults: GetDefaultsOperation<UserProfileMenu>;
    }
    export interface UserSupervisors extends VitalClientNode {
        _updateUser: SysUser;
        _createUser: SysUser;
        denormalizedIndex: integer;
        code: string;
        supervisor: User;
    }
    export interface UserSupervisorsInput extends VitalClientNodeInput {
        denormalizedIndex?: integer | string;
        code?: string;
        supervisor?: string;
    }
    export interface UserSupervisorsBinding extends VitalClientNode {
        _updateUser: SysUser;
        _createUser: SysUser;
        denormalizedIndex: integer;
        code: string;
        supervisor: User;
    }
    export interface UserSupervisors$Lookups {
        supervisor: QueryOperation<User>;
    }
    export interface UserSupervisors$Operations {
        query: QueryOperation<UserSupervisors>;
        read: ReadOperation<UserSupervisors>;
        aggregate: {
            read: AggregateReadOperation<UserSupervisors>;
            query: AggregateQueryOperation<UserSupervisors>;
        };
        lookups(dataOrId: string | { data: UserSupervisorsInput }): UserSupervisors$Lookups;
        getDefaults: GetDefaultsOperation<UserSupervisors>;
    }
    export interface UserUserDestinations extends VitalClientNode {
        _updateUser: SysUser;
        _createUser: SysUser;
        denormalizedIndex: integer;
        code: string;
        destination: Destination;
    }
    export interface UserUserDestinationsInput extends VitalClientNodeInput {
        denormalizedIndex?: integer | string;
        code?: string;
        destination?: string;
    }
    export interface UserUserDestinationsBinding extends VitalClientNode {
        _updateUser: SysUser;
        _createUser: SysUser;
        denormalizedIndex: integer;
        code: string;
        destination: Destination;
    }
    export interface UserUserDestinations$Lookups {
        destination: QueryOperation<Destination>;
    }
    export interface UserUserDestinations$Operations {
        query: QueryOperation<UserUserDestinations>;
        read: ReadOperation<UserUserDestinations>;
        aggregate: {
            read: AggregateReadOperation<UserUserDestinations>;
            query: AggregateQueryOperation<UserUserDestinations>;
        };
        lookups(dataOrId: string | { data: UserUserDestinationsInput }): UserUserDestinations$Lookups;
        getDefaults: GetDefaultsOperation<UserUserDestinations>;
    }
    export interface User extends ClientNode {
        _updateUser: SysUser;
        _createUser: SysUser;
        code: string;
        activeInSelec: boolean;
        name: string;
        nameDescription: string;
        profession: SyracusMethod;
        menuProfile: UserProfileMenu;
        functionProfile: UserFunctionProfile;
        email: string;
        login: string;
        allAccessCodes: boolean;
        externalUser: boolean;
        x3Connection: boolean;
        webServicesConnection: boolean;
        defaultBankId: string;
        access: Access;
        bankIdNumber: string;
        userModel: User;
        profile: string;
        image: Image;
        picture: BinaryStream;
        functions: ClientCollection<UserFunctions>;
        supervisors: ClientCollection<UserSupervisors>;
        userDestinations: ClientCollection<UserUserDestinations>;
    }
    export interface UserInput extends ClientNodeInput {
        code?: string;
        activeInSelec?: boolean | string;
        name?: string;
        nameDescription?: string;
        profession?: string;
        menuProfile?: integer | string;
        functionProfile?: string;
        email?: string;
        login?: string;
        allAccessCodes?: boolean | string;
        externalUser?: boolean | string;
        x3Connection?: boolean | string;
        webServicesConnection?: boolean | string;
        defaultBankId?: string;
        access?: string;
        bankIdNumber?: string;
        userModel?: string;
        profile?: string;
        image?: string;
        picture?: BinaryStream;
        functions?: Partial<UserFunctionsInput>[];
        supervisors?: Partial<UserSupervisorsInput>[];
        userDestinations?: Partial<UserUserDestinationsInput>[];
    }
    export interface UserBinding extends ClientNode {
        _updateUser: SysUser;
        _createUser: SysUser;
        code: string;
        activeInSelec: boolean;
        name: string;
        nameDescription: string;
        profession: SyracusMethod;
        menuProfile: UserProfileMenu;
        functionProfile: UserFunctionProfile;
        email: string;
        login: string;
        allAccessCodes: boolean;
        externalUser: boolean;
        x3Connection: boolean;
        webServicesConnection: boolean;
        defaultBankId: string;
        access: Access;
        bankIdNumber: string;
        userModel: User;
        profile: string;
        image: Image;
        picture: BinaryStream;
        functions: ClientCollection<UserFunctionsBinding>;
        supervisors: ClientCollection<UserSupervisorsBinding>;
        userDestinations: ClientCollection<UserUserDestinationsBinding>;
    }
    export interface User$Lookups {
        profession: QueryOperation<SyracusMethod>;
        menuProfile: QueryOperation<UserProfileMenu>;
        functionProfile: QueryOperation<UserFunctionProfile>;
        access: QueryOperation<Access>;
        userModel: QueryOperation<User>;
        image: QueryOperation<Image>;
    }
    export interface User$Operations {
        query: QueryOperation<User>;
        read: ReadOperation<User>;
        aggregate: {
            read: AggregateReadOperation<User>;
            query: AggregateQueryOperation<User>;
        };
        lookups(dataOrId: string | { data: UserInput }): User$Lookups;
        getDefaults: GetDefaultsOperation<User>;
    }
    export interface Package {
        '@sage/wh-system/Access': Access$Operations;
        '@sage/wh-system/ActionParameter': ActionParameter$Operations;
        '@sage/wh-system/ActivityCode': ActivityCode$Operations;
        '@sage/wh-system/Company': Company$Operations;
        '@sage/wh-system/Destination': Destination$Operations;
        '@sage/wh-system/FunctionActions': FunctionActions$Operations;
        '@sage/wh-system/FunctionOptions': FunctionOptions$Operations;
        '@sage/wh-system/FunctionVariables': FunctionVariables$Operations;
        '@sage/wh-system/Function': Function$Operations;
        '@sage/wh-system/FunctionalProfilePerSite': FunctionalProfilePerSite$Operations;
        '@sage/wh-system/FunctionalProfile': FunctionalProfile$Operations;
        '@sage/wh-system/GeneralParameterSelectableValues': GeneralParameterSelectableValues$Operations;
        '@sage/wh-system/GeneralParameter': GeneralParameter$Operations;
        '@sage/wh-system/GeneralParametersData': GeneralParametersData$Operations;
        '@sage/wh-system/GenericPrintReport': GenericPrintReport$Operations;
        '@sage/wh-system/Image': Image$Operations;
        '@sage/wh-system/Language': Language$Operations;
        '@sage/wh-system/MiscellaneousTable': MiscellaneousTable$Operations;
        '@sage/wh-system/MiscellaneousTables': MiscellaneousTables$Operations;
        '@sage/wh-system/Site': Site$Operations;
        '@sage/wh-system/SyracusMethod': SyracusMethod$Operations;
        '@sage/wh-system/UserAccess': UserAccess$Operations;
        '@sage/wh-system/UserFunctionProfileUserProfileDefaultSites': UserFunctionProfileUserProfileDefaultSites$Operations;
        '@sage/wh-system/UserFunctionProfile': UserFunctionProfile$Operations;
        '@sage/wh-system/UserFunctions': UserFunctions$Operations;
        '@sage/wh-system/UserParameterValue': UserParameterValue$Operations;
        '@sage/wh-system/UserProfileMenu': UserProfileMenu$Operations;
        '@sage/wh-system/UserSupervisors': UserSupervisors$Operations;
        '@sage/wh-system/UserUserDestinations': UserUserDestinations$Operations;
        '@sage/wh-system/User': User$Operations;
    }
    export interface GraphApi extends Package, SageXtremAppMetadata$Package, SageXtremX3SystemUtils$Package {}
}
declare module '@sage/wh-system-api' {
    export type * from '@sage/wh-system-api-partial';
}
declare module '@sage/xtrem-app-metadata-api-partial' {
    import type { GraphApi as GraphApiExtension } from '@sage/wh-system-api';
    export interface GraphApi extends GraphApiExtension {}
}
declare module '@sage/xtrem-x3-system-utils-api-partial' {
    import type { GraphApi as GraphApiExtension } from '@sage/wh-system-api';
    export interface GraphApi extends GraphApiExtension {}
}
