/**
 * Client functions for user extension : temporary functions before server-side implementation
 */
import { Depositor } from '@sage/wh-master-data-api';
import { Site, User } from '@sage/wh-system-api';
/**
 * get default site for the user for GEODE module
 * @param user
 * @returns default site for the user
 */
export declare function getDefaultSite(user: User): Site | null;
/**
 * get site for the user for GEODE module
 * @param user
 * @returns default site for the user
 */
export declare function getByUserCurrentSiteCode(pageInstance: any, userCode: string): Promise<string | null>;
/**
 * get depositor for the user for GEODE module
 * @param userCode
 * @returns default site for the user
 */
export declare function getByUserCurrentDepositorCode(pageInstance: any, userCode: string): Promise<string | null>;
/**
 * Check if you can enter the site
 * @param pageInstance current page instance
 * @param userCode
 * @returns
 */
export declare function getIsByUserAllowedSiteChange(pageInstance: any, userCode: string): Promise<boolean>;
/**
 * @param pageInstance current page instance
 * Check if you can enter the depositor
 * @param userCode
 * @returns
 */
export declare function getIsByUserAllowedDepositorChange(pageInstance: any, userCode: string): Promise<boolean>;
/**
 * Read record section
 */
/**
 * Read site from given site
 * Only instance with property code
 * @param pageInstance
 * @param siteCode
 * @param depositorCode
 * @returns site when exist
 */
export declare function readSite(pageInstance: any, siteCode: string): Promise<Site | null>;
/**
 * Read depositor from given site and depositor codes
 * Only instance with property site and code
 * @param pageInstance
 * @param siteCode
 * @param depositorCode
 * @returns depositor when exist
 */
export declare function readDepositor(pageInstance: any, siteCode: string, depositorCode: string): Promise<Depositor | null>;
/**
 *  Read user from given user code for print destinations and site depositor
 * @param pageInstance
 * @param userCode
 * @returns
 */
export declare function readUser(pageInstance: any, userCode?: string): Promise<User | null>;
//# sourceMappingURL=user-extension.d.ts.map