import type { Extend } from '../../../service/page-extension';
import type { ScreenExtension } from '../../../types';
import type { ChangeableOverrideDecoratorProperties } from '../../../utils/decorator-utils';
import type { ToggleDecoratorProperties } from './toggle-types';
/**
 * Initializes the decorated member as a [Separator]{@link SeparatorControlObject} field with the provided properties
 *
 * @param properties The properties that the [Separator]{@link SeparatorControlObject} field will be initialized with
 */
export declare function toggleField<T extends ScreenExtension<T>>(properties: ToggleDecoratorProperties<Extend<T>>): (target: T, name: string) => void;
export declare function toggleFieldOverride<T extends ScreenExtension<T>>(properties: ChangeableOverrideDecoratorProperties<ToggleDecoratorProperties<Extend<T>>, Extend<T>>): (target: T, name: string) => void;
//# sourceMappingURL=toggle-decorator.d.ts.map