"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Depositor = void 0;
const sageWhStructure = require("@sage/wh-structure");
const sageWhSystem = require("@sage/wh-system");
const xtrem_core_1 = require("@sage/xtrem-core");
const xtrem_x3_gateway_1 = require("@sage/xtrem-x3-gateway");
const sageXtremX3SystemUtils = require("@sage/xtrem-x3-system-utils");
const sageWhMasterData = require("..");
const joins = {
    referenceJoins: {
        site: {
            code: 'site',
        },
        country: {
            code: 'country',
        },
        shippingUnitTypeShippingAsIs: {
            site: 'site',
            code: 'shippingUnitTypeShippingAsIs',
        },
        parcelRange: {
            site: 'site',
            code: 'parcelRange',
        },
        parcelTypeDispatchableInState: {
            site: 'site',
            parcelRange: 'parcelRangeDispatchableInState',
            code: 'parcelTypeDispatchableInState',
        },
        parcelRangeDispatchableInState: {
            site: 'site',
            code: 'parcelRangeDispatchableInState',
        },
        printDeliveryNotes: {
            reportName: 'printDeliveryNotes',
        },
        shippingUnitType: {
            site: 'site',
            code: 'shippingUnitType',
        },
        autoTransferMovementAdjustementCode: {
            site: 'site',
            code: 'autoTransferMovementAdjustementCode',
        },
        auto2PhaseTransferMovementAdjustementCode: {
            site: 'site',
            code: 'auto2PhaseTransferMovementAdjustementCode',
        },
        waveReplenishment: {
            site: 'site',
            code: 'waveReplenishment',
        },
        balanceMovementCode: {
            site: 'site',
            code: 'balanceMovementCode',
        },
        mergingOfFlowsTransfer: {
            site: 'site',
            code: 'mergingOfFlowsTransfer',
        },
        transferOfComponent: {
            site: 'site',
            code: 'transferOfComponent',
        },
        kitTransfer: {
            site: 'site',
            code: 'kitTransfer',
        },
        adjustmentAfterStockCount: {
            site: 'site',
            code: 'adjustmentAfterStockCount',
        },
        analysisKitMovementCode: {
            site: 'site',
            code: 'analysisKitMovementCode',
        },
        analysisComponentMovementCode: {
            site: 'site',
            code: 'analysisComponentMovementCode',
        },
        maximumPrepaprationAreaKit: {
            site: 'site',
            code: 'maximumPrepaprationAreaKit',
        },
        mergingOfFlowsPreparationAreaMax: {
            site: 'site',
            code: 'mergingOfFlowsPreparationAreaMax',
        },
        refuseStockNature: {
            site: 'site',
            code: 'refuseStockNature',
        },
        consumedStockNature: {
            site: 'site',
            code: 'consumedStockNature',
        },
        autoAnalysisRequestAdjustementMovementCode: {
            site: 'site',
            code: 'autoAnalysisRequestAdjustementMovementCode',
        },
        autoAnalysisRequestTransfertMovementCode: {
            site: 'site',
            code: 'autoAnalysisRequestTransfertMovementCode',
        },
        sequenceCode: {
            site: 'site',
            code: 'sequenceCode',
        },
        interSiteDeliveryNotePrinting: {
            reportName: 'interSiteDeliveryNotePrinting',
        },
    },
};
let Depositor = class Depositor extends xtrem_core_1.Node {
};
exports.Depositor = Depositor;
__decorate([
    xtrem_core_1.decorators.referenceProperty({
        isPublished: true,
        isStored: true,
        columnName: 'FCY',
        columnType: 'string',
        node: () => sageWhSystem.nodes.Site,
    })
], Depositor.prototype, "site", void 0);
__decorate([
    xtrem_core_1.decorators.stringProperty({
        isPublished: true,
        isStored: true,
        isNotEmpty: true,
        columnName: 'DEP',
        dataType: () => sageXtremX3SystemUtils.datatypes.genericDataTypes.textDatatype,
    })
], Depositor.prototype, "code", void 0);
__decorate([
    xtrem_core_1.decorators.stringProperty({
        isPublished: true,
        isStored: true,
        columnName: 'DESSHO',
        dataType: () => sageXtremX3SystemUtils.datatypes.genericDataTypes.textDatatype,
    })
], Depositor.prototype, "shortDescription", void 0);
__decorate([
    xtrem_core_1.decorators.stringProperty({
        isPublished: true,
        isStored: true,
        columnName: 'POS',
        dataType: () => sageXtremX3SystemUtils.datatypes.genericDataTypes.textDatatype,
    })
], Depositor.prototype, "postalCode", void 0);
__decorate([
    xtrem_core_1.decorators.stringProperty({
        isPublished: true,
        isStored: true,
        columnName: 'CTY',
        dataType: () => sageXtremX3SystemUtils.datatypes.genericDataTypes.textDatatype,
    })
], Depositor.prototype, "city", void 0);
__decorate([
    xtrem_core_1.decorators.stringProperty({
        isPublished: true,
        isStored: true,
        columnName: 'SAT',
        dataType: () => sageXtremX3SystemUtils.datatypes.genericDataTypes.textDatatype,
    })
], Depositor.prototype, "region", void 0);
__decorate([
    xtrem_core_1.decorators.referenceProperty({
        isPublished: true,
        isStored: true,
        isNullable: true,
        columnName: 'CRY',
        columnType: 'string',
        node: () => sageWhStructure.nodes.Country,
    })
], Depositor.prototype, "country", void 0);
__decorate([
    xtrem_core_1.decorators.stringProperty({
        isPublished: true,
        isStored: true,
        columnName: 'CRYNAM',
        dataType: () => sageXtremX3SystemUtils.datatypes.genericDataTypes.textDatatype,
    })
], Depositor.prototype, "countryName", void 0);
__decorate([
    xtrem_core_1.decorators.stringProperty({
        isPublished: true,
        isStored: true,
        columnName: 'TEL',
        dataType: () => sageXtremX3SystemUtils.datatypes.genericDataTypes.textDatatype,
    })
], Depositor.prototype, "phone", void 0);
__decorate([
    xtrem_core_1.decorators.stringProperty({
        isPublished: true,
        isStored: true,
        columnName: 'FAX',
        dataType: () => sageXtremX3SystemUtils.datatypes.genericDataTypes.textDatatype,
    })
], Depositor.prototype, "fax", void 0);
__decorate([
    xtrem_core_1.decorators.stringProperty({
        isPublished: true,
        isStored: true,
        columnName: 'CRN',
        dataType: () => sageXtremX3SystemUtils.datatypes.genericDataTypes.textDatatype,
    })
], Depositor.prototype, "siteTaxIdNumber", void 0);
__decorate([
    xtrem_core_1.decorators.stringProperty({
        isPublished: true,
        isStored: true,
        columnName: 'ADDEML',
        dataType: () => sageXtremX3SystemUtils.datatypes.genericDataTypes.textDatatype,
    })
], Depositor.prototype, "email", void 0);
__decorate([
    xtrem_core_1.decorators.stringProperty({
        isPublished: true,
        isStored: true,
        columnName: 'RGC',
        dataType: () => sageXtremX3SystemUtils.datatypes.genericDataTypes.textDatatype,
    })
], Depositor.prototype, "registeredCapital", void 0);
__decorate([
    xtrem_core_1.decorators.stringProperty({
        isPublished: true,
        isStored: true,
        columnName: 'RCS',
        dataType: () => sageXtremX3SystemUtils.datatypes.genericDataTypes.textDatatype,
    })
], Depositor.prototype, "rcs", void 0);
__decorate([
    xtrem_core_1.decorators.booleanProperty({
        isPublished: true,
        isStored: true,
        columnName: 'SPTMGT',
    })
], Depositor.prototype, "isSupportNumber", void 0);
__decorate([
    xtrem_core_1.decorators.booleanProperty({
        isPublished: true,
        isStored: true,
        columnName: 'LOTMGT',
    })
], Depositor.prototype, "isLotNumber", void 0);
__decorate([
    xtrem_core_1.decorators.enumProperty({
        isPublished: true,
        isStored: true,
        columnName: 'STLVLD',
        dataType: () => sageWhMasterData.enums.validationTypeDatatype,
    })
], Depositor.prototype, "storingListValidation", void 0);
__decorate([
    xtrem_core_1.decorators.booleanProperty({
        isPublished: true,
        isStored: true,
        columnName: 'IFLCTL',
    })
], Depositor.prototype, "isControlInputFlow", void 0);
__decorate([
    xtrem_core_1.decorators.booleanProperty({
        isPublished: true,
        isStored: true,
        columnName: 'STLLBL',
    })
], Depositor.prototype, "isPutAlwayLabel", void 0);
__decorate([
    xtrem_core_1.decorators.booleanProperty({
        isPublished: true,
        isStored: true,
        columnName: 'STLEDT',
    })
], Depositor.prototype, "isStoringList", void 0);
__decorate([
    xtrem_core_1.decorators.booleanProperty({
        isPublished: true,
        isStored: true,
        columnName: 'SNGINPSTL',
    })
], Depositor.prototype, "isSingleInputStoringList", void 0);
__decorate([
    xtrem_core_1.decorators.booleanProperty({
        isPublished: true,
        isStored: true,
        columnName: 'SNGSTOSTL',
    })
], Depositor.prototype, "isSingleStoreStoringList", void 0);
__decorate([
    xtrem_core_1.decorators.enumProperty({
        isPublished: true,
        isStored: true,
        columnName: 'STLSEQ',
        dataType: () => sageWhMasterData.enums.printingSequenceDatatype,
    })
], Depositor.prototype, "printSequenceOfStoringList", void 0);
__decorate([
    xtrem_core_1.decorators.booleanProperty({
        isPublished: true,
        isStored: true,
        columnName: 'STLCTL',
    })
], Depositor.prototype, "isStoringListControlCode", void 0);
__decorate([
    xtrem_core_1.decorators.booleanProperty({
        isPublished: true,
        isStored: true,
        columnName: 'STLOPE',
    })
], Depositor.prototype, "isStoringListOperatorCode", void 0);
__decorate([
    xtrem_core_1.decorators.enumProperty({
        isPublished: true,
        isStored: true,
        columnName: 'UNQIRF',
        dataType: () => sageWhMasterData.enums.uniqueReferenceDatatype,
    })
], Depositor.prototype, "uniqueInputReference", void 0);
__decorate([
    xtrem_core_1.decorators.enumProperty({
        isPublished: true,
        isStored: true,
        columnName: 'CTLQTY',
        dataType: () => sageWhMasterData.enums.quantityControlInputLineDatatype,
    })
], Depositor.prototype, "quantityControlInInput", void 0);
__decorate([
    xtrem_core_1.decorators.booleanProperty({
        isPublished: true,
        isStored: true,
        columnName: 'OUTPDI',
    })
], Depositor.prototype, "isOutputOnPendingInput", void 0);
__decorate([
    xtrem_core_1.decorators.booleanProperty({
        isPublished: true,
        isStored: true,
        columnName: 'SRO',
    })
], Depositor.prototype, "isSplitReplenishmentObjects", void 0);
__decorate([
    xtrem_core_1.decorators.booleanProperty({
        isPublished: true,
        isStored: true,
        columnName: 'IPAAUTTRF',
    })
], Depositor.prototype, "isReplenishmentBalanceReaddressing", void 0);
__decorate([
    xtrem_core_1.decorators.booleanProperty({
        isPublished: true,
        isStored: true,
        columnName: 'OFLCTL',
    })
], Depositor.prototype, "isControlOutputFlow", void 0);
__decorate([
    xtrem_core_1.decorators.booleanProperty({
        isPublished: true,
        isStored: true,
        columnName: 'SHRMGT',
    })
], Depositor.prototype, "isOutputShortageManagement", void 0);
__decorate([
    xtrem_core_1.decorators.booleanProperty({
        isPublished: true,
        isStored: true,
        columnName: 'SSHITM',
    })
], Depositor.prototype, "isPartialsByProduct", void 0);
__decorate([
    xtrem_core_1.decorators.booleanProperty({
        isPublished: true,
        isStored: true,
        columnName: 'SSHDLO',
    })
], Depositor.prototype, "isShortageByDeliveryOrder", void 0);
__decorate([
    xtrem_core_1.decorators.booleanProperty({
        isPublished: true,
        isStored: true,
        columnName: 'WAVSTT',
    })
], Depositor.prototype, "isPreparationLoad", void 0);
__decorate([
    xtrem_core_1.decorators.enumProperty({
        isPublished: true,
        isStored: true,
        columnName: 'RPNVLD',
        dataType: () => sageWhMasterData.enums.validationTypeDatatype,
    })
], Depositor.prototype, "replenishmentValidation", void 0);
__decorate([
    xtrem_core_1.decorators.booleanProperty({
        isPublished: true,
        isStored: true,
        columnName: 'RPNLST',
    })
], Depositor.prototype, "isReplenishList", void 0);
__decorate([
    xtrem_core_1.decorators.booleanProperty({
        isPublished: true,
        isStored: true,
        columnName: 'RPNLBL',
    })
], Depositor.prototype, "isReplenishLabel", void 0);
__decorate([
    xtrem_core_1.decorators.booleanProperty({
        isPublished: true,
        isStored: true,
        columnName: 'PKOOPE',
    })
], Depositor.prototype, "isPreparationOrderOperatorCode", void 0);
__decorate([
    xtrem_core_1.decorators.booleanProperty({
        isPublished: true,
        isStored: true,
        columnName: 'DPKOPE',
    })
], Depositor.prototype, "isDeclarativePackingOperatorCode", void 0);
__decorate([
    xtrem_core_1.decorators.booleanProperty({
        isPublished: true,
        isStored: true,
        columnName: 'PRCOPE',
    })
], Depositor.prototype, "isPrepackingOperatorCode", void 0);
__decorate([
    xtrem_core_1.decorators.booleanProperty({
        isPublished: true,
        isStored: true,
        columnName: 'SHCOPE',
    })
], Depositor.prototype, "isPickOperatorCode", void 0);
__decorate([
    xtrem_core_1.decorators.booleanProperty({
        isPublished: true,
        isStored: true,
        columnName: 'SHPOPE',
    })
], Depositor.prototype, "isSuOperatorCode", void 0);
__decorate([
    xtrem_core_1.decorators.booleanProperty({
        isPublished: true,
        isStored: true,
        columnName: 'RPNOPE',
    })
], Depositor.prototype, "isRoOperatorCode", void 0);
__decorate([
    xtrem_core_1.decorators.enumProperty({
        isPublished: true,
        isStored: true,
        columnName: 'UNQORF',
        dataType: () => sageWhMasterData.enums.uniqueReferenceDatatype,
    })
], Depositor.prototype, "uniqueOutputReference", void 0);
__decorate([
    xtrem_core_1.decorators.booleanProperty({
        isPublished: true,
        isStored: true,
        columnName: 'ORDMGT',
    })
], Depositor.prototype, "isOrderManagement", void 0);
__decorate([
    xtrem_core_1.decorators.booleanProperty({
        isPublished: true,
        isStored: true,
        columnName: 'GDRMGT',
    })
], Depositor.prototype, "isGenericRoundManagement", void 0);
__decorate([
    xtrem_core_1.decorators.booleanProperty({
        isPublished: true,
        isStored: true,
        columnName: 'SPAITM',
    })
], Depositor.prototype, "isSingleParcelItem", void 0);
__decorate([
    xtrem_core_1.decorators.booleanProperty({
        isPublished: true,
        isStored: true,
        columnName: 'SEQPKO',
    })
], Depositor.prototype, "isStrictSequentiality", void 0);
__decorate([
    xtrem_core_1.decorators.referenceProperty({
        isPublished: true,
        isStored: true,
        isNullable: true,
        columnName: 'SHUDST',
        columnType: 'string',
        node: () => sageWhMasterData.nodes.ShippingUnitType,
    })
], Depositor.prototype, "shippingUnitTypeShippingAsIs", void 0);
__decorate([
    xtrem_core_1.decorators.booleanProperty({
        isPublished: true,
        isStored: true,
        columnName: 'FLGCLOSHP',
    })
], Depositor.prototype, "isShippingUnitClosingAuthorization", void 0);
__decorate([
    xtrem_core_1.decorators.booleanProperty({
        isPublished: true,
        isStored: true,
        columnName: 'DSPMGT',
    })
], Depositor.prototype, "isShipmentManagement", void 0);
__decorate([
    xtrem_core_1.decorators.referenceProperty({
        isPublished: true,
        isStored: true,
        isNullable: true,
        columnName: 'PRADFT',
        columnType: 'string',
        node: () => sageWhMasterData.nodes.RangeOfParcel,
    })
], Depositor.prototype, "parcelRange", void 0);
__decorate([
    xtrem_core_1.decorators.enumProperty({
        isPublished: true,
        isStored: true,
        columnName: 'PRCINF',
        dataType: () => sageWhMasterData.enums.kyInInformationDatatype,
    })
], Depositor.prototype, "keyInRealParcelWeight", void 0);
__decorate([
    xtrem_core_1.decorators.enumProperty({
        isPublished: true,
        isStored: true,
        columnName: 'SHPINF',
        dataType: () => sageWhMasterData.enums.suInformationEntryDatatype,
    })
], Depositor.prototype, "enterShippingUnitInfo", void 0);
__decorate([
    xtrem_core_1.decorators.booleanProperty({
        isPublished: true,
        isStored: true,
        columnName: 'PRCPLZ',
    })
], Depositor.prototype, "isParcelPalletisation", void 0);
__decorate([
    xtrem_core_1.decorators.booleanProperty({
        isPublished: true,
        isStored: true,
        columnName: 'LODCTL',
    })
], Depositor.prototype, "isControlLoadingParcel", void 0);
__decorate([
    xtrem_core_1.decorators.referenceProperty({
        isPublished: true,
        isStored: true,
        isNullable: true,
        columnName: 'PTYDST',
        columnType: 'string',
        node: () => sageWhMasterData.nodes.ParcelType,
    })
], Depositor.prototype, "parcelTypeDispatchableInState", void 0);
__decorate([
    xtrem_core_1.decorators.referenceProperty({
        isPublished: true,
        isStored: true,
        isNullable: true,
        columnName: 'PRADST',
        columnType: 'string',
        node: () => sageWhMasterData.nodes.RangeOfParcel,
    })
], Depositor.prototype, "parcelRangeDispatchableInState", void 0);
__decorate([
    xtrem_core_1.decorators.referenceProperty({
        isPublished: true,
        isStored: true,
        isNullable: true,
        columnName: 'DLNEDT',
        columnType: 'string',
        node: () => sageWhSystem.nodes.GenericPrintReport,
    })
], Depositor.prototype, "printDeliveryNotes", void 0);
__decorate([
    xtrem_core_1.decorators.booleanProperty({
        isPublished: true,
        isStored: true,
        columnName: 'FLCLST',
    })
], Depositor.prototype, "isPrintMergingOfFlowsTransferReport", void 0);
__decorate([
    xtrem_core_1.decorators.booleanProperty({
        isPublished: true,
        isStored: true,
        columnName: 'FLCLBL',
    })
], Depositor.prototype, "isPrintMergingOfFlowsTransferLabel", void 0);
__decorate([
    xtrem_core_1.decorators.booleanProperty({
        isPublished: true,
        isStored: true,
        columnName: 'PRCLBL',
    })
], Depositor.prototype, "isPrintParcelLabels", void 0);
__decorate([
    xtrem_core_1.decorators.booleanProperty({
        isPublished: true,
        isStored: true,
        columnName: 'SHPLBL',
    })
], Depositor.prototype, "isShippingUnitLabels", void 0);
__decorate([
    xtrem_core_1.decorators.booleanProperty({
        isPublished: true,
        isStored: true,
        columnName: 'OPALBL',
    })
], Depositor.prototype, "isPalletizationOrderLabels", void 0);
__decorate([
    xtrem_core_1.decorators.booleanProperty({
        isPublished: true,
        isStored: true,
        columnName: 'FLGLBL1',
    })
], Depositor.prototype, "isGroupedsLabels", void 0);
__decorate([
    xtrem_core_1.decorators.booleanProperty({
        isPublished: true,
        isStored: true,
        columnName: 'PIKCTL',
    })
], Depositor.prototype, "isControlCodeOfPick", void 0);
__decorate([
    xtrem_core_1.decorators.booleanProperty({
        isPublished: true,
        isStored: true,
        columnName: 'DPSCTL',
    })
], Depositor.prototype, "isControlCodeOfDeposit", void 0);
__decorate([
    xtrem_core_1.decorators.booleanProperty({
        isPublished: true,
        isStored: true,
        columnName: 'OUTCTL',
    })
], Depositor.prototype, "isControlCodeOfOutput", void 0);
__decorate([
    xtrem_core_1.decorators.enumProperty({
        isPublished: true,
        isStored: true,
        columnName: 'FLCPIO',
        dataType: () => sageWhMasterData.enums.mergingOfFlowsPriorityDatatype,
    })
], Depositor.prototype, "addressingPriority", void 0);
__decorate([
    xtrem_core_1.decorators.enumProperty({
        isPublished: true,
        isStored: true,
        columnName: 'FLCVLD',
        dataType: () => sageWhMasterData.enums.validationTypeDatatype,
    })
], Depositor.prototype, "transferMergingOfFlowsValidation", void 0);
__decorate([
    xtrem_core_1.decorators.booleanProperty({
        isPublished: true,
        isStored: true,
        columnName: 'GRUCOD',
    })
], Depositor.prototype, "isGroupMergingOfFlows", void 0);
__decorate([
    xtrem_core_1.decorators.booleanProperty({
        isPublished: true,
        isStored: true,
        columnName: 'VOLMGT',
    })
], Depositor.prototype, "isParcelVolumeManagement", void 0);
__decorate([
    xtrem_core_1.decorators.enumProperty({
        isPublished: true,
        isStored: true,
        isNullable: true,
        columnName: 'FLCSTA2',
        dataType: () => sageWhMasterData.enums.validationTypeDatatype,
    })
], Depositor.prototype, "launchingMergingOfFlowsStep2", void 0);
__decorate([
    xtrem_core_1.decorators.booleanProperty({
        isPublished: true,
        isStored: true,
        columnName: 'TDN',
    })
], Depositor.prototype, "isPrintTemporaryDeliveryNotes", void 0);
__decorate([
    xtrem_core_1.decorators.enumProperty({
        isPublished: true,
        isStored: true,
        isNullable: true,
        columnName: 'TDNSTA',
        dataType: () => sageWhMasterData.enums.doHeaderStatusDatatype,
    })
], Depositor.prototype, "deliveryOrderStatusForDeliveryNotes", void 0);
__decorate([
    xtrem_core_1.decorators.booleanProperty({
        isPublished: true,
        isStored: true,
        columnName: 'DLN',
    })
], Depositor.prototype, "isPrintFinalDeliveryNotes", void 0);
__decorate([
    xtrem_core_1.decorators.booleanProperty({
        isPublished: true,
        isStored: true,
        columnName: 'DDN',
    })
], Depositor.prototype, "isPrintDifferentialDeliveryNotes", void 0);
__decorate([
    xtrem_core_1.decorators.booleanProperty({
        isPublished: true,
        isStored: true,
        columnName: 'SUPCTR',
    })
], Depositor.prototype, "isMovementInSuperiorContainer", void 0);
__decorate([
    xtrem_core_1.decorators.booleanProperty({
        isPublished: true,
        isStored: true,
        columnName: 'SHPSNGDLO',
    })
], Depositor.prototype, "isSingleDeliveryOrderShippingUnit", void 0);
__decorate([
    xtrem_core_1.decorators.booleanProperty({
        isPublished: true,
        isStored: true,
        columnName: 'SHPSNGDLV',
    })
], Depositor.prototype, "isSingleConsigneeShippingUnit", void 0);
__decorate([
    xtrem_core_1.decorators.booleanProperty({
        isPublished: true,
        isStored: true,
        columnName: 'SHPAUT',
    })
], Depositor.prototype, "isAutoPalettizeBigParcels", void 0);
__decorate([
    xtrem_core_1.decorators.referenceProperty({
        isPublished: true,
        isStored: true,
        isNullable: true,
        columnName: 'SHPSHU',
        columnType: 'string',
        node: () => sageWhMasterData.nodes.ShippingUnitType,
    })
], Depositor.prototype, "shippingUnitType", void 0);
__decorate([
    xtrem_core_1.decorators.referenceProperty({
        isPublished: true,
        isStored: true,
        isNullable: true,
        columnName: 'MVTADJAUT',
        columnType: 'string',
        node: () => sageWhMasterData.nodes.MovementCode,
    })
], Depositor.prototype, "autoTransferMovementAdjustementCode", void 0);
__decorate([
    xtrem_core_1.decorators.referenceProperty({
        isPublished: true,
        isStored: true,
        isNullable: true,
        columnName: 'MVTADJAU2',
        columnType: 'string',
        node: () => sageWhMasterData.nodes.MovementCode,
    })
], Depositor.prototype, "auto2PhaseTransferMovementAdjustementCode", void 0);
__decorate([
    xtrem_core_1.decorators.referenceProperty({
        isPublished: true,
        isStored: true,
        isNullable: true,
        columnName: 'MVTWAVRPN',
        columnType: 'string',
        node: () => sageWhMasterData.nodes.MovementCode,
    })
], Depositor.prototype, "waveReplenishment", void 0);
__decorate([
    xtrem_core_1.decorators.referenceProperty({
        isPublished: true,
        isStored: true,
        isNullable: true,
        columnName: 'MVTRPNSHR',
        columnType: 'string',
        node: () => sageWhMasterData.nodes.MovementCode,
    })
], Depositor.prototype, "balanceMovementCode", void 0);
__decorate([
    xtrem_core_1.decorators.referenceProperty({
        isPublished: true,
        isStored: true,
        isNullable: true,
        columnName: 'MVTTRFFLC',
        columnType: 'string',
        node: () => sageWhMasterData.nodes.MovementCode,
    })
], Depositor.prototype, "mergingOfFlowsTransfer", void 0);
__decorate([
    xtrem_core_1.decorators.referenceProperty({
        isPublished: true,
        isStored: true,
        isNullable: true,
        columnName: 'MVTTRFCPN',
        columnType: 'string',
        node: () => sageWhMasterData.nodes.MovementCode,
    })
], Depositor.prototype, "transferOfComponent", void 0);
__decorate([
    xtrem_core_1.decorators.referenceProperty({
        isPublished: true,
        isStored: true,
        isNullable: true,
        columnName: 'MVTTRFKIT',
        columnType: 'string',
        node: () => sageWhMasterData.nodes.MovementCode,
    })
], Depositor.prototype, "kitTransfer", void 0);
__decorate([
    xtrem_core_1.decorators.booleanProperty({
        isPublished: true,
        isStored: true,
        columnName: 'CRRDFT',
    })
], Depositor.prototype, "isInitializeCarrierAndTransportMode", void 0);
__decorate([
    xtrem_core_1.decorators.referenceProperty({
        isPublished: true,
        isStored: true,
        isNullable: true,
        columnName: 'SKCAJM',
        columnType: 'string',
        node: () => sageWhMasterData.nodes.MovementCode,
    })
], Depositor.prototype, "adjustmentAfterStockCount", void 0);
__decorate([
    xtrem_core_1.decorators.booleanProperty({
        isPublished: true,
        isStored: true,
        columnName: 'BOMSTKAVL',
    })
], Depositor.prototype, "isStockAvailable", void 0);
__decorate([
    xtrem_core_1.decorators.booleanProperty({
        isPublished: true,
        isStored: true,
        columnName: 'BOMSTKPIC',
    })
], Depositor.prototype, "isPickingStock", void 0);
__decorate([
    xtrem_core_1.decorators.booleanProperty({
        isPublished: true,
        isStored: true,
        columnName: 'BOMTRFIPA',
    })
], Depositor.prototype, "isTransferOfIncomplete", void 0);
__decorate([
    xtrem_core_1.decorators.enumProperty({
        isPublished: true,
        isStored: true,
        isNullable: true,
        columnName: 'BOMUNQREF',
        dataType: () => sageWhMasterData.enums.uniqueReferenceDatatype,
    })
], Depositor.prototype, "uniqueReference", void 0);
__decorate([
    xtrem_core_1.decorators.enumProperty({
        isPublished: true,
        isStored: true,
        isNullable: true,
        columnName: 'CPNVLD',
        dataType: () => sageWhMasterData.enums.validationTypeDatatype,
    })
], Depositor.prototype, "componentTransferValidation", void 0);
__decorate([
    xtrem_core_1.decorators.enumProperty({
        isPublished: true,
        isStored: true,
        isNullable: true,
        columnName: 'KITVLD',
        dataType: () => sageWhMasterData.enums.validationTypeDatatype,
    })
], Depositor.prototype, "kitTransferValidation", void 0);
__decorate([
    xtrem_core_1.decorators.booleanProperty({
        isPublished: true,
        isStored: true,
        columnName: 'BOMSSHITM',
    })
], Depositor.prototype, "isShortagePerItem", void 0);
__decorate([
    xtrem_core_1.decorators.booleanProperty({
        isPublished: true,
        isStored: true,
        columnName: 'BOMSSHORD',
    })
], Depositor.prototype, "isShortagePerPreparationOrder", void 0);
__decorate([
    xtrem_core_1.decorators.booleanProperty({
        isPublished: true,
        isStored: true,
        columnName: 'DCLOPE',
    })
], Depositor.prototype, "isKitOperatorCode", void 0);
__decorate([
    xtrem_core_1.decorators.booleanProperty({
        isPublished: true,
        isStored: true,
        columnName: 'LCDOPE',
    })
], Depositor.prototype, "isComponentOperatorCode", void 0);
__decorate([
    xtrem_core_1.decorators.referenceProperty({
        isPublished: true,
        isStored: true,
        isNullable: true,
        columnName: 'MVTDCLKIT',
        columnType: 'string',
        node: () => sageWhMasterData.nodes.MovementCode,
    })
], Depositor.prototype, "analysisKitMovementCode", void 0);
__decorate([
    xtrem_core_1.decorators.referenceProperty({
        isPublished: true,
        isStored: true,
        isNullable: true,
        columnName: 'MVTDCLCPN',
        columnType: 'string',
        node: () => sageWhMasterData.nodes.MovementCode,
    })
], Depositor.prototype, "analysisComponentMovementCode", void 0);
__decorate([
    xtrem_core_1.decorators.booleanProperty({
        isPublished: true,
        isStored: true,
        columnName: 'BOMLST',
    })
], Depositor.prototype, "isComponentTransferList", void 0);
__decorate([
    xtrem_core_1.decorators.booleanProperty({
        isPublished: true,
        isStored: true,
        columnName: 'BOMLBL',
    })
], Depositor.prototype, "isComponentTransferLabel", void 0);
__decorate([
    xtrem_core_1.decorators.booleanProperty({
        isPublished: true,
        isStored: true,
        columnName: 'BOMPKZPIK',
    })
], Depositor.prototype, "isSinglePreparationAreaKitRemoval", void 0);
__decorate([
    xtrem_core_1.decorators.booleanProperty({
        isPublished: true,
        isStored: true,
        columnName: 'BOMPKZDPS',
    })
], Depositor.prototype, "isSinglePreparationAreaKitRelocation", void 0);
__decorate([
    xtrem_core_1.decorators.booleanProperty({
        isPublished: true,
        isStored: true,
        columnName: 'BOMWKL',
    })
], Depositor.prototype, "isSplittingKit", void 0);
__decorate([
    xtrem_core_1.decorators.referenceProperty({
        isPublished: true,
        isStored: true,
        isNullable: true,
        columnName: 'BOMWKLPKZ',
        columnType: 'string',
        node: () => sageWhMasterData.nodes.PreparationArea,
    })
], Depositor.prototype, "maximumPrepaprationAreaKit", void 0);
__decorate([
    xtrem_core_1.decorators.enumProperty({
        isPublished: true,
        isStored: true,
        isNullable: true,
        columnName: 'FLGDLVCLT',
        dataType: () => sageWhMasterData.enums.customerEnumDatatype,
    })
], Depositor.prototype, "customerControl", void 0);
__decorate([
    xtrem_core_1.decorators.booleanProperty({
        isPublished: true,
        isStored: true,
        columnName: 'INPFLG',
    })
], Depositor.prototype, "isInputsConfigurationFlag", void 0);
__decorate([
    xtrem_core_1.decorators.booleanProperty({
        isPublished: true,
        isStored: true,
        columnName: 'OUTFLG',
    })
], Depositor.prototype, "isOutputsConfigurationFlag", void 0);
__decorate([
    xtrem_core_1.decorators.booleanProperty({
        isPublished: true,
        isStored: true,
        columnName: 'STKFLG',
    })
], Depositor.prototype, "isStocksConfigurationFlag", void 0);
__decorate([
    xtrem_core_1.decorators.booleanProperty({
        isPublished: true,
        isStored: true,
        columnName: 'RPNPKZPIK',
    })
], Depositor.prototype, "isPickReplenishOrderMonoPreparationArea", void 0);
__decorate([
    xtrem_core_1.decorators.booleanProperty({
        isPublished: true,
        isStored: true,
        columnName: 'RPNPKZDPS',
    })
], Depositor.prototype, "isDepositorReplenishOrderMonoPreparationArea", void 0);
__decorate([
    xtrem_core_1.decorators.booleanProperty({
        isPublished: true,
        isStored: true,
        columnName: 'FLCPKZPIK',
    })
], Depositor.prototype, "isPickMergingOfFlowsMonoPreparationArea", void 0);
__decorate([
    xtrem_core_1.decorators.booleanProperty({
        isPublished: true,
        isStored: true,
        columnName: 'FLCPKZDPS',
    })
], Depositor.prototype, "isDepositorMergingOfFlowsMonoPreparationArea", void 0);
__decorate([
    xtrem_core_1.decorators.booleanProperty({
        isPublished: true,
        isStored: true,
        columnName: 'FLCWKL',
    })
], Depositor.prototype, "isMergingOfflowsDivision", void 0);
__decorate([
    xtrem_core_1.decorators.referenceProperty({
        isPublished: true,
        isStored: true,
        isNullable: true,
        columnName: 'FLCWKLPKZ',
        columnType: 'string',
        node: () => sageWhMasterData.nodes.PreparationArea,
    })
], Depositor.prototype, "mergingOfFlowsPreparationAreaMax", void 0);
__decorate([
    xtrem_core_1.decorators.referenceProperty({
        isPublished: true,
        isStored: true,
        isNullable: true,
        columnName: 'DILSKN',
        columnType: 'string',
        node: () => sageWhMasterData.nodes.StockNature,
    })
], Depositor.prototype, "refuseStockNature", void 0);
__decorate([
    xtrem_core_1.decorators.referenceProperty({
        isPublished: true,
        isStored: true,
        isNullable: true,
        columnName: 'USESKN',
        columnType: 'string',
        node: () => sageWhMasterData.nodes.StockNature,
    })
], Depositor.prototype, "consumedStockNature", void 0);
__decorate([
    xtrem_core_1.decorators.booleanProperty({
        isPublished: true,
        isStored: true,
        columnName: 'ALLQLYAUT',
    })
], Depositor.prototype, "isAutomaticAddressing", void 0);
__decorate([
    xtrem_core_1.decorators.booleanProperty({
        isPublished: true,
        isStored: true,
        columnName: 'QLYOPE',
    })
], Depositor.prototype, "isQualityOperatorCode", void 0);
__decorate([
    xtrem_core_1.decorators.booleanProperty({
        isPublished: true,
        isStored: true,
        columnName: 'VQLOPE',
    })
], Depositor.prototype, "isValidationAnalysisRequestOperatorCode", void 0);
__decorate([
    xtrem_core_1.decorators.referenceProperty({
        isPublished: true,
        isStored: true,
        isNullable: true,
        columnName: 'MVTQLYAUT',
        columnType: 'string',
        node: () => sageWhMasterData.nodes.MovementCode,
    })
], Depositor.prototype, "autoAnalysisRequestAdjustementMovementCode", void 0);
__decorate([
    xtrem_core_1.decorators.referenceProperty({
        isPublished: true,
        isStored: true,
        isNullable: true,
        columnName: 'MVTTRFQLY',
        columnType: 'string',
        node: () => sageWhMasterData.nodes.MovementCode,
    })
], Depositor.prototype, "autoAnalysisRequestTransfertMovementCode", void 0);
__decorate([
    xtrem_core_1.decorators.booleanProperty({
        isPublished: true,
        isStored: true,
        columnName: 'PRNAUT',
    })
], Depositor.prototype, "isAutoPrintQualityRecord", void 0);
__decorate([
    xtrem_core_1.decorators.referenceProperty({
        isPublished: true,
        isStored: true,
        isNullable: true,
        columnName: 'CHNMODDYN',
        columnType: 'string',
        node: () => sageWhMasterData.nodes.StoreChaining,
    })
], Depositor.prototype, "sequenceCode", void 0);
__decorate([
    xtrem_core_1.decorators.booleanProperty({
        isPublished: true,
        isStored: true,
        columnName: 'CHNDYN',
    })
], Depositor.prototype, "isChainingStore", void 0);
__decorate([
    xtrem_core_1.decorators.booleanProperty({
        isPublished: true,
        isStored: true,
        columnName: 'CHNABCDYN',
    })
], Depositor.prototype, "isChainingRotationClasse", void 0);
__decorate([
    xtrem_core_1.decorators.booleanProperty({
        isPublished: true,
        isStored: true,
        columnName: 'CHNASGDYN',
    })
], Depositor.prototype, "isChainingAssignmentClasses", void 0);
__decorate([
    xtrem_core_1.decorators.booleanProperty({
        isPublished: true,
        isStored: true,
        columnName: 'CDKMGT',
    })
], Depositor.prototype, "isCrossDockingManagement", void 0);
__decorate([
    xtrem_core_1.decorators.enumProperty({
        isPublished: true,
        isStored: true,
        isNullable: true,
        columnName: 'CDKLVLCTL',
        dataType: () => sageWhMasterData.enums.crossDockingBlockingLevelDatatype,
    })
], Depositor.prototype, "crossDockingLevel", void 0);
__decorate([
    xtrem_core_1.decorators.booleanProperty({
        isPublished: true,
        isStored: true,
        columnName: 'STKCDK',
    })
], Depositor.prototype, "isCrossDockingStoreStock", void 0);
__decorate([
    xtrem_core_1.decorators.booleanProperty({
        isPublished: true,
        isStored: true,
        columnName: 'STKCDKPDI',
    })
], Depositor.prototype, "isCrossDockingStoreStockNotAvailable", void 0);
__decorate([
    xtrem_core_1.decorators.booleanProperty({
        isPublished: true,
        isStored: true,
        columnName: 'STKPDI',
    })
], Depositor.prototype, "isReserveStockNotAvailable", void 0);
__decorate([
    xtrem_core_1.decorators.booleanProperty({
        isPublished: true,
        isStored: true,
        columnName: 'NEDINPMVT',
    })
], Depositor.prototype, "isDirectInputMovementNotAddressed", void 0);
__decorate([
    xtrem_core_1.decorators.booleanProperty({
        isPublished: true,
        isStored: true,
        columnName: 'NEDEINRCP',
    })
], Depositor.prototype, "isExpectedInputUnderReceipt", void 0);
__decorate([
    xtrem_core_1.decorators.booleanProperty({
        isPublished: true,
        isStored: true,
        columnName: 'NEDALW',
    })
], Depositor.prototype, "isAlwaysExpressRequirement", void 0);
__decorate([
    xtrem_core_1.decorators.booleanProperty({
        isPublished: true,
        isStored: true,
        columnName: 'INIWAVFLG',
    })
], Depositor.prototype, "isWaveInitialization", void 0);
__decorate([
    xtrem_core_1.decorators.stringProperty({
        isPublished: true,
        isStored: true,
        columnName: 'SSCEXSCOD',
        dataType: () => sageXtremX3SystemUtils.datatypes.genericDataTypes.textDatatype,
    })
], Depositor.prototype, "ssccExtensionCharacter", void 0);
__decorate([
    xtrem_core_1.decorators.stringProperty({
        isPublished: true,
        isStored: true,
        columnName: 'EANUCCCOD',
        dataType: () => sageXtremX3SystemUtils.datatypes.genericDataTypes.textDatatype,
    })
], Depositor.prototype, "eanUccCode", void 0);
__decorate([
    xtrem_core_1.decorators.booleanProperty({
        isPublished: true,
        isStored: true,
        columnName: 'SSCFLG',
    })
], Depositor.prototype, "isSsccParcelOnOutput", void 0);
__decorate([
    xtrem_core_1.decorators.booleanProperty({
        isPublished: true,
        isStored: true,
        columnName: 'SSCUMFLG',
    })
], Depositor.prototype, "isSsccShippingUnitOnOutput", void 0);
__decorate([
    xtrem_core_1.decorators.booleanProperty({
        isPublished: true,
        isStored: true,
        columnName: 'QATFLGPRC',
    })
], Depositor.prototype, "isStockOnDockParcels", void 0);
__decorate([
    xtrem_core_1.decorators.booleanProperty({
        isPublished: true,
        isStored: true,
        columnName: 'QATFLGSHP',
    })
], Depositor.prototype, "isStockOnDockShippingUnit", void 0);
__decorate([
    xtrem_core_1.decorators.booleanProperty({
        isPublished: true,
        isStored: true,
        columnName: 'QATOPE',
    })
], Depositor.prototype, "isStockOnDockOperation", void 0);
__decorate([
    xtrem_core_1.decorators.booleanProperty({
        isPublished: true,
        isStored: true,
        columnName: 'QATVLDAUT',
    })
], Depositor.prototype, "isStockOnDockValidation", void 0);
__decorate([
    xtrem_core_1.decorators.referenceProperty({
        isPublished: true,
        isStored: true,
        isNullable: true,
        columnName: 'TNSDLNEDT',
        columnType: 'string',
        node: () => sageWhSystem.nodes.GenericPrintReport,
    })
], Depositor.prototype, "interSiteDeliveryNotePrinting", void 0);
__decorate([
    xtrem_core_1.decorators.stringProperty({
        isPublished: true,
        isStored: true,
        columnName: 'TRANAM0',
        dataType: () => sageXtremX3SystemUtils.datatypes.genericDataTypes.textDatatype,
    })
], Depositor.prototype, "log", void 0);
__decorate([
    xtrem_core_1.decorators.booleanProperty({
        isPublished: true,
        isStored: true,
        columnName: 'DFTRMD',
    })
], Depositor.prototype, "isDefaultReceiptMode", void 0);
__decorate([
    xtrem_core_1.decorators.booleanProperty({
        isPublished: true,
        isStored: true,
        columnName: 'DFTPMD',
    })
], Depositor.prototype, "isDefaultPickingMode", void 0);
__decorate([
    xtrem_core_1.decorators.booleanProperty({
        isPublished: true,
        isStored: true,
        columnName: 'PCKPDI',
    })
], Depositor.prototype, "isUnavailablePendingInput", void 0);
__decorate([
    xtrem_core_1.decorators.booleanProperty({
        isPublished: true,
        isStored: true,
        columnName: 'PCKPDR',
    })
], Depositor.prototype, "isUnavailableReorderInProcess", void 0);
__decorate([
    xtrem_core_1.decorators.stringProperty({
        isPublished: true,
        isStored: true,
        columnName: 'DEPSEI',
        dataType: () => sageXtremX3SystemUtils.datatypes.genericDataTypes.textDatatype,
    })
], Depositor.prototype, "seiDepositor", void 0);
__decorate([
    xtrem_core_1.decorators.collectionProperty({
        isPublished: true,
        isVital: true,
        reverseReference: '_denormalizedParent',
        node: () => sageWhMasterData.nodes.DepositorAddresses,
    })
], Depositor.prototype, "addresses", void 0);
__decorate([
    xtrem_core_1.decorators.collectionProperty({
        isPublished: true,
        isVital: true,
        reverseReference: '_denormalizedParent',
        node: () => sageWhMasterData.nodes.DepositorCrossDockingPriorities,
    })
], Depositor.prototype, "crossDockingPriorities", void 0);
__decorate([
    xtrem_core_1.decorators.collectionProperty({
        isPublished: true,
        isVital: true,
        reverseReference: '_denormalizedParent',
        node: () => sageWhMasterData.nodes.DepositorNames,
    })
], Depositor.prototype, "names", void 0);
__decorate([
    xtrem_core_1.decorators.collectionProperty({
        isPublished: true,
        isVital: true,
        reverseReference: '_denormalizedParent',
        node: () => sageWhMasterData.nodes.DepositorPickingPivotPriorities,
    })
], Depositor.prototype, "pickingPivotPriorities", void 0);
exports.Depositor = Depositor = __decorate([
    xtrem_core_1.decorators.node({
        storage: 'external',
        tableName: 'DEPOSITOR',
        keyPropertyNames: ['site', 'code'],
        indexes: [
            {
                orderBy: {
                    site: 1,
                    code: 1,
                },
                isUnique: true,
                isNaturalKey: true,
            },
        ],
        externalStorageManager: new xtrem_x3_gateway_1.X3StorageManager({
            joins,
        }),
        isPublished: true,
        canRead: true,
        canSearch: true,
    })
], Depositor);
//# sourceMappingURL=depositor.js.map