import * as sageWhMasterData from '@sage/wh-master-data';
import * as sageWhSystem from '@sage/wh-system';
import { Node, Reference, Collection } from '@sage/xtrem-core';
import * as sageWhProductData from '..';
export declare class InputMode extends Node {
    readonly site: Reference<sageWhSystem.nodes.Site>;
    readonly depositor: Reference<sageWhMasterData.nodes.Depositor>;
    readonly code: Promise<string>;
    readonly localizedDescription: Promise<string>;
    readonly localizedShortDescription: Promise<string>;
    readonly priorityPickingLocation: Promise<sageWhProductData.enums.PickingLocationPriority | null>;
    readonly isProximityPickingAllowed: Promise<boolean>;
    readonly isPartialObjectInPickingAllowed: Promise<boolean>;
    readonly availableSpaceInPickingManagement: Promise<sageWhProductData.enums.ThresholdPalletAlways | null>;
    readonly isRotationClassesChaining: Promise<boolean>;
    readonly isAssignmentClassesChaining: Promise<boolean>;
    readonly isContainerCorrespondence: Promise<boolean>;
    readonly isSingleContainer: Promise<boolean>;
    readonly isSingleProduct: Promise<boolean>;
    readonly isIncompleteObjectCorrespondence: Promise<boolean>;
    readonly mergingInInputManagement: Promise<sageWhProductData.enums.MergingInInput | null>;
    readonly isKeyInSerialNumber: Promise<boolean>;
    readonly isUniqueMergingStore: Promise<boolean>;
    readonly isCompleteQuantityInSingleLocation: Promise<boolean>;
    readonly homogeneousCrossDockingContainerLevel: Promise<sageWhMasterData.enums.ContainerLevel | null>;
    readonly isAutoCrossDockingPreparationOrder: Promise<boolean>;
    readonly isActive: Promise<boolean>;
    readonly siteDepositorIdentifier: Promise<string>;
    readonly isPartialObjectCapacityExcessAllowed: Promise<boolean>;
    readonly creationOfSeparateMovements: Collection<sageWhProductData.nodes.InputModeCreationOfSeparateMovements>;
    readonly inputPriorityInReserveLocations: Collection<sageWhProductData.nodes.InputModeInputPriorityInReserveLocations>;
    readonly movementLevels: Collection<sageWhProductData.nodes.InputModeMovementLevels>;
}
//# sourceMappingURL=input-mode.d.ts.map