import * as sageWhMasterData from '@sage/wh-master-data';
import * as sageWhProductData from '@sage/wh-product-data';
import * as sageWhSystem from '@sage/wh-system';
import { Node, Reference, integer, date } from '@sage/xtrem-core';
import * as sageWhStockData from '..';
export declare class SerialNumber extends Node {
    readonly site: Reference<sageWhSystem.nodes.Site>;
    readonly depositor: Reference<sageWhMasterData.nodes.Depositor>;
    readonly product: Reference<sageWhProductData.nodes.Product>;
    readonly code: Promise<string>;
    readonly double: Promise<integer | null>;
    readonly occurrence: Promise<integer | null>;
    readonly directInput: Reference<sageWhStockData.nodes.DirectInput | null>;
    readonly inputLineNumber: Promise<integer | null>;
    readonly receiptDate: Promise<date | null>;
    readonly deliveryOrder: Reference<sageWhStockData.nodes.DeliveryOrder | null>;
    readonly deliveryOrderLineNumber: Promise<integer | null>;
    readonly outputDate: Promise<date | null>;
    readonly inputAdjustment: Reference<sageWhStockData.nodes.AdjustmentMovement | null>;
    readonly outputAdjustment: Reference<sageWhStockData.nodes.AdjustmentMovement | null>;
    readonly transmittedToL3: Promise<integer | null>;
    readonly inputMovement: Reference<sageWhStockData.nodes.ReceiptMovement | null>;
    readonly outputMovement: Reference<sageWhStockData.nodes.OutputMovement | null>;
    readonly transfer: Reference<sageWhStockData.nodes.TransferMovement | null>;
    readonly transferMovement: Reference<sageWhStockData.nodes.TransferMovement | null>;
    readonly stockObject: Reference<sageWhStockData.nodes.StockObject | null>;
    readonly serialGroup: Reference<sageWhMasterData.nodes.SerialGroup | null>;
    readonly validatedStoringList: Promise<integer | null>;
    readonly validatedPreparationOrder: Promise<integer | null>;
    readonly serialParentGroup: Reference<sageWhMasterData.nodes.SerialGroup | null>;
    readonly transferDate: Promise<date | null>;
    readonly free1: Promise<string>;
    readonly free2: Promise<string>;
    readonly free3: Promise<string>;
    readonly free4: Promise<string>;
    readonly free5: Promise<string>;
    readonly voided: Promise<integer | null>;
    readonly postponed: Promise<integer | null>;
    readonly _keyCodeForDuplicates: Promise<string>;
}
//# sourceMappingURL=serial-number.d.ts.map