import * as sageWhSystem from '@sage/wh-system';
import { Node, Reference, decimal, integer } from '@sage/xtrem-core';
export declare class ShippingUnitType extends Node {
    readonly site: Reference<sageWhSystem.nodes.Site>;
    readonly code: Promise<string>;
    readonly localizedDescription: Promise<string>;
    readonly localizedShortDescription: Promise<string>;
    readonly isActive: Promise<boolean>;
    readonly height: Promise<decimal | null>;
    readonly width: Promise<decimal | null>;
    readonly depth: Promise<decimal | null>;
    readonly volume: Promise<decimal | null>;
    readonly usefulVolume: Promise<decimal | null>;
    readonly surfaceEquivalent: Promise<integer | null>;
    readonly isLengthChangeable: Promise<boolean>;
    readonly isWidthChangeable: Promise<boolean>;
    readonly isDepthChangeable: Promise<boolean>;
    readonly weight: Promise<decimal | null>;
    readonly maximumWeight: Promise<decimal | null>;
    readonly isWeightChangeable: Promise<boolean>;
}
//# sourceMappingURL=shipping-unit-type.d.ts.map