"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.StockObjectContainerLevels = void 0;
const sageWhProductData = require("@sage/wh-product-data");
const xtrem_core_1 = require("@sage/xtrem-core");
const xtrem_x3_gateway_1 = require("@sage/xtrem-x3-gateway");
const sageXtremX3SystemUtils = require("@sage/xtrem-x3-system-utils");
const sageWhStockData = require("..");
const denormalized = {
    maxRepeat: (context) => sageXtremX3SystemUtils.getSizingFromActivityCode(context, 'CTR'),
};
const joins = {
    referenceJoins: {
        _denormalizedParent: {
            site: 'site',
            code: 'code',
        },
        containerLevel: {
            site: 'site',
            depositor: 'depositor',
            product: 'product',
            container: 'containerLevel',
        },
    },
};
let StockObjectContainerLevels = class StockObjectContainerLevels extends xtrem_core_1.Node {
};
exports.StockObjectContainerLevels = StockObjectContainerLevels;
__decorate([
    xtrem_core_1.decorators.integerProperty({
        isPublished: true,
    })
], StockObjectContainerLevels.prototype, "denormalizedIndex", void 0);
__decorate([
    xtrem_core_1.decorators.stringProperty({
        isPublished: true,
        isStored: true,
        isNotEmpty: true,
        columnName: 'FCY',
        dataType: () => sageXtremX3SystemUtils.datatypes.genericDataTypes.textDatatype,
    })
], StockObjectContainerLevels.prototype, "site", void 0);
__decorate([
    xtrem_core_1.decorators.stringProperty({
        isPublished: true,
        isStored: true,
        isNotEmpty: true,
        columnName: 'SKONUM',
        dataType: () => sageXtremX3SystemUtils.datatypes.genericDataTypes.textDatatype,
    })
], StockObjectContainerLevels.prototype, "code", void 0);
__decorate([
    xtrem_core_1.decorators.referenceProperty({
        isStored: true,
        isVitalParent: true,
        columnType: 'string',
        node: () => sageWhStockData.nodes.StockObject,
    })
], StockObjectContainerLevels.prototype, "_denormalizedParent", void 0);
__decorate([
    xtrem_core_1.decorators.referenceProperty({
        isPublished: true,
        isStored: true,
        isNullable: true,
        columnName: 'CTRLVL',
        columnType: 'string',
        node: () => sageWhProductData.nodes.ProductsContainer,
    })
], StockObjectContainerLevels.prototype, "containerLevel", void 0);
__decorate([
    xtrem_core_1.decorators.decimalProperty({
        isPublished: true,
        isStored: true,
        isNullable: true,
        columnName: 'CUQLVL',
        dataType: () => sageXtremX3SystemUtils.datatypes.genericDataTypes.decimalDatatype,
    })
], StockObjectContainerLevels.prototype, "quantityOfConsumptionUnitPerLevel", void 0);
exports.StockObjectContainerLevels = StockObjectContainerLevels = __decorate([
    xtrem_core_1.decorators.node({
        storage: 'external',
        tableName: 'STOCKOBJ',
        keyPropertyNames: ['denormalizedIndex', 'site', 'code'],
        indexes: [],
        externalStorageManager: new xtrem_x3_gateway_1.X3StorageManager({
            joins,
            isDenormalized: true,
            denormalized,
        }),
        isPublished: true,
        canRead: true,
        canSearch: true,
        isVitalCollectionChild: true,
    })
], StockObjectContainerLevels);
//# sourceMappingURL=stock-object-container-levels.js.map