// From file: /agent/_work/1/s/wh-services/shared/wh-product-data/build/index.d.ts
declare module '@sage/wh-product-data/index' {
	export * from '@sage/wh-product-data/lib/index';
	//# sourceMappingURL=index.d.ts.map
}
// From file: /agent/_work/1/s/wh-services/shared/wh-product-data/build/lib/index.d.ts
declare module '@sage/wh-product-data/lib/index' {
	export * as enums from '@sage/wh-product-data/lib/enums/index';
	export * as functions from '@sage/wh-product-data/lib/functions/index';
	export * as interfaces from '@sage/wh-product-data/lib/interfaces/index';
	export * as nodeExtensions from '@sage/wh-product-data/lib/node-extensions/index';
	export * as nodes from '@sage/wh-product-data/lib/nodes/index';
	export * as serviceOptions from '@sage/wh-product-data/lib/service-options/index';
	//# sourceMappingURL=index.d.ts.map
}
// From file: /agent/_work/1/s/wh-services/shared/wh-product-data/build/lib/service-options/index.d.ts
declare module '@sage/wh-product-data/lib/service-options/index' {
	export type Dummy = void;
	//# sourceMappingURL=index.d.ts.map
}
// From file: /agent/_work/1/s/wh-services/shared/wh-product-data/build/lib/nodes/transport-category.d.ts
declare module '@sage/wh-product-data/lib/nodes/transport-category' {
	import * as sageWhSystem from '@sage/wh-system';
	import { Node, Reference, integer } from '@sage/xtrem-core';
	export class TransportCategory extends Node {
	    readonly site: Reference<sageWhSystem.nodes.Site>;
	    readonly code: Promise<string>;
	    readonly localizedDescription: Promise<string>;
	    readonly maximumMaterialQuantity: Promise<integer | null>;
	    readonly isUnlimited: Promise<boolean>;
	}
	//# sourceMappingURL=transport-category.d.ts.map
}
// From file: /agent/_work/1/s/wh-services/shared/wh-product-data/build/lib/nodes/sub-group.d.ts
declare module '@sage/wh-product-data/lib/nodes/sub-group' {
	import * as sageWhMasterData from '@sage/wh-master-data';
	import * as sageWhSystem from '@sage/wh-system';
	import { Node, Reference } from '@sage/xtrem-core';
	export class SubGroup extends Node {
	    readonly site: Reference<sageWhSystem.nodes.Site>;
	    readonly depositor: Reference<sageWhMasterData.nodes.Depositor>;
	    readonly code: Promise<string>;
	    readonly localizedDescription: Promise<string>;
	    readonly localizedShortDescription: Promise<string>;
	}
	//# sourceMappingURL=sub-group.d.ts.map
}
// From file: /agent/_work/1/s/wh-services/shared/wh-product-data/build/lib/nodes/sub-family.d.ts
declare module '@sage/wh-product-data/lib/nodes/sub-family' {
	import * as sageWhMasterData from '@sage/wh-master-data';
	import * as sageWhSystem from '@sage/wh-system';
	import { Node, Reference } from '@sage/xtrem-core';
	export class SubFamily extends Node {
	    readonly site: Reference<sageWhSystem.nodes.Site>;
	    readonly depositor: Reference<sageWhMasterData.nodes.Depositor>;
	    readonly code: Promise<string>;
	    readonly localizedDescription: Promise<string>;
	    readonly localizedShortDescription: Promise<string>;
	}
	//# sourceMappingURL=sub-family.d.ts.map
}
// From file: /agent/_work/1/s/wh-services/shared/wh-product-data/build/lib/nodes/risk.d.ts
declare module '@sage/wh-product-data/lib/nodes/risk' {
	import * as sageWhMasterData from '@sage/wh-master-data';
	import * as sageWhSystem from '@sage/wh-system';
	import { Node, Reference } from '@sage/xtrem-core';
	export class Risk extends Node {
	    readonly site: Reference<sageWhSystem.nodes.Site>;
	    readonly depositor: Reference<sageWhMasterData.nodes.Depositor>;
	    readonly code: Promise<string>;
	    readonly localizedDescription: Promise<string>;
	    readonly localizedShortDescription: Promise<string>;
	}
	//# sourceMappingURL=risk.d.ts.map
}
// From file: /agent/_work/1/s/wh-services/shared/wh-product-data/build/lib/nodes/receipt-mode.d.ts
declare module '@sage/wh-product-data/lib/nodes/receipt-mode' {
	import * as sageWhMasterData from '@sage/wh-master-data';
	import * as sageWhSystem from '@sage/wh-system';
	import { Node, Reference } from '@sage/xtrem-core';
	import * as sageWhProductData from '@sage/wh-product-data/lib/index';
	export class ReceiptMode extends Node {
	    readonly site: Reference<sageWhSystem.nodes.Site>;
	    readonly depositor: Reference<sageWhMasterData.nodes.Depositor>;
	    readonly code: Promise<string>;
	    readonly localizedDescription: Promise<string>;
	    readonly localizedShortDescription: Promise<string>;
	    readonly isCrossDocking: Promise<boolean>;
	    readonly isExceedQuantityControl: Promise<boolean>;
	    readonly cancelBalanceExpectedInputManagement: Promise<sageWhProductData.enums.CancelationOfEiShortage | null>;
	    readonly isReceiptControlListPrint: Promise<boolean>;
	    readonly isAutoAddressing: Promise<boolean>;
	    readonly isExpectedInputLinesNotSettled: Promise<boolean>;
	    readonly isActive: Promise<boolean>;
	    readonly siteDepositorIdentifier: Promise<string>;
	    readonly isDockAssignment: Promise<boolean>;
	    readonly isAutoCreationAuthorized: Promise<boolean>;
	    readonly isAutoDeletionAuthorized: Promise<boolean>;
	    readonly receivingDockStore: Reference<sageWhMasterData.nodes.Store | null>;
	    readonly receivingDockAddress: Reference<sageWhMasterData.nodes.Location | null>;
	    readonly reference: Promise<sageWhProductData.enums.ReceiptReferenceType | null>;
	    readonly truckTrackingStatus: Reference<sageWhMasterData.nodes.TruckTrackingStatus | null>;
	    readonly occupationDuration: Promise<string>;
	}
	//# sourceMappingURL=receipt-mode.d.ts.map
}
// From file: /agent/_work/1/s/wh-services/shared/wh-product-data/build/lib/nodes/products-container.d.ts
declare module '@sage/wh-product-data/lib/nodes/products-container' {
	import * as sageWhMasterData from '@sage/wh-master-data';
	import * as sageWhSystem from '@sage/wh-system';
	import { Node, Reference, decimal, integer, Collection } from '@sage/xtrem-core';
	import * as sageWhProductData from '@sage/wh-product-data/lib/index';
	export class ProductsContainer extends Node {
	    readonly site: Reference<sageWhSystem.nodes.Site>;
	    readonly depositor: Reference<sageWhMasterData.nodes.Depositor>;
	    readonly product: Reference<sageWhProductData.nodes.Product>;
	    readonly container: Reference<sageWhProductData.nodes.Container>;
	    readonly upcCode: Promise<string>;
	    readonly containerLevel: Promise<sageWhMasterData.enums.ContainerLevel>;
	    readonly inferiorContainer: Reference<sageWhProductData.nodes.ProductsContainer | null>;
	    readonly numberInferiorContainer: Promise<decimal | null>;
	    readonly numberOfConsumptionUnit: Promise<decimal>;
	    readonly minimumReserveOutput: Promise<sageWhMasterData.enums.ContainerLevel>;
	    readonly grossWeight: Promise<decimal>;
	    readonly width: Promise<decimal>;
	    readonly depth: Promise<decimal>;
	    readonly height: Promise<decimal>;
	    readonly volume: Promise<decimal | null>;
	    readonly linearMeters: Promise<decimal | null>;
	    readonly isNesting: Promise<boolean>;
	    readonly maximumNesting: Promise<integer | null>;
	    readonly umpteenthProductWidthNesting: Promise<decimal | null>;
	    readonly umpteenthProductDepthNesting: Promise<decimal | null>;
	    readonly umpteenthProductHeightNesting: Promise<decimal | null>;
	    readonly umpteenthProductVolumeNesting: Promise<decimal | null>;
	    readonly isInputAllowed: Promise<boolean>;
	    readonly sequenceCode: Reference<sageWhMasterData.nodes.StoreChaining>;
	    readonly percentageOfRupture: Promise<integer | null>;
	    readonly maximumNumberOfContainers: Promise<decimal | null>;
	    readonly stackingCoefficient: Promise<integer | null>;
	    readonly stackingCorrective: Promise<integer | null>;
	    readonly isKeyInSupportNumbers: Promise<boolean>;
	    readonly rotationClass: Reference<sageWhMasterData.nodes.RotationClass | null>;
	    readonly assignmentClass: Reference<sageWhMasterData.nodes.AssignmentClass | null>;
	    readonly homogeneousLevel: Promise<sageWhMasterData.enums.ContainerLevel>;
	    readonly isOutputAllowed: Promise<boolean>;
	    readonly dispatchableInState: Promise<sageWhProductData.enums.DispatchableInState | null>;
	    readonly isPackingPattern: Promise<boolean>;
	    readonly containerTare: Promise<decimal | null>;
	    readonly parcelRangeShippedAsIsStandard: Reference<sageWhMasterData.nodes.RangeOfParcel | null>;
	    readonly parcelTypeShippedAsIsStandard: Reference<sageWhMasterData.nodes.ParcelType | null>;
	    readonly parcelRangeShippedAsIsNonStandard: Reference<sageWhMasterData.nodes.RangeOfParcel | null>;
	    readonly parcelTypeShippedAsIsNonStandard: Reference<sageWhMasterData.nodes.ParcelType | null>;
	    readonly isActive: Promise<boolean>;
	    readonly numberOfStockUnit: Promise<decimal | null>;
	    readonly density: Promise<decimal | null>;
	    readonly unitWeight: Promise<decimal | null>;
	    readonly unitVolume: Promise<decimal | null>;
	    readonly containersInferior: Collection<sageWhProductData.nodes.ProductsContainerContainersInferior>;
	    readonly numberOfConsumptionUnitPerlevels: Collection<sageWhProductData.nodes.ProductsContainerNumberOfConsumptionUnitPerlevels>;
	    readonly numberOfStockUnitPerlevels: Collection<sageWhProductData.nodes.ProductsContainerNumberOfStockUnitPerlevels>;
	    readonly prohibitedClasses: Collection<sageWhProductData.nodes.ProductsContainerProhibitedClasses>;
	}
	//# sourceMappingURL=products-container.d.ts.map
}
// From file: /agent/_work/1/s/wh-services/shared/wh-product-data/build/lib/nodes/products-container-prohibited-classes.d.ts
declare module '@sage/wh-product-data/lib/nodes/products-container-prohibited-classes' {
	import * as sageWhMasterData from '@sage/wh-master-data';
	import { Node, integer, Reference } from '@sage/xtrem-core';
	import * as sageWhProductData from '@sage/wh-product-data/lib/index';
	export class ProductsContainerProhibitedClasses extends Node {
	    readonly denormalizedIndex: Promise<integer>;
	    readonly site: Promise<string>;
	    readonly depositor: Promise<string>;
	    readonly product: Promise<string>;
	    readonly container: Promise<string>;
	    readonly _denormalizedParent: Reference<sageWhProductData.nodes.ProductsContainer>;
	    readonly prohibitedClass: Reference<sageWhMasterData.nodes.AssignmentClass | null>;
	}
	//# sourceMappingURL=products-container-prohibited-classes.d.ts.map
}
// From file: /agent/_work/1/s/wh-services/shared/wh-product-data/build/lib/nodes/products-container-number-of-stock-unit-perlevels.d.ts
declare module '@sage/wh-product-data/lib/nodes/products-container-number-of-stock-unit-perlevels' {
	import { Node, integer, Reference, decimal } from '@sage/xtrem-core';
	import * as sageWhProductData from '@sage/wh-product-data/lib/index';
	export class ProductsContainerNumberOfStockUnitPerlevels extends Node {
	    readonly denormalizedIndex: Promise<integer>;
	    readonly site: Promise<string>;
	    readonly depositor: Promise<string>;
	    readonly product: Promise<string>;
	    readonly container: Promise<string>;
	    readonly _denormalizedParent: Reference<sageWhProductData.nodes.ProductsContainer>;
	    readonly numberOfStockUnitPerlevel: Promise<decimal | null>;
	}
	//# sourceMappingURL=products-container-number-of-stock-unit-perlevels.d.ts.map
}
// From file: /agent/_work/1/s/wh-services/shared/wh-product-data/build/lib/nodes/products-container-number-of-consumption-unit-perlevels.d.ts
declare module '@sage/wh-product-data/lib/nodes/products-container-number-of-consumption-unit-perlevels' {
	import { Node, integer, Reference, decimal } from '@sage/xtrem-core';
	import * as sageWhProductData from '@sage/wh-product-data/lib/index';
	export class ProductsContainerNumberOfConsumptionUnitPerlevels extends Node {
	    readonly denormalizedIndex: Promise<integer>;
	    readonly site: Promise<string>;
	    readonly depositor: Promise<string>;
	    readonly product: Promise<string>;
	    readonly container: Promise<string>;
	    readonly _denormalizedParent: Reference<sageWhProductData.nodes.ProductsContainer>;
	    readonly numberOfConsumptionUnitPerlevel: Promise<decimal | null>;
	}
	//# sourceMappingURL=products-container-number-of-consumption-unit-perlevels.d.ts.map
}
// From file: /agent/_work/1/s/wh-services/shared/wh-product-data/build/lib/nodes/products-container-containers-inferior.d.ts
declare module '@sage/wh-product-data/lib/nodes/products-container-containers-inferior' {
	import { Node, integer, Reference } from '@sage/xtrem-core';
	import * as sageWhProductData from '@sage/wh-product-data/lib/index';
	export class ProductsContainerContainersInferior extends Node {
	    readonly denormalizedIndex: Promise<integer>;
	    readonly site: Promise<string>;
	    readonly depositor: Promise<string>;
	    readonly product: Promise<string>;
	    readonly container: Promise<string>;
	    readonly _denormalizedParent: Reference<sageWhProductData.nodes.ProductsContainer>;
	    readonly containerInferior: Reference<sageWhProductData.nodes.ProductsContainer | null>;
	}
	//# sourceMappingURL=products-container-containers-inferior.d.ts.map
}
// From file: /agent/_work/1/s/wh-services/shared/wh-product-data/build/lib/nodes/product.d.ts
declare module '@sage/wh-product-data/lib/nodes/product' {
	import * as sageWhMasterData from '@sage/wh-master-data';
	import * as sageWhSystem from '@sage/wh-system';
	import { Node, Reference, integer, decimal, date, Collection } from '@sage/xtrem-core';
	import * as sageWhProductData from '@sage/wh-product-data/lib/index';
	export class Product extends Node {
	    readonly site: Reference<sageWhSystem.nodes.Site>;
	    readonly depositor: Reference<sageWhMasterData.nodes.Depositor>;
	    readonly code: Promise<string>;
	    readonly otherCode: Promise<string>;
	    readonly localizedDescription: Promise<string>;
	    readonly localizedDescription2: Promise<string>;
	    readonly localizedShortDescription: Promise<string>;
	    readonly family: Reference<sageWhProductData.nodes.Family | null>;
	    readonly subFamily: Reference<sageWhProductData.nodes.SubFamily | null>;
	    readonly group: Reference<sageWhProductData.nodes.Group | null>;
	    readonly subGroup: Reference<sageWhProductData.nodes.SubGroup | null>;
	    readonly isKeyInSerialNumber: Promise<boolean>;
	    readonly stockCountClass: Reference<sageWhMasterData.nodes.StockCountClass | null>;
	    readonly numberStockCount: Promise<integer>;
	    readonly isBlockedInInput: Promise<boolean>;
	    readonly isBlockedInOutput: Promise<boolean>;
	    readonly isBlockedInInput2: Promise<boolean>;
	    readonly isBlockedInOutput2: Promise<boolean>;
	    readonly isKeyInLotNumber: Promise<boolean>;
	    readonly isSingleLot: Promise<boolean>;
	    readonly isCrossDocking: Promise<boolean>;
	    readonly isHazardousMaterials: Promise<boolean>;
	    readonly isKeyInControlCode: Promise<boolean>;
	    readonly fifoDateNature: Promise<sageWhProductData.enums.FifoDate | null>;
	    readonly source: Reference<sageWhProductData.nodes.Origin | null>;
	    readonly inputMode: Reference<sageWhProductData.nodes.InputMode>;
	    readonly outputMode: Reference<sageWhProductData.nodes.OutputMode>;
	    readonly autoTransferMode: Promise<sageWhProductData.enums.MovementType>;
	    readonly detentionLength: Promise<integer | null>;
	    readonly detentionUnit: Promise<sageWhProductData.enums.UnitLength | null>;
	    readonly useByDateLength: Promise<integer | null>;
	    readonly useByDateUnit: Promise<sageWhProductData.enums.UnitLength | null>;
	    readonly sendByDateLength: Promise<integer | null>;
	    readonly sendByDateUnit: Promise<sageWhProductData.enums.UnitLength | null>;
	    readonly sellByDateLength: Promise<integer | null>;
	    readonly sellByDateUnit: Promise<sageWhProductData.enums.UnitLength | null>;
	    readonly fifoTolerance: Promise<integer | null>;
	    readonly fifoGapUnit: Promise<sageWhProductData.enums.UnitLength | null>;
	    readonly netWeight: Promise<decimal | null>;
	    readonly netVolume: Promise<decimal | null>;
	    readonly pureAlcoholVolume: Promise<decimal | null>;
	    readonly price: Promise<decimal | null>;
	    readonly material: Reference<sageWhProductData.nodes.Risk | null>;
	    readonly minimumStock: Promise<decimal | null>;
	    readonly alertStock: Promise<decimal | null>;
	    readonly maximumStock: Promise<decimal | null>;
	    readonly firstArrival: Promise<date | null>;
	    readonly lastReceipt: Promise<date | null>;
	    readonly lastOutput: Promise<date | null>;
	    readonly lastStockCount: Promise<date | null>;
	    readonly defaultContainer: Reference<sageWhProductData.nodes.ProductsContainer | null>;
	    readonly defaultContainerLevel: Promise<sageWhMasterData.enums.ContainerLevel | null>;
	    readonly transmittedFromL3: Promise<sageWhProductData.enums.TransmissionL3 | null>;
	    readonly endOfLife: Promise<date | null>;
	    readonly isQualityControlManagement: Promise<boolean>;
	    readonly stockStatus: Reference<sageWhMasterData.nodes.StockNature | null>;
	    readonly isSingleLotControl: Promise<boolean>;
	    readonly samplingType: Promise<sageWhProductData.enums.SamplingType | null>;
	    readonly generalLevelOfInspection: Promise<string>;
	    readonly aql: Promise<decimal | null>;
	    readonly freezingPoint: Promise<integer | null>;
	    readonly freezingReversibility: Promise<sageWhProductData.enums.ReversibleFreezing | null>;
	    readonly ammNo: Promise<string>;
	    readonly referredQuantity: Promise<decimal | null>;
	    readonly referredUnit: Reference<sageWhMasterData.nodes.UnitOfMeasure | null>;
	    readonly icpeClass: Reference<sageWhProductData.nodes.IcpeClasses | null>;
	    readonly flashPoint: Promise<integer | null>;
	    readonly transportCategory: Reference<sageWhProductData.nodes.TransportCategory | null>;
	    readonly hazardousMaterialClass: Reference<sageWhProductData.nodes.HazardousMaterialsClass | null>;
	    readonly tunnelRestriction: Promise<string>;
	    readonly classificationCode: Promise<string>;
	    readonly packagingGroup: Promise<sageWhProductData.enums.PackagingGroup | null>;
	    readonly onuCodes: Reference<sageWhProductData.nodes.OnuCode | null>;
	    readonly solventCode: Promise<string>;
	    readonly technicalField: Promise<string>;
	    readonly isActive: Promise<boolean>;
	    readonly isStockUnitManagement: Promise<boolean>;
	    readonly stockUnit: Reference<sageWhMasterData.nodes.UnitOfMeasure | null>;
	    readonly siteDepositorIdentifier: Promise<string>;
	    readonly _picture: Reference<sageWhMasterData.nodes.CommonImage | null>;
	    readonly activeMatters: Collection<sageWhProductData.nodes.ProductActiveMatters>;
	    readonly isPrintableDescriptions: Collection<sageWhProductData.nodes.ProductIsPrintableDescriptions>;
	    readonly percentageActiveMatters: Collection<sageWhProductData.nodes.ProductPercentageActiveMatters>;
	}
	//# sourceMappingURL=product.d.ts.map
}
// From file: /agent/_work/1/s/wh-services/shared/wh-product-data/build/lib/nodes/product-percentage-active-matters.d.ts
declare module '@sage/wh-product-data/lib/nodes/product-percentage-active-matters' {
	import { Node, integer, Reference, decimal } from '@sage/xtrem-core';
	import * as sageWhProductData from '@sage/wh-product-data/lib/index';
	export class ProductPercentageActiveMatters extends Node {
	    readonly denormalizedIndex: Promise<integer>;
	    readonly site: Promise<string>;
	    readonly depositor: Promise<string>;
	    readonly code: Promise<string>;
	    readonly _denormalizedParent: Reference<sageWhProductData.nodes.Product>;
	    readonly percentageActiveMatter: Promise<decimal | null>;
	}
	//# sourceMappingURL=product-percentage-active-matters.d.ts.map
}
// From file: /agent/_work/1/s/wh-services/shared/wh-product-data/build/lib/nodes/product-is-printable-descriptions.d.ts
declare module '@sage/wh-product-data/lib/nodes/product-is-printable-descriptions' {
	import { Node, integer, Reference } from '@sage/xtrem-core';
	import * as sageWhProductData from '@sage/wh-product-data/lib/index';
	export class ProductIsPrintableDescriptions extends Node {
	    readonly denormalizedIndex: Promise<integer>;
	    readonly site: Promise<string>;
	    readonly depositor: Promise<string>;
	    readonly code: Promise<string>;
	    readonly _denormalizedParent: Reference<sageWhProductData.nodes.Product>;
	    readonly isPrintableDescription: Promise<boolean>;
	}
	//# sourceMappingURL=product-is-printable-descriptions.d.ts.map
}
// From file: /agent/_work/1/s/wh-services/shared/wh-product-data/build/lib/nodes/product-active-matters.d.ts
declare module '@sage/wh-product-data/lib/nodes/product-active-matters' {
	import { Node, integer, Reference } from '@sage/xtrem-core';
	import * as sageWhProductData from '@sage/wh-product-data/lib/index';
	export class ProductActiveMatters extends Node {
	    readonly denormalizedIndex: Promise<integer>;
	    readonly site: Promise<string>;
	    readonly depositor: Promise<string>;
	    readonly code: Promise<string>;
	    readonly _denormalizedParent: Reference<sageWhProductData.nodes.Product>;
	    readonly activeMatter: Reference<sageWhProductData.nodes.ActiveMatter | null>;
	}
	//# sourceMappingURL=product-active-matters.d.ts.map
}
// From file: /agent/_work/1/s/wh-services/shared/wh-product-data/build/lib/nodes/picking-mode.d.ts
declare module '@sage/wh-product-data/lib/nodes/picking-mode' {
	import * as sageWhMasterData from '@sage/wh-master-data';
	import * as sageWhSystem from '@sage/wh-system';
	import { Node, Reference } from '@sage/xtrem-core';
	import * as sageWhProductData from '@sage/wh-product-data/lib/index';
	export class PickingMode extends Node {
	    readonly site: Reference<sageWhSystem.nodes.Site>;
	    readonly depositor: Reference<sageWhMasterData.nodes.Depositor>;
	    readonly code: Promise<string>;
	    readonly localizedDescription: Promise<string>;
	    readonly localizedShortDescription: Promise<string>;
	    readonly isExclusiveReservation: Promise<boolean>;
	    readonly isMergingOfFlows: Promise<boolean>;
	    readonly crossDockingRule: Promise<sageWhProductData.enums.CrossDocking | null>;
	    readonly isExclusiveFifoDate: Promise<boolean>;
	    readonly isSingleLotInOutput: Promise<boolean>;
	    readonly isPreparationOrderMixed: Promise<boolean>;
	    readonly isPreparationOrderSingleDeliveryOrderPerPicking: Promise<boolean>;
	    readonly isPreparationOrderSingleDeliveryOrderPerReserve: Promise<boolean>;
	    readonly isPreparationOrderSinglePickArea: Promise<boolean>;
	    readonly preparationAreaForParcel: Reference<sageWhMasterData.nodes.PreparationArea>;
	    readonly preparationAreaForKit: Reference<sageWhMasterData.nodes.PreparationArea>;
	    readonly isPreparationOrderSingleOutputLevel: Promise<boolean>;
	    readonly isSingleShippingRoundPerPreparationOrder: Promise<boolean>;
	    readonly isSingleShipToCustomerPerPreparationOrder: Promise<boolean>;
	    readonly isPickingPreparationOrder: Promise<boolean>;
	    readonly isReservePreparationOrder: Promise<boolean>;
	    readonly packingManagement: Promise<sageWhProductData.enums.Packing | null>;
	    readonly isPreparationOrderPrint: Promise<boolean>;
	    readonly preparationOrderPrintSequence: Promise<sageWhProductData.enums.PoPrintSequence | null>;
	    readonly isGroupedMovements: Promise<boolean>;
	    readonly isParcelLabelPrint: Promise<boolean>;
	    readonly isShippingUnitLabelPrint: Promise<boolean>;
	    readonly isMultiplePicking: Promise<boolean>;
	    readonly isPrepalletization: Promise<boolean>;
	    readonly loadSplit: Promise<sageWhProductData.enums.LoadSplit | null>;
	    readonly isContractDate: Promise<boolean>;
	    readonly handledGroupingRule: Promise<sageWhProductData.enums.VtGroupingCriteria | null>;
	    readonly isActive: Promise<boolean>;
	    readonly siteDepositorIdentifier: Promise<string>;
	}
	//# sourceMappingURL=picking-mode.d.ts.map
}
// From file: /agent/_work/1/s/wh-services/shared/wh-product-data/build/lib/nodes/output-mode.d.ts
declare module '@sage/wh-product-data/lib/nodes/output-mode' {
	import * as sageWhMasterData from '@sage/wh-master-data';
	import * as sageWhSystem from '@sage/wh-system';
	import { Node, Reference, integer, decimal, Collection } from '@sage/xtrem-core';
	import * as sageWhProductData from '@sage/wh-product-data/lib/index';
	export class OutputMode extends Node {
	    readonly site: Reference<sageWhSystem.nodes.Site>;
	    readonly depositor: Reference<sageWhMasterData.nodes.Depositor>;
	    readonly code: Promise<string>;
	    readonly localizedDescription: Promise<string>;
	    readonly localizedShortDescription: Promise<string>;
	    readonly isPickingStockAllowed: Promise<boolean>;
	    readonly isPickingPivotAllowed: Promise<boolean>;
	    readonly isSingleDeliveryOrderReplenishmentForPickingPivotAllowed: Promise<boolean>;
	    readonly isSingleWaveReplenishmentForPickingPivotAllowed: Promise<boolean>;
	    readonly reserveOutputAuthorizedRule: Promise<sageWhProductData.enums.ReserveOutputAuthorized | null>;
	    readonly isReserveProhibited: Promise<boolean>;
	    readonly percentagePickingCapacityForReserveOutputAuthorizedRule: Promise<integer | null>;
	    readonly isAutomaticChoiceOfPicking: Promise<boolean>;
	    readonly inCompleteContainerPickingAuthorizedRule: Promise<sageWhProductData.enums.IncompleteOutputAuthorized | null>;
	    readonly isIncompletePalletCreatedAuthorized: Promise<boolean>;
	    readonly isStockOutReplenishmentAllowed: Promise<boolean>;
	    readonly isPreventiveReplenishmentAllowed: Promise<boolean>;
	    readonly isSerialNumberInInputAllowed: Promise<boolean>;
	    readonly isSerialNumberInOutputAllowed: Promise<boolean>;
	    readonly bigVolumeLimit: Promise<decimal | null>;
	    readonly isDynamicPickingAllowed: Promise<boolean>;
	    readonly isMultiplePickingAllowed: Promise<boolean>;
	    readonly isDeliveryOrderSinglePickingForMultiplePickingAllowed: Promise<boolean>;
	    readonly isPriorityOutputToReplenishmentForMultiplePickingAllowed: Promise<boolean>;
	    readonly isSingleAddressReplenishmentForMultiplePickingAllowed: Promise<boolean>;
	    readonly isActive: Promise<boolean>;
	    readonly siteDepositorIdentifier: Promise<string>;
	    readonly isLocalizedSerialNumberAllowed: Promise<boolean>;
	    readonly isMovementInHomogeneousContainerForReserveOutputAuthorizedRuleAllowed: Promise<boolean>;
	    readonly outputsPriority: Collection<sageWhProductData.nodes.OutputModeOutputsPriority>;
	    readonly pickingsPriority: Collection<sageWhProductData.nodes.OutputModePickingsPriority>;
	    readonly replenishmentsPriority: Collection<sageWhProductData.nodes.OutputModeReplenishmentsPriority>;
	    readonly replenishmentsPrioritySorting: Collection<sageWhProductData.nodes.OutputModeReplenishmentsPrioritySorting>;
	}
	//# sourceMappingURL=output-mode.d.ts.map
}
// From file: /agent/_work/1/s/wh-services/shared/wh-product-data/build/lib/nodes/output-mode-replenishments-priority.d.ts
declare module '@sage/wh-product-data/lib/nodes/output-mode-replenishments-priority' {
	import { Node, integer, Reference } from '@sage/xtrem-core';
	import * as sageWhProductData from '@sage/wh-product-data/lib/index';
	export class OutputModeReplenishmentsPriority extends Node {
	    readonly denormalizedIndex: Promise<integer>;
	    readonly site: Promise<string>;
	    readonly depositor: Promise<string>;
	    readonly code: Promise<string>;
	    readonly _denormalizedParent: Reference<sageWhProductData.nodes.OutputMode>;
	    readonly replenishmentPriority: Promise<sageWhProductData.enums.OutputOfTheReserve | null>;
	}
	//# sourceMappingURL=output-mode-replenishments-priority.d.ts.map
}
// From file: /agent/_work/1/s/wh-services/shared/wh-product-data/build/lib/nodes/output-mode-replenishments-priority-sorting.d.ts
declare module '@sage/wh-product-data/lib/nodes/output-mode-replenishments-priority-sorting' {
	import * as sageWhSystem from '@sage/wh-system';
	import { Node, integer, Reference } from '@sage/xtrem-core';
	import * as sageWhProductData from '@sage/wh-product-data/lib/index';
	export class OutputModeReplenishmentsPrioritySorting extends Node {
	    readonly denormalizedIndex: Promise<integer>;
	    readonly site: Promise<string>;
	    readonly depositor: Promise<string>;
	    readonly code: Promise<string>;
	    readonly _denormalizedParent: Reference<sageWhProductData.nodes.OutputMode>;
	    readonly replenishmentPrioritySorting: Promise<sageWhSystem.enums.SortOrder | null>;
	}
	//# sourceMappingURL=output-mode-replenishments-priority-sorting.d.ts.map
}
// From file: /agent/_work/1/s/wh-services/shared/wh-product-data/build/lib/nodes/output-mode-pickings-priority.d.ts
declare module '@sage/wh-product-data/lib/nodes/output-mode-pickings-priority' {
	import { Node, integer, Reference } from '@sage/xtrem-core';
	import * as sageWhProductData from '@sage/wh-product-data/lib/index';
	export class OutputModePickingsPriority extends Node {
	    readonly denormalizedIndex: Promise<integer>;
	    readonly site: Promise<string>;
	    readonly depositor: Promise<string>;
	    readonly code: Promise<string>;
	    readonly _denormalizedParent: Reference<sageWhProductData.nodes.OutputMode>;
	    readonly pickingPriority: Promise<sageWhProductData.enums.MultiPickingIssue | null>;
	}
	//# sourceMappingURL=output-mode-pickings-priority.d.ts.map
}
// From file: /agent/_work/1/s/wh-services/shared/wh-product-data/build/lib/nodes/output-mode-outputs-priority.d.ts
declare module '@sage/wh-product-data/lib/nodes/output-mode-outputs-priority' {
	import { Node, integer, Reference } from '@sage/xtrem-core';
	import * as sageWhProductData from '@sage/wh-product-data/lib/index';
	export class OutputModeOutputsPriority extends Node {
	    readonly denormalizedIndex: Promise<integer>;
	    readonly site: Promise<string>;
	    readonly depositor: Promise<string>;
	    readonly code: Promise<string>;
	    readonly _denormalizedParent: Reference<sageWhProductData.nodes.OutputMode>;
	    readonly outputPriority: Promise<sageWhProductData.enums.OutputOfTheReserve | null>;
	}
	//# sourceMappingURL=output-mode-outputs-priority.d.ts.map
}
// From file: /agent/_work/1/s/wh-services/shared/wh-product-data/build/lib/nodes/origin.d.ts
declare module '@sage/wh-product-data/lib/nodes/origin' {
	import * as sageWhMasterData from '@sage/wh-master-data';
	import * as sageWhSystem from '@sage/wh-system';
	import { Node, Reference } from '@sage/xtrem-core';
	export class Origin extends Node {
	    readonly site: Reference<sageWhSystem.nodes.Site>;
	    readonly depositor: Reference<sageWhMasterData.nodes.Depositor>;
	    readonly code: Promise<string>;
	    readonly localizedDescription: Promise<string>;
	    readonly localizedShortDescription: Promise<string>;
	}
	//# sourceMappingURL=origin.d.ts.map
}
// From file: /agent/_work/1/s/wh-services/shared/wh-product-data/build/lib/nodes/onu-code.d.ts
declare module '@sage/wh-product-data/lib/nodes/onu-code' {
	import * as sageWhSystem from '@sage/wh-system';
	import { Node, Reference } from '@sage/xtrem-core';
	export class OnuCode extends Node {
	    readonly site: Reference<sageWhSystem.nodes.Site>;
	    readonly code: Promise<string>;
	    readonly localizedDescription: Promise<string>;
	}
	//# sourceMappingURL=onu-code.d.ts.map
}
// From file: /agent/_work/1/s/wh-services/shared/wh-product-data/build/lib/nodes/kits.d.ts
declare module '@sage/wh-product-data/lib/nodes/kits' {
	import * as sageWhMasterData from '@sage/wh-master-data';
	import * as sageWhSystem from '@sage/wh-system';
	import { Node, Reference, integer, decimal } from '@sage/xtrem-core';
	import * as sageWhProductData from '@sage/wh-product-data/lib/index';
	export class Kits extends Node {
	    readonly site: Reference<sageWhSystem.nodes.Site>;
	    readonly depositor: Reference<sageWhMasterData.nodes.Depositor>;
	    readonly kit: Reference<sageWhProductData.nodes.Product>;
	    readonly lineOrder: Promise<integer | null>;
	    readonly product: Reference<sageWhProductData.nodes.Product | null>;
	    readonly numberOfConsumptionUnits: Promise<decimal | null>;
	}
	//# sourceMappingURL=kits.d.ts.map
}
// From file: /agent/_work/1/s/wh-services/shared/wh-product-data/build/lib/nodes/input-mode.d.ts
declare module '@sage/wh-product-data/lib/nodes/input-mode' {
	import * as sageWhMasterData from '@sage/wh-master-data';
	import * as sageWhSystem from '@sage/wh-system';
	import { Node, Reference, Collection } from '@sage/xtrem-core';
	import * as sageWhProductData from '@sage/wh-product-data/lib/index';
	export class InputMode extends Node {
	    readonly site: Reference<sageWhSystem.nodes.Site>;
	    readonly depositor: Reference<sageWhMasterData.nodes.Depositor>;
	    readonly code: Promise<string>;
	    readonly localizedDescription: Promise<string>;
	    readonly localizedShortDescription: Promise<string>;
	    readonly priorityPickingLocation: Promise<sageWhProductData.enums.PickingLocationPriority | null>;
	    readonly isProximityPickingAllowed: Promise<boolean>;
	    readonly isPartialObjectInPickingAllowed: Promise<boolean>;
	    readonly availableSpaceInPickingManagement: Promise<sageWhProductData.enums.ThresholdPalletAlways | null>;
	    readonly isRotationClassesChaining: Promise<boolean>;
	    readonly isAssignmentClassesChaining: Promise<boolean>;
	    readonly isContainerCorrespondence: Promise<boolean>;
	    readonly isSingleContainer: Promise<boolean>;
	    readonly isSingleProduct: Promise<boolean>;
	    readonly isIncompleteObjectCorrespondence: Promise<boolean>;
	    readonly mergingInInputManagement: Promise<sageWhProductData.enums.MergingInInput | null>;
	    readonly isKeyInSerialNumber: Promise<boolean>;
	    readonly isUniqueMergingStore: Promise<boolean>;
	    readonly isCompleteQuantityInSingleLocation: Promise<boolean>;
	    readonly homogeneousCrossDockingContainerLevel: Promise<sageWhMasterData.enums.ContainerLevel | null>;
	    readonly isAutoCrossDockingPreparationOrder: Promise<boolean>;
	    readonly isActive: Promise<boolean>;
	    readonly siteDepositorIdentifier: Promise<string>;
	    readonly isPartialObjectCapacityExcessAllowed: Promise<boolean>;
	    readonly creationOfSeparateMovements: Collection<sageWhProductData.nodes.InputModeCreationOfSeparateMovements>;
	    readonly inputPriorityInReserveLocations: Collection<sageWhProductData.nodes.InputModeInputPriorityInReserveLocations>;
	    readonly movementLevels: Collection<sageWhProductData.nodes.InputModeMovementLevels>;
	}
	//# sourceMappingURL=input-mode.d.ts.map
}
// From file: /agent/_work/1/s/wh-services/shared/wh-product-data/build/lib/nodes/input-mode-movement-levels.d.ts
declare module '@sage/wh-product-data/lib/nodes/input-mode-movement-levels' {
	import * as sageWhMasterData from '@sage/wh-master-data';
	import { Node, integer, Reference } from '@sage/xtrem-core';
	import * as sageWhProductData from '@sage/wh-product-data/lib/index';
	export class InputModeMovementLevels extends Node {
	    readonly denormalizedIndex: Promise<integer>;
	    readonly site: Promise<string>;
	    readonly depositor: Promise<string>;
	    readonly code: Promise<string>;
	    readonly _denormalizedParent: Reference<sageWhProductData.nodes.InputMode>;
	    readonly movementLevel: Promise<sageWhMasterData.enums.ContainerLevel | null>;
	}
	//# sourceMappingURL=input-mode-movement-levels.d.ts.map
}
// From file: /agent/_work/1/s/wh-services/shared/wh-product-data/build/lib/nodes/input-mode-input-priority-in-reserve-locations.d.ts
declare module '@sage/wh-product-data/lib/nodes/input-mode-input-priority-in-reserve-locations' {
	import { Node, integer, Reference } from '@sage/xtrem-core';
	import * as sageWhProductData from '@sage/wh-product-data/lib/index';
	export class InputModeInputPriorityInReserveLocations extends Node {
	    readonly denormalizedIndex: Promise<integer>;
	    readonly site: Promise<string>;
	    readonly depositor: Promise<string>;
	    readonly code: Promise<string>;
	    readonly _denormalizedParent: Reference<sageWhProductData.nodes.InputMode>;
	    readonly inputPriorityInReserveLocation: Promise<sageWhProductData.enums.Class | null>;
	}
	//# sourceMappingURL=input-mode-input-priority-in-reserve-locations.d.ts.map
}
// From file: /agent/_work/1/s/wh-services/shared/wh-product-data/build/lib/nodes/input-mode-creation-of-separate-movements.d.ts
declare module '@sage/wh-product-data/lib/nodes/input-mode-creation-of-separate-movements' {
	import { Node, integer, Reference } from '@sage/xtrem-core';
	import * as sageWhProductData from '@sage/wh-product-data/lib/index';
	export class InputModeCreationOfSeparateMovements extends Node {
	    readonly denormalizedIndex: Promise<integer>;
	    readonly site: Promise<string>;
	    readonly depositor: Promise<string>;
	    readonly code: Promise<string>;
	    readonly _denormalizedParent: Reference<sageWhProductData.nodes.InputMode>;
	    readonly isCreationOfSeparateMovements: Promise<boolean>;
	}
	//# sourceMappingURL=input-mode-creation-of-separate-movements.d.ts.map
}
// From file: /agent/_work/1/s/wh-services/shared/wh-product-data/build/lib/nodes/index.d.ts
declare module '@sage/wh-product-data/lib/nodes/index' {
	export * from '@sage/wh-product-data/lib/nodes/active-matter';
	export * from '@sage/wh-product-data/lib/nodes/container';
	export * from '@sage/wh-product-data/lib/nodes/containers-type';
	export * from '@sage/wh-product-data/lib/nodes/family';
	export * from '@sage/wh-product-data/lib/nodes/group';
	export * from '@sage/wh-product-data/lib/nodes/hazardous-materials-class';
	export * from '@sage/wh-product-data/lib/nodes/icpe-classes';
	export * from '@sage/wh-product-data/lib/nodes/input-mode-creation-of-separate-movements';
	export * from '@sage/wh-product-data/lib/nodes/input-mode-input-priority-in-reserve-locations';
	export * from '@sage/wh-product-data/lib/nodes/input-mode-movement-levels';
	export * from '@sage/wh-product-data/lib/nodes/input-mode';
	export * from '@sage/wh-product-data/lib/nodes/kits';
	export * from '@sage/wh-product-data/lib/nodes/onu-code';
	export * from '@sage/wh-product-data/lib/nodes/origin';
	export * from '@sage/wh-product-data/lib/nodes/output-mode-outputs-priority';
	export * from '@sage/wh-product-data/lib/nodes/output-mode-pickings-priority';
	export * from '@sage/wh-product-data/lib/nodes/output-mode-replenishments-priority-sorting';
	export * from '@sage/wh-product-data/lib/nodes/output-mode-replenishments-priority';
	export * from '@sage/wh-product-data/lib/nodes/output-mode';
	export * from '@sage/wh-product-data/lib/nodes/picking-mode';
	export * from '@sage/wh-product-data/lib/nodes/product-active-matters';
	export * from '@sage/wh-product-data/lib/nodes/product-is-printable-descriptions';
	export * from '@sage/wh-product-data/lib/nodes/product-percentage-active-matters';
	export * from '@sage/wh-product-data/lib/nodes/product';
	export * from '@sage/wh-product-data/lib/nodes/products-container-containers-inferior';
	export * from '@sage/wh-product-data/lib/nodes/products-container-number-of-consumption-unit-perlevels';
	export * from '@sage/wh-product-data/lib/nodes/products-container-number-of-stock-unit-perlevels';
	export * from '@sage/wh-product-data/lib/nodes/products-container-prohibited-classes';
	export * from '@sage/wh-product-data/lib/nodes/products-container';
	export * from '@sage/wh-product-data/lib/nodes/receipt-mode';
	export * from '@sage/wh-product-data/lib/nodes/risk';
	export * from '@sage/wh-product-data/lib/nodes/sub-family';
	export * from '@sage/wh-product-data/lib/nodes/sub-group';
	export * from '@sage/wh-product-data/lib/nodes/transport-category';
	//# sourceMappingURL=index.d.ts.map
}
// From file: /agent/_work/1/s/wh-services/shared/wh-product-data/build/lib/nodes/icpe-classes.d.ts
declare module '@sage/wh-product-data/lib/nodes/icpe-classes' {
	import * as sageWhSystem from '@sage/wh-system';
	import { Node, Reference, integer } from '@sage/xtrem-core';
	export class IcpeClasses extends Node {
	    readonly site: Reference<sageWhSystem.nodes.Site>;
	    readonly code: Promise<string>;
	    readonly localizedDescription: Promise<string>;
	    readonly maximumQuantityAllowedOnSite: Promise<integer | null>;
	}
	//# sourceMappingURL=icpe-classes.d.ts.map
}
// From file: /agent/_work/1/s/wh-services/shared/wh-product-data/build/lib/nodes/hazardous-materials-class.d.ts
declare module '@sage/wh-product-data/lib/nodes/hazardous-materials-class' {
	import * as sageWhSystem from '@sage/wh-system';
	import { Node, Reference } from '@sage/xtrem-core';
	export class HazardousMaterialsClass extends Node {
	    readonly site: Reference<sageWhSystem.nodes.Site>;
	    readonly code: Promise<string>;
	    readonly localizedDescription: Promise<string>;
	}
	//# sourceMappingURL=hazardous-materials-class.d.ts.map
}
// From file: /agent/_work/1/s/wh-services/shared/wh-product-data/build/lib/nodes/group.d.ts
declare module '@sage/wh-product-data/lib/nodes/group' {
	import * as sageWhMasterData from '@sage/wh-master-data';
	import * as sageWhSystem from '@sage/wh-system';
	import { Node, Reference } from '@sage/xtrem-core';
	export class Group extends Node {
	    readonly site: Reference<sageWhSystem.nodes.Site>;
	    readonly depositor: Reference<sageWhMasterData.nodes.Depositor>;
	    readonly code: Promise<string>;
	    readonly localizedDescription: Promise<string>;
	    readonly localizedShortDescription: Promise<string>;
	}
	//# sourceMappingURL=group.d.ts.map
}
// From file: /agent/_work/1/s/wh-services/shared/wh-product-data/build/lib/nodes/family.d.ts
declare module '@sage/wh-product-data/lib/nodes/family' {
	import * as sageWhMasterData from '@sage/wh-master-data';
	import * as sageWhSystem from '@sage/wh-system';
	import { Node, Reference } from '@sage/xtrem-core';
	export class Family extends Node {
	    readonly site: Reference<sageWhSystem.nodes.Site>;
	    readonly depositor: Reference<sageWhMasterData.nodes.Depositor>;
	    readonly code: Promise<string>;
	    readonly localizedDescription: Promise<string>;
	    readonly localizedShortDescription: Promise<string>;
	    readonly parcelRange: Reference<sageWhMasterData.nodes.RangeOfParcel | null>;
	    readonly parcelGroup: Promise<string>;
	}
	//# sourceMappingURL=family.d.ts.map
}
// From file: /agent/_work/1/s/wh-services/shared/wh-product-data/build/lib/nodes/containers-type.d.ts
declare module '@sage/wh-product-data/lib/nodes/containers-type' {
	import * as sageWhMasterData from '@sage/wh-master-data';
	import * as sageWhSystem from '@sage/wh-system';
	import { Node, Reference } from '@sage/xtrem-core';
	export class ContainersType extends Node {
	    readonly site: Reference<sageWhSystem.nodes.Site>;
	    readonly code: Promise<string>;
	    readonly localizedDescription: Promise<string>;
	    readonly localizedShortDescription: Promise<string>;
	    readonly level: Promise<sageWhMasterData.enums.ContainerLevel>;
	    readonly mergingOfFlowsGroup: Promise<string>;
	    readonly containerManagementType: Promise<sageWhMasterData.enums.ContainerManagementType>;
	}
	//# sourceMappingURL=containers-type.d.ts.map
}
// From file: /agent/_work/1/s/wh-services/shared/wh-product-data/build/lib/nodes/container.d.ts
declare module '@sage/wh-product-data/lib/nodes/container' {
	import * as sageWhMasterData from '@sage/wh-master-data';
	import * as sageWhSystem from '@sage/wh-system';
	import { Node, Reference, decimal, integer } from '@sage/xtrem-core';
	import * as sageWhProductData from '@sage/wh-product-data/lib/index';
	export class Container extends Node {
	    readonly site: Reference<sageWhSystem.nodes.Site>;
	    readonly code: Promise<string>;
	    readonly containerType: Reference<sageWhProductData.nodes.ContainersType>;
	    readonly containerLevel: Promise<sageWhMasterData.enums.ContainerLevel>;
	    readonly localizedDescription: Promise<string>;
	    readonly localizedShortDescription: Promise<string>;
	    readonly height: Promise<decimal>;
	    readonly width: Promise<decimal>;
	    readonly depth: Promise<decimal>;
	    readonly volume: Promise<decimal | null>;
	    readonly parcelRangeShippedAsIsStandard: Reference<sageWhMasterData.nodes.RangeOfParcel | null>;
	    readonly parcelTypeShippedAsIsStandard: Reference<sageWhMasterData.nodes.ParcelType | null>;
	    readonly parcelRangeShippedAsIsNonStandard: Reference<sageWhMasterData.nodes.RangeOfParcel | null>;
	    readonly parcelTypeShippedAsIsNonStandard: Reference<sageWhMasterData.nodes.ParcelType | null>;
	    readonly shippingUnitDispatchableAsIs: Reference<sageWhMasterData.nodes.ShippingUnitType | null>;
	    readonly isShippingUnitPalettizableAsIs: Promise<boolean>;
	    readonly maximumQuantityAllowedInInputOutput: Promise<integer | null>;
	    readonly palletBaseHeight: Promise<decimal | null>;
	    readonly palletBaseGrossWeight: Promise<decimal | null>;
	    readonly isActive: Promise<boolean>;
	    readonly containerManagementType: Promise<sageWhMasterData.enums.ContainerManagementType>;
	    readonly unitWeight: Promise<decimal | null>;
	    readonly unitVolume: Promise<decimal | null>;
	}
	//# sourceMappingURL=container.d.ts.map
}
// From file: /agent/_work/1/s/wh-services/shared/wh-product-data/build/lib/nodes/active-matter.d.ts
declare module '@sage/wh-product-data/lib/nodes/active-matter' {
	import * as sageWhSystem from '@sage/wh-system';
	import { Node, Reference } from '@sage/xtrem-core';
	export class ActiveMatter extends Node {
	    readonly site: Reference<sageWhSystem.nodes.Site>;
	    readonly code: Promise<string>;
	    readonly localizedDescription: Promise<string>;
	    readonly isSaleWithdrawal: Promise<boolean>;
	}
	//# sourceMappingURL=active-matter.d.ts.map
}
// From file: /agent/_work/1/s/wh-services/shared/wh-product-data/build/lib/node-extensions/location-extension.d.ts
declare module '@sage/wh-product-data/lib/node-extensions/location-extension' {
	import * as sageWhMasterData from '@sage/wh-master-data';
	import { NodeExtension, Reference } from '@sage/xtrem-core';
	import * as sageWhProductData from '@sage/wh-product-data/lib/index';
	export class LocationExtension extends NodeExtension<sageWhMasterData.nodes.Location> {
	    readonly product: Reference<sageWhProductData.nodes.Product | null>;
	    readonly container: Reference<sageWhProductData.nodes.Container | null>;
	    readonly source: Reference<sageWhProductData.nodes.Origin | null>;
	    readonly referenceContainer: Reference<sageWhProductData.nodes.Container | null>;
	    readonly presentContainer: Reference<sageWhProductData.nodes.Container | null>;
	    readonly superiorContainer: Reference<sageWhProductData.nodes.ProductsContainer | null>;
	}
	declare module '@sage/wh-master-data/lib/nodes/location' {
	    interface Location extends LocationExtension {
	    }
	}
	//# sourceMappingURL=location-extension.d.ts.map
}
// From file: /agent/_work/1/s/wh-services/shared/wh-product-data/build/lib/node-extensions/index.d.ts
declare module '@sage/wh-product-data/lib/node-extensions/index' {
	export * from '@sage/wh-product-data/lib/node-extensions/location-extension';
	//# sourceMappingURL=index.d.ts.map
}
// From file: /agent/_work/1/s/wh-services/shared/wh-product-data/build/lib/interfaces/index.d.ts
declare module '@sage/wh-product-data/lib/interfaces/index' {
	export * from '@sage/wh-product-data/lib/interfaces/environnement';
	//# sourceMappingURL=index.d.ts.map
}
// From file: /agent/_work/1/s/wh-services/shared/wh-product-data/build/lib/interfaces/environnement.d.ts
declare module '@sage/wh-product-data/lib/interfaces/environnement' {
	export interface ConsumptionUnit {
	    code: string;
	    numberOfDecimals?: number;
	    numberOfConsumptionUnit: number;
	}
	//# sourceMappingURL=environnement.d.ts.map
}
// From file: /agent/_work/1/s/wh-services/shared/wh-product-data/build/lib/functions/index.d.ts
declare module '@sage/wh-product-data/lib/functions/index' {
	export type Dummy = void;
	//# sourceMappingURL=index.d.ts.map
}
// From file: /agent/_work/1/s/wh-services/shared/wh-product-data/build/lib/enums/wave-type.d.ts
declare module '@sage/wh-product-data/lib/enums/wave-type' {
	import { X3EnumDataType } from '@sage/xtrem-x3-gateway';
	export enum WaveTypeEnum {
	    normal = 1,
	    mergingOfFlows = 2,
	    assembling = 3,
	    disassembling = 4
	}
	export interface WaveType$EnumInterface {
	    normal: 1;
	    mergingOfFlows: 2;
	    assembling: 3;
	    disassembling: 4;
	}
	export type WaveType = keyof WaveType$EnumInterface;
	export const waveTypeDatatype: X3EnumDataType<keyof WaveType$EnumInterface, unknown>;
	//# sourceMappingURL=wave-type.d.ts.map
}
// From file: /agent/_work/1/s/wh-services/shared/wh-product-data/build/lib/enums/wave-status.d.ts
declare module '@sage/wh-product-data/lib/enums/wave-status' {
	import { X3EnumDataType } from '@sage/xtrem-x3-gateway';
	export enum WaveStatusEnum {
	    waitToLaunch = 1,
	    notUsed2 = 2,
	    waitToTransfer = 3,
	    wait2ndStep = 4,
	    ended = 5
	}
	export interface WaveStatus$EnumInterface {
	    waitToLaunch: 1;
	    notUsed2: 2;
	    waitToTransfer: 3;
	    wait2ndStep: 4;
	    ended: 5;
	}
	export type WaveStatus = keyof WaveStatus$EnumInterface;
	export const waveStatusDatatype: X3EnumDataType<keyof WaveStatus$EnumInterface, unknown>;
	//# sourceMappingURL=wave-status.d.ts.map
}
// From file: /agent/_work/1/s/wh-services/shared/wh-product-data/build/lib/enums/vt-grouping-criteria.d.ts
declare module '@sage/wh-product-data/lib/enums/vt-grouping-criteria' {
	import { X3EnumDataType } from '@sage/xtrem-x3-gateway';
	export enum VtGroupingCriteriaEnum {
	    none = 1,
	    customer = 2,
	    do = 3,
	    doLine = 4
	}
	export interface VtGroupingCriteria$EnumInterface {
	    none: 1;
	    customer: 2;
	    do: 3;
	    doLine: 4;
	}
	export type VtGroupingCriteria = keyof VtGroupingCriteria$EnumInterface;
	export const vtGroupingCriteriaDatatype: X3EnumDataType<keyof VtGroupingCriteria$EnumInterface, unknown>;
	//# sourceMappingURL=vt-grouping-criteria.d.ts.map
}
// From file: /agent/_work/1/s/wh-services/shared/wh-product-data/build/lib/enums/unit-length.d.ts
declare module '@sage/wh-product-data/lib/enums/unit-length' {
	import { X3EnumDataType } from '@sage/xtrem-x3-gateway';
	export enum UnitLengthEnum {
	    days = 1,
	    month = 2,
	    no = 3
	}
	export interface UnitLength$EnumInterface {
	    days: 1;
	    month: 2;
	    no: 3;
	}
	export type UnitLength = keyof UnitLength$EnumInterface;
	export const unitLengthDatatype: X3EnumDataType<keyof UnitLength$EnumInterface, unknown>;
	//# sourceMappingURL=unit-length.d.ts.map
}
// From file: /agent/_work/1/s/wh-services/shared/wh-product-data/build/lib/enums/type.d.ts
declare module '@sage/wh-product-data/lib/enums/type' {
	import { X3EnumDataType } from '@sage/xtrem-x3-gateway';
	export enum TypeEnum {
	    assembling = 1,
	    disassembling = 2
	}
	export interface Type$EnumInterface {
	    assembling: 1;
	    disassembling: 2;
	}
	export type Type = keyof Type$EnumInterface;
	export const typeDatatype: X3EnumDataType<keyof Type$EnumInterface, unknown>;
	//# sourceMappingURL=type.d.ts.map
}
// From file: /agent/_work/1/s/wh-services/shared/wh-product-data/build/lib/enums/transmission-l-3.d.ts
declare module '@sage/wh-product-data/lib/enums/transmission-l-3' {
	import { X3EnumDataType } from '@sage/xtrem-x3-gateway';
	export enum TransmissionL3Enum {
	    none = 1,
	    yes = 2,
	    mounted = 3
	}
	export interface TransmissionL3$EnumInterface {
	    none: 1;
	    yes: 2;
	    mounted: 3;
	}
	export type TransmissionL3 = keyof TransmissionL3$EnumInterface;
	export const transmissionL3Datatype: X3EnumDataType<keyof TransmissionL3$EnumInterface, unknown>;
	//# sourceMappingURL=transmission-l-3.d.ts.map
}
// From file: /agent/_work/1/s/wh-services/shared/wh-product-data/build/lib/enums/threshold-pallet-always.d.ts
declare module '@sage/wh-product-data/lib/enums/threshold-pallet-always' {
	import { X3EnumDataType } from '@sage/xtrem-x3-gateway';
	export enum ThresholdPalletAlwaysEnum {
	    threshold = 1,
	    object = 2,
	    always = 3
	}
	export interface ThresholdPalletAlways$EnumInterface {
	    threshold: 1;
	    object: 2;
	    always: 3;
	}
	export type ThresholdPalletAlways = keyof ThresholdPalletAlways$EnumInterface;
	export const thresholdPalletAlwaysDatatype: X3EnumDataType<keyof ThresholdPalletAlways$EnumInterface, unknown>;
	//# sourceMappingURL=threshold-pallet-always.d.ts.map
}
// From file: /agent/_work/1/s/wh-services/shared/wh-product-data/build/lib/enums/su-creation-type.d.ts
declare module '@sage/wh-product-data/lib/enums/su-creation-type' {
	import { X3EnumDataType } from '@sage/xtrem-x3-gateway';
	export enum SuCreationTypeEnum {
	    prepalletization = 1,
	    autoPalletization = 2,
	    palletization = 3
	}
	export interface SuCreationType$EnumInterface {
	    prepalletization: 1;
	    autoPalletization: 2;
	    palletization: 3;
	}
	export type SuCreationType = keyof SuCreationType$EnumInterface;
	export const suCreationTypeDatatype: X3EnumDataType<keyof SuCreationType$EnumInterface, unknown>;
	//# sourceMappingURL=su-creation-type.d.ts.map
}
// From file: /agent/_work/1/s/wh-services/shared/wh-product-data/build/lib/enums/storing-list-purchase-order-status.d.ts
declare module '@sage/wh-product-data/lib/enums/storing-list-purchase-order-status' {
	import { X3EnumDataType } from '@sage/xtrem-x3-gateway';
	export enum StoringListPurchaseOrderStatusEnum {
	    notValidated = 1,
	    notUsed2 = 2,
	    partiallyValidated = 3,
	    validated = 4,
	    beingCreated = 5
	}
	export interface StoringListPurchaseOrderStatus$EnumInterface {
	    notValidated: 1;
	    notUsed2: 2;
	    partiallyValidated: 3;
	    validated: 4;
	    beingCreated: 5;
	}
	export type StoringListPurchaseOrderStatus = keyof StoringListPurchaseOrderStatus$EnumInterface;
	export const storingListPurchaseOrderStatusDatatype: X3EnumDataType<keyof StoringListPurchaseOrderStatus$EnumInterface, unknown>;
	//# sourceMappingURL=storing-list-purchase-order-status.d.ts.map
}
// From file: /agent/_work/1/s/wh-services/shared/wh-product-data/build/lib/enums/stock-count-creation-origin.d.ts
declare module '@sage/wh-product-data/lib/enums/stock-count-creation-origin' {
	import { X3EnumDataType } from '@sage/xtrem-x3-gateway';
	export enum StockCountCreationOriginEnum {
	    manual = 1,
	    stockCountGeneration = 2,
	    simplifiedStockCount = 3
	}
	export interface StockCountCreationOrigin$EnumInterface {
	    manual: 1;
	    stockCountGeneration: 2;
	    simplifiedStockCount: 3;
	}
	export type StockCountCreationOrigin = keyof StockCountCreationOrigin$EnumInterface;
	export const stockCountCreationOriginDatatype: X3EnumDataType<keyof StockCountCreationOrigin$EnumInterface, unknown>;
	//# sourceMappingURL=stock-count-creation-origin.d.ts.map
}
// From file: /agent/_work/1/s/wh-services/shared/wh-product-data/build/lib/enums/simplified-stock-count-status.d.ts
declare module '@sage/wh-product-data/lib/enums/simplified-stock-count-status' {
	import { X3EnumDataType } from '@sage/xtrem-x3-gateway';
	export enum SimplifiedStockCountStatusEnum {
	    pending = 1,
	    nonComplying = 2,
	    withDiscrepancy = 3,
	    withoutDiscrepancy = 4,
	    validated = 5,
	    closed = 6
	}
	export interface SimplifiedStockCountStatus$EnumInterface {
	    pending: 1;
	    nonComplying: 2;
	    withDiscrepancy: 3;
	    withoutDiscrepancy: 4;
	    validated: 5;
	    closed: 6;
	}
	export type SimplifiedStockCountStatus = keyof SimplifiedStockCountStatus$EnumInterface;
	export const simplifiedStockCountStatusDatatype: X3EnumDataType<keyof SimplifiedStockCountStatus$EnumInterface, unknown>;
	//# sourceMappingURL=simplified-stock-count-status.d.ts.map
}
// From file: /agent/_work/1/s/wh-services/shared/wh-product-data/build/lib/enums/shipping-unit-status.d.ts
declare module '@sage/wh-product-data/lib/enums/shipping-unit-status' {
	import { X3EnumDataType } from '@sage/xtrem-x3-gateway';
	export enum ShippingUnitStatusEnum {
	    notUsed1 = 1,
	    notUsed2 = 2,
	    notUsed3 = 3,
	    notValidated = 4,
	    notUsed5 = 5,
	    preparationPending = 6,
	    waitingToLoad = 7,
	    waitToShip = 8,
	    shipped = 9
	}
	export interface ShippingUnitStatus$EnumInterface {
	    notUsed1: 1;
	    notUsed2: 2;
	    notUsed3: 3;
	    notValidated: 4;
	    notUsed5: 5;
	    preparationPending: 6;
	    waitingToLoad: 7;
	    waitToShip: 8;
	    shipped: 9;
	}
	export type ShippingUnitStatus = keyof ShippingUnitStatus$EnumInterface;
	export const shippingUnitStatusDatatype: X3EnumDataType<keyof ShippingUnitStatus$EnumInterface, unknown>;
	//# sourceMappingURL=shipping-unit-status.d.ts.map
}
// From file: /agent/_work/1/s/wh-services/shared/wh-product-data/build/lib/enums/serial-action.d.ts
declare module '@sage/wh-product-data/lib/enums/serial-action' {
	import { X3EnumDataType } from '@sage/xtrem-x3-gateway';
	export enum SerialActionEnum {
	    inputOnDi = 1,
	    diCancellation = 2,
	    diInterface = 3,
	    vtStorageInput = 4,
	    inputOnSl = 5,
	    slValidation = 6,
	    outputOnPo = 7,
	    outputOnDo = 8,
	    doCancellation = 9,
	    outputOnParcel = 10,
	    declaredPacking = 11,
	    outputOnVtPicking = 12,
	    shipmentCancellation = 13,
	    shipmentPostponement = 14,
	    shipmentRenewal = 15,
	    inputOnAdjustment = 16,
	    outputOnAdjustment = 17,
	    transfer = 18
	}
	export interface SerialAction$EnumInterface {
	    inputOnDi: 1;
	    diCancellation: 2;
	    diInterface: 3;
	    vtStorageInput: 4;
	    inputOnSl: 5;
	    slValidation: 6;
	    outputOnPo: 7;
	    outputOnDo: 8;
	    doCancellation: 9;
	    outputOnParcel: 10;
	    declaredPacking: 11;
	    outputOnVtPicking: 12;
	    shipmentCancellation: 13;
	    shipmentPostponement: 14;
	    shipmentRenewal: 15;
	    inputOnAdjustment: 16;
	    outputOnAdjustment: 17;
	    transfer: 18;
	}
	export type SerialAction = keyof SerialAction$EnumInterface;
	export const serialActionDatatype: X3EnumDataType<keyof SerialAction$EnumInterface, unknown>;
	//# sourceMappingURL=serial-action.d.ts.map
}
// From file: /agent/_work/1/s/wh-services/shared/wh-product-data/build/lib/enums/sampling-type.d.ts
declare module '@sage/wh-product-data/lib/enums/sampling-type' {
	import { X3EnumDataType } from '@sage/xtrem-x3-gateway';
	export enum SamplingTypeEnum {
	    none = 1,
	    simple = 2
	}
	export interface SamplingType$EnumInterface {
	    none: 1;
	    simple: 2;
	}
	export type SamplingType = keyof SamplingType$EnumInterface;
	export const samplingTypeDatatype: X3EnumDataType<keyof SamplingType$EnumInterface, unknown>;
	//# sourceMappingURL=sampling-type.d.ts.map
}
// From file: /agent/_work/1/s/wh-services/shared/wh-product-data/build/lib/enums/reversible-freezing.d.ts
declare module '@sage/wh-product-data/lib/enums/reversible-freezing' {
	import { X3EnumDataType } from '@sage/xtrem-x3-gateway';
	export enum ReversibleFreezingEnum {
	    no = 1,
	    yes = 2,
	    notUsed3 = 3
	}
	export interface ReversibleFreezing$EnumInterface {
	    no: 1;
	    yes: 2;
	    notUsed3: 3;
	}
	export type ReversibleFreezing = keyof ReversibleFreezing$EnumInterface;
	export const reversibleFreezingDatatype: X3EnumDataType<keyof ReversibleFreezing$EnumInterface, unknown>;
	//# sourceMappingURL=reversible-freezing.d.ts.map
}
// From file: /agent/_work/1/s/wh-services/shared/wh-product-data/build/lib/enums/reserve-output-authorized.d.ts
declare module '@sage/wh-product-data/lib/enums/reserve-output-authorized' {
	import { X3EnumDataType } from '@sage/xtrem-x3-gateway';
	export enum ReserveOutputAuthorizedEnum {
	    no = 1,
	    requestObject = 2,
	    requestPickingCapacity = 3,
	    always = 4
	}
	export interface ReserveOutputAuthorized$EnumInterface {
	    no: 1;
	    requestObject: 2;
	    requestPickingCapacity: 3;
	    always: 4;
	}
	export type ReserveOutputAuthorized = keyof ReserveOutputAuthorized$EnumInterface;
	export const reserveOutputAuthorizedDatatype: X3EnumDataType<keyof ReserveOutputAuthorized$EnumInterface, unknown>;
	//# sourceMappingURL=reserve-output-authorized.d.ts.map
}
// From file: /agent/_work/1/s/wh-services/shared/wh-product-data/build/lib/enums/replenishment-movement-type.d.ts
declare module '@sage/wh-product-data/lib/enums/replenishment-movement-type' {
	import { X3EnumDataType } from '@sage/xtrem-x3-gateway';
	export enum ReplenishmentMovementTypeEnum {
	    notUsed1 = 1,
	    notUsed2 = 2,
	    addressed = 3,
	    notUsed4 = 4,
	    notUsed5 = 5,
	    notUsed6 = 6,
	    transfertPending = 7,
	    validated = 8,
	    cancelled = 9
	}
	export interface ReplenishmentMovementType$EnumInterface {
	    notUsed1: 1;
	    notUsed2: 2;
	    addressed: 3;
	    notUsed4: 4;
	    notUsed5: 5;
	    notUsed6: 6;
	    transfertPending: 7;
	    validated: 8;
	    cancelled: 9;
	}
	export type ReplenishmentMovementType = keyof ReplenishmentMovementType$EnumInterface;
	export const replenishmentMovementTypeDatatype: X3EnumDataType<keyof ReplenishmentMovementType$EnumInterface, unknown>;
	//# sourceMappingURL=replenishment-movement-type.d.ts.map
}
// From file: /agent/_work/1/s/wh-services/shared/wh-product-data/build/lib/enums/receipt-status.d.ts
declare module '@sage/wh-product-data/lib/enums/receipt-status' {
	import { X3EnumDataType } from '@sage/xtrem-x3-gateway';
	export enum ReceiptStatusEnum {
	    declared = 1,
	    pending = 2,
	    partiallyValidated = 3,
	    validated = 4
	}
	export interface ReceiptStatus$EnumInterface {
	    declared: 1;
	    pending: 2;
	    partiallyValidated: 3;
	    validated: 4;
	}
	export type ReceiptStatus = keyof ReceiptStatus$EnumInterface;
	export const receiptStatusDatatype: X3EnumDataType<keyof ReceiptStatus$EnumInterface, unknown>;
	//# sourceMappingURL=receipt-status.d.ts.map
}
// From file: /agent/_work/1/s/wh-services/shared/wh-product-data/build/lib/enums/receipt-reference-type.d.ts
declare module '@sage/wh-product-data/lib/enums/receipt-reference-type' {
	import { X3EnumDataType } from '@sage/xtrem-x3-gateway';
	export enum ReceiptReferenceTypeEnum {
	    none = 1,
	    expectedInputReference = 2,
	    orderReference = 3,
	    reference = 4
	}
	export interface ReceiptReferenceType$EnumInterface {
	    none: 1;
	    expectedInputReference: 2;
	    orderReference: 3;
	    reference: 4;
	}
	export type ReceiptReferenceType = keyof ReceiptReferenceType$EnumInterface;
	export const receiptReferenceTypeDatatype: X3EnumDataType<keyof ReceiptReferenceType$EnumInterface, unknown>;
	//# sourceMappingURL=receipt-reference-type.d.ts.map
}
// From file: /agent/_work/1/s/wh-services/shared/wh-product-data/build/lib/enums/receipt-line-status.d.ts
declare module '@sage/wh-product-data/lib/enums/receipt-line-status' {
	import { X3EnumDataType } from '@sage/xtrem-x3-gateway';
	export enum ReceiptLineStatusEnum {
	    generated = 1,
	    dripAndDropRequested = 2,
	    dripAndDropInProcess = 3,
	    dripAndDropValidated = 4,
	    validated = 5
	}
	export interface ReceiptLineStatus$EnumInterface {
	    generated: 1;
	    dripAndDropRequested: 2;
	    dripAndDropInProcess: 3;
	    dripAndDropValidated: 4;
	    validated: 5;
	}
	export type ReceiptLineStatus = keyof ReceiptLineStatus$EnumInterface;
	export const receiptLineStatusDatatype: X3EnumDataType<keyof ReceiptLineStatus$EnumInterface, unknown>;
	//# sourceMappingURL=receipt-line-status.d.ts.map
}
// From file: /agent/_work/1/s/wh-services/shared/wh-product-data/build/lib/enums/po-type.d.ts
declare module '@sage/wh-product-data/lib/enums/po-type' {
	import { X3EnumDataType } from '@sage/xtrem-x3-gateway';
	export enum PoTypeEnum {
	    picking = 1,
	    reserve = 2,
	    mixed = 3
	}
	export interface PoType$EnumInterface {
	    picking: 1;
	    reserve: 2;
	    mixed: 3;
	}
	export type PoType = keyof PoType$EnumInterface;
	export const poTypeDatatype: X3EnumDataType<keyof PoType$EnumInterface, unknown>;
	//# sourceMappingURL=po-type.d.ts.map
}
// From file: /agent/_work/1/s/wh-services/shared/wh-product-data/build/lib/enums/po-print-sequence.d.ts
declare module '@sage/wh-product-data/lib/enums/po-print-sequence' {
	import { X3EnumDataType } from '@sage/xtrem-x3-gateway';
	export enum PoPrintSequenceEnum {
	    preparationAreaDo = 1,
	    doPreparationArea = 2
	}
	export interface PoPrintSequence$EnumInterface {
	    preparationAreaDo: 1;
	    doPreparationArea: 2;
	}
	export type PoPrintSequence = keyof PoPrintSequence$EnumInterface;
	export const poPrintSequenceDatatype: X3EnumDataType<keyof PoPrintSequence$EnumInterface, unknown>;
	//# sourceMappingURL=po-print-sequence.d.ts.map
}
// From file: /agent/_work/1/s/wh-services/shared/wh-product-data/build/lib/enums/picking-location-priority.d.ts
declare module '@sage/wh-product-data/lib/enums/picking-location-priority' {
	import { X3EnumDataType } from '@sage/xtrem-x3-gateway';
	export enum PickingLocationPriorityEnum {
	    no = 1,
	    yesAlways = 2,
	    yesIfReserveIsEmpty = 3
	}
	export interface PickingLocationPriority$EnumInterface {
	    no: 1;
	    yesAlways: 2;
	    yesIfReserveIsEmpty: 3;
	}
	export type PickingLocationPriority = keyof PickingLocationPriority$EnumInterface;
	export const pickingLocationPriorityDatatype: X3EnumDataType<keyof PickingLocationPriority$EnumInterface, unknown>;
	//# sourceMappingURL=picking-location-priority.d.ts.map
}
// From file: /agent/_work/1/s/wh-services/shared/wh-product-data/build/lib/enums/parcel-status.d.ts
declare module '@sage/wh-product-data/lib/enums/parcel-status' {
	import { X3EnumDataType } from '@sage/xtrem-x3-gateway';
	export enum ParcelStatusEnum {
	    notUsed1 = 1,
	    notUsed2 = 2,
	    creationPending = 3,
	    notValidated = 4,
	    autoPalletization = 5,
	    waitToPalletized = 6,
	    waitToLoad = 7,
	    waitToShip = 8,
	    shipped = 9
	}
	export interface ParcelStatus$EnumInterface {
	    notUsed1: 1;
	    notUsed2: 2;
	    creationPending: 3;
	    notValidated: 4;
	    autoPalletization: 5;
	    waitToPalletized: 6;
	    waitToLoad: 7;
	    waitToShip: 8;
	    shipped: 9;
	}
	export type ParcelStatus = keyof ParcelStatus$EnumInterface;
	export const parcelStatusDatatype: X3EnumDataType<keyof ParcelStatus$EnumInterface, unknown>;
	//# sourceMappingURL=parcel-status.d.ts.map
}
// From file: /agent/_work/1/s/wh-services/shared/wh-product-data/build/lib/enums/packing.d.ts
declare module '@sage/wh-product-data/lib/enums/packing' {
	import { X3EnumDataType } from '@sage/xtrem-x3-gateway';
	export enum PackingEnum {
	    withoutPacking = 1,
	    prePacking = 2,
	    declarativePacking = 3
	}
	export interface Packing$EnumInterface {
	    withoutPacking: 1;
	    prePacking: 2;
	    declarativePacking: 3;
	}
	export type Packing = keyof Packing$EnumInterface;
	export const packingDatatype: X3EnumDataType<keyof Packing$EnumInterface, unknown>;
	//# sourceMappingURL=packing.d.ts.map
}
// From file: /agent/_work/1/s/wh-services/shared/wh-product-data/build/lib/enums/packaging-group.d.ts
declare module '@sage/wh-product-data/lib/enums/packaging-group' {
	import { X3EnumDataType } from '@sage/xtrem-x3-gateway';
	export enum PackagingGroupEnum {
	    i = 1,
	    ii = 2,
	    iii = 3,
	    notUsed4 = 4
	}
	export interface PackagingGroup$EnumInterface {
	    i: 1;
	    ii: 2;
	    iii: 3;
	    notUsed4: 4;
	}
	export type PackagingGroup = keyof PackagingGroup$EnumInterface;
	export const packagingGroupDatatype: X3EnumDataType<keyof PackagingGroup$EnumInterface, unknown>;
	//# sourceMappingURL=packaging-group.d.ts.map
}
// From file: /agent/_work/1/s/wh-services/shared/wh-product-data/build/lib/enums/output-of-the-reserve.d.ts
declare module '@sage/wh-product-data/lib/enums/output-of-the-reserve' {
	import { X3EnumDataType } from '@sage/xtrem-x3-gateway';
	export enum OutputOfTheReserveEnum {
	    fifoDate = 1,
	    occupation = 2,
	    cuStkQuantity = 3,
	    store = 4,
	    fifoBracket = 5,
	    lotNumber = 6
	}
	export interface OutputOfTheReserve$EnumInterface {
	    fifoDate: 1;
	    occupation: 2;
	    cuStkQuantity: 3;
	    store: 4;
	    fifoBracket: 5;
	    lotNumber: 6;
	}
	export type OutputOfTheReserve = keyof OutputOfTheReserve$EnumInterface;
	export const outputOfTheReserveDatatype: X3EnumDataType<keyof OutputOfTheReserve$EnumInterface, unknown>;
	//# sourceMappingURL=output-of-the-reserve.d.ts.map
}
// From file: /agent/_work/1/s/wh-services/shared/wh-product-data/build/lib/enums/output-movement-status.d.ts
declare module '@sage/wh-product-data/lib/enums/output-movement-status' {
	import { X3EnumDataType } from '@sage/xtrem-x3-gateway';
	export enum OutputMovementStatusEnum {
	    beingAddressed = 1,
	    notUsed2 = 2,
	    addressed = 3,
	    inShortage = 4,
	    cancelledInThePreparation = 5,
	    cancelledInTheShipment = 6,
	    deferredInTheShipment = 7,
	    validated = 8,
	    shipped = 9
	}
	export interface OutputMovementStatus$EnumInterface {
	    beingAddressed: 1;
	    notUsed2: 2;
	    addressed: 3;
	    inShortage: 4;
	    cancelledInThePreparation: 5;
	    cancelledInTheShipment: 6;
	    deferredInTheShipment: 7;
	    validated: 8;
	    shipped: 9;
	}
	export type OutputMovementStatus = keyof OutputMovementStatus$EnumInterface;
	export const outputMovementStatusDatatype: X3EnumDataType<keyof OutputMovementStatus$EnumInterface, unknown>;
	//# sourceMappingURL=output-movement-status.d.ts.map
}
// From file: /agent/_work/1/s/wh-services/shared/wh-product-data/build/lib/enums/multi-picking-issue.d.ts
declare module '@sage/wh-product-data/lib/enums/multi-picking-issue' {
	import { X3EnumDataType } from '@sage/xtrem-x3-gateway';
	export enum MultiPickingIssueEnum {
	    fifoDate = 1,
	    occupation = 2,
	    cuQuantity = 3,
	    pickingPriority = 4,
	    fifoBracket = 5
	}
	export interface MultiPickingIssue$EnumInterface {
	    fifoDate: 1;
	    occupation: 2;
	    cuQuantity: 3;
	    pickingPriority: 4;
	    fifoBracket: 5;
	}
	export type MultiPickingIssue = keyof MultiPickingIssue$EnumInterface;
	export const multiPickingIssueDatatype: X3EnumDataType<keyof MultiPickingIssue$EnumInterface, unknown>;
	//# sourceMappingURL=multi-picking-issue.d.ts.map
}
// From file: /agent/_work/1/s/wh-services/shared/wh-product-data/build/lib/enums/movement-type.d.ts
declare module '@sage/wh-product-data/lib/enums/movement-type' {
	import { X3EnumDataType } from '@sage/xtrem-x3-gateway';
	export enum MovementTypeEnum {
	    normal = 1,
	    mergingWithAccrual = 2,
	    mergingWithoutAccrual = 3,
	    stockOutReplenishment = 4,
	    preventiveReplenishment = 5,
	    transferEntireContainer = 6,
	    mergingFlowsTransfer = 7,
	    mergingFlowsReplenishment = 8,
	    componentTransfer = 9,
	    componentReplen = 10,
	    kitTransfer = 11,
	    kitReorder = 12
	}
	export interface MovementType$EnumInterface {
	    normal: 1;
	    mergingWithAccrual: 2;
	    mergingWithoutAccrual: 3;
	    stockOutReplenishment: 4;
	    preventiveReplenishment: 5;
	    transferEntireContainer: 6;
	    mergingFlowsTransfer: 7;
	    mergingFlowsReplenishment: 8;
	    componentTransfer: 9;
	    componentReplen: 10;
	    kitTransfer: 11;
	    kitReorder: 12;
	}
	export type MovementType = keyof MovementType$EnumInterface;
	export const movementTypeDatatype: X3EnumDataType<keyof MovementType$EnumInterface, unknown>;
	//# sourceMappingURL=movement-type.d.ts.map
}
// From file: /agent/_work/1/s/wh-services/shared/wh-product-data/build/lib/enums/merging-in-input.d.ts
declare module '@sage/wh-product-data/lib/enums/merging-in-input' {
	import { X3EnumDataType } from '@sage/xtrem-x3-gateway';
	export enum MergingInInputEnum {
	    no = 1,
	    yes = 2,
	    yesIfIncomplete = 3,
	    yesIfNotStandard = 4
	}
	export interface MergingInInput$EnumInterface {
	    no: 1;
	    yes: 2;
	    yesIfIncomplete: 3;
	    yesIfNotStandard: 4;
	}
	export type MergingInInput = keyof MergingInInput$EnumInterface;
	export const mergingInInputDatatype: X3EnumDataType<keyof MergingInInput$EnumInterface, unknown>;
	//# sourceMappingURL=merging-in-input.d.ts.map
}
// From file: /agent/_work/1/s/wh-services/shared/wh-product-data/build/lib/enums/load-split.d.ts
declare module '@sage/wh-product-data/lib/enums/load-split' {
	import { X3EnumDataType } from '@sage/xtrem-x3-gateway';
	export enum LoadSplitEnum {
	    parcel = 1,
	    su = 2
	}
	export interface LoadSplit$EnumInterface {
	    parcel: 1;
	    su: 2;
	}
	export type LoadSplit = keyof LoadSplit$EnumInterface;
	export const loadSplitDatatype: X3EnumDataType<keyof LoadSplit$EnumInterface, unknown>;
	//# sourceMappingURL=load-split.d.ts.map
}
// From file: /agent/_work/1/s/wh-services/shared/wh-product-data/build/lib/enums/inventory-type.d.ts
declare module '@sage/wh-product-data/lib/enums/inventory-type' {
	import { X3EnumDataType } from '@sage/xtrem-x3-gateway';
	export enum InventoryTypeEnum {
	    byAddress = 1,
	    byItem = 2
	}
	export interface InventoryType$EnumInterface {
	    byAddress: 1;
	    byItem: 2;
	}
	export type InventoryType = keyof InventoryType$EnumInterface;
	export const inventoryTypeDatatype: X3EnumDataType<keyof InventoryType$EnumInterface, unknown>;
	//# sourceMappingURL=inventory-type.d.ts.map
}
// From file: /agent/_work/1/s/wh-services/shared/wh-product-data/build/lib/enums/inventory-status.d.ts
declare module '@sage/wh-product-data/lib/enums/inventory-status' {
	import { X3EnumDataType } from '@sage/xtrem-x3-gateway';
	export enum InventoryStatusEnum {
	    pending = 1,
	    closed = 2,
	    settled = 3,
	    partiallyClosed = 4
	}
	export interface InventoryStatus$EnumInterface {
	    pending: 1;
	    closed: 2;
	    settled: 3;
	    partiallyClosed: 4;
	}
	export type InventoryStatus = keyof InventoryStatus$EnumInterface;
	export const inventoryStatusDatatype: X3EnumDataType<keyof InventoryStatus$EnumInterface, unknown>;
	//# sourceMappingURL=inventory-status.d.ts.map
}
// From file: /agent/_work/1/s/wh-services/shared/wh-product-data/build/lib/enums/inventory-line-type.d.ts
declare module '@sage/wh-product-data/lib/enums/inventory-line-type' {
	import { X3EnumDataType } from '@sage/xtrem-x3-gateway';
	export enum InventoryLineTypeEnum {
	    pending = 1,
	    closed = 2,
	    settled = 3,
	    canBeClosed = 4,
	    cannotBeClosed = 5
	}
	export interface InventoryLineType$EnumInterface {
	    pending: 1;
	    closed: 2;
	    settled: 3;
	    canBeClosed: 4;
	    cannotBeClosed: 5;
	}
	export type InventoryLineType = keyof InventoryLineType$EnumInterface;
	export const inventoryLineTypeDatatype: X3EnumDataType<keyof InventoryLineType$EnumInterface, unknown>;
	//# sourceMappingURL=inventory-line-type.d.ts.map
}
// From file: /agent/_work/1/s/wh-services/shared/wh-product-data/build/lib/enums/inventory-discrepancy.d.ts
declare module '@sage/wh-product-data/lib/enums/inventory-discrepancy' {
	import { X3EnumDataType } from '@sage/xtrem-x3-gateway';
	export enum InventoryDiscrepancyEnum {
	    no = 1,
	    yes = 2,
	    adjustedInPart = 3,
	    adjusted = 4,
	    notAdjusted = 5
	}
	export interface InventoryDiscrepancy$EnumInterface {
	    no: 1;
	    yes: 2;
	    adjustedInPart: 3;
	    adjusted: 4;
	    notAdjusted: 5;
	}
	export type InventoryDiscrepancy = keyof InventoryDiscrepancy$EnumInterface;
	export const inventoryDiscrepancyDatatype: X3EnumDataType<keyof InventoryDiscrepancy$EnumInterface, unknown>;
	//# sourceMappingURL=inventory-discrepancy.d.ts.map
}
// From file: /agent/_work/1/s/wh-services/shared/wh-product-data/build/lib/enums/input-movement-status.d.ts
declare module '@sage/wh-product-data/lib/enums/input-movement-status' {
	import { X3EnumDataType } from '@sage/xtrem-x3-gateway';
	export enum InputMovementStatusEnum {
	    notAddressed = 1,
	    notUsed2 = 2,
	    notUsed3 = 3,
	    addressed = 4,
	    notUsed5 = 5,
	    notUsed6 = 6,
	    notUsed7 = 7,
	    storedClosed = 8
	}
	export interface InputMovementStatus$EnumInterface {
	    notAddressed: 1;
	    notUsed2: 2;
	    notUsed3: 3;
	    addressed: 4;
	    notUsed5: 5;
	    notUsed6: 6;
	    notUsed7: 7;
	    storedClosed: 8;
	}
	export type InputMovementStatus = keyof InputMovementStatus$EnumInterface;
	export const inputMovementStatusDatatype: X3EnumDataType<keyof InputMovementStatus$EnumInterface, unknown>;
	//# sourceMappingURL=input-movement-status.d.ts.map
}
// From file: /agent/_work/1/s/wh-services/shared/wh-product-data/build/lib/enums/input-line-status.d.ts
declare module '@sage/wh-product-data/lib/enums/input-line-status' {
	import { X3EnumDataType } from '@sage/xtrem-x3-gateway';
	export enum InputLineStatusEnum {
	    notAddressed = 1,
	    notUsed2 = 2,
	    notUsed3 = 3,
	    addressed = 4,
	    notUsed5 = 5,
	    notUsed6 = 6,
	    notUsed7 = 7,
	    storedClosed = 8
	}
	export interface InputLineStatus$EnumInterface {
	    notAddressed: 1;
	    notUsed2: 2;
	    notUsed3: 3;
	    addressed: 4;
	    notUsed5: 5;
	    notUsed6: 6;
	    notUsed7: 7;
	    storedClosed: 8;
	}
	export type InputLineStatus = keyof InputLineStatus$EnumInterface;
	export const inputLineStatusDatatype: X3EnumDataType<keyof InputLineStatus$EnumInterface, unknown>;
	//# sourceMappingURL=input-line-status.d.ts.map
}
// From file: /agent/_work/1/s/wh-services/shared/wh-product-data/build/lib/enums/input-header-status.d.ts
declare module '@sage/wh-product-data/lib/enums/input-header-status' {
	import { X3EnumDataType } from '@sage/xtrem-x3-gateway';
	export enum InputHeaderStatusEnum {
	    notAdressed = 1,
	    inControl = 2,
	    notUsed3 = 3,
	    adressed = 4,
	    notUset5 = 5,
	    notUsed6 = 6,
	    notUsed7 = 7,
	    storedClosed = 8
	}
	export interface InputHeaderStatus$EnumInterface {
	    notAdressed: 1;
	    inControl: 2;
	    notUsed3: 3;
	    adressed: 4;
	    notUset5: 5;
	    notUsed6: 6;
	    notUsed7: 7;
	    storedClosed: 8;
	}
	export type InputHeaderStatus = keyof InputHeaderStatus$EnumInterface;
	export const inputHeaderStatusDatatype: X3EnumDataType<keyof InputHeaderStatus$EnumInterface, unknown>;
	//# sourceMappingURL=input-header-status.d.ts.map
}
// From file: /agent/_work/1/s/wh-services/shared/wh-product-data/build/lib/enums/index.d.ts
declare module '@sage/wh-product-data/lib/enums/index' {
	export * from '@sage/wh-product-data/lib/enums/assembly-movement-status';
	export * from '@sage/wh-product-data/lib/enums/assembly-order-status';
	export * from '@sage/wh-product-data/lib/enums/auto-palletization-status';
	export * from '@sage/wh-product-data/lib/enums/blocking-reason';
	export * from '@sage/wh-product-data/lib/enums/cancelation-of-ei-shortage';
	export * from '@sage/wh-product-data/lib/enums/class';
	export * from '@sage/wh-product-data/lib/enums/colis';
	export * from '@sage/wh-product-data/lib/enums/counting-type';
	export * from '@sage/wh-product-data/lib/enums/cross-docking';
	export * from '@sage/wh-product-data/lib/enums/delivery-order-line-status';
	export * from '@sage/wh-product-data/lib/enums/dispatchable-in-state';
	export * from '@sage/wh-product-data/lib/enums/do-line-type';
	export * from '@sage/wh-product-data/lib/enums/edi-level';
	export * from '@sage/wh-product-data/lib/enums/edi-mngt-status';
	export * from '@sage/wh-product-data/lib/enums/expected-input-line-status';
	export * from '@sage/wh-product-data/lib/enums/expected-input-status';
	export * from '@sage/wh-product-data/lib/enums/fifo-date';
	export * from '@sage/wh-product-data/lib/enums/incomplete-output-authorized';
	export * from '@sage/wh-product-data/lib/enums/input-header-status';
	export * from '@sage/wh-product-data/lib/enums/input-line-status';
	export * from '@sage/wh-product-data/lib/enums/input-movement-status';
	export * from '@sage/wh-product-data/lib/enums/inventory-discrepancy';
	export * from '@sage/wh-product-data/lib/enums/inventory-line-type';
	export * from '@sage/wh-product-data/lib/enums/inventory-status';
	export * from '@sage/wh-product-data/lib/enums/inventory-type';
	export * from '@sage/wh-product-data/lib/enums/load-split';
	export * from '@sage/wh-product-data/lib/enums/merging-in-input';
	export * from '@sage/wh-product-data/lib/enums/movement-type';
	export * from '@sage/wh-product-data/lib/enums/multi-picking-issue';
	export * from '@sage/wh-product-data/lib/enums/output-movement-status';
	export * from '@sage/wh-product-data/lib/enums/output-of-the-reserve';
	export * from '@sage/wh-product-data/lib/enums/packaging-group';
	export * from '@sage/wh-product-data/lib/enums/packing';
	export * from '@sage/wh-product-data/lib/enums/parcel-status';
	export * from '@sage/wh-product-data/lib/enums/picking-location-priority';
	export * from '@sage/wh-product-data/lib/enums/po-print-sequence';
	export * from '@sage/wh-product-data/lib/enums/po-type';
	export * from '@sage/wh-product-data/lib/enums/receipt-line-status';
	export * from '@sage/wh-product-data/lib/enums/receipt-reference-type';
	export * from '@sage/wh-product-data/lib/enums/receipt-status';
	export * from '@sage/wh-product-data/lib/enums/replenishment-movement-type';
	export * from '@sage/wh-product-data/lib/enums/reserve-output-authorized';
	export * from '@sage/wh-product-data/lib/enums/reversible-freezing';
	export * from '@sage/wh-product-data/lib/enums/sampling-type';
	export * from '@sage/wh-product-data/lib/enums/serial-action';
	export * from '@sage/wh-product-data/lib/enums/shipping-unit-status';
	export * from '@sage/wh-product-data/lib/enums/simplified-stock-count-status';
	export * from '@sage/wh-product-data/lib/enums/stock-count-creation-origin';
	export * from '@sage/wh-product-data/lib/enums/storing-list-purchase-order-status';
	export * from '@sage/wh-product-data/lib/enums/su-creation-type';
	export * from '@sage/wh-product-data/lib/enums/threshold-pallet-always';
	export * from '@sage/wh-product-data/lib/enums/transmission-l-3';
	export * from '@sage/wh-product-data/lib/enums/type';
	export * from '@sage/wh-product-data/lib/enums/unit-length';
	export * from '@sage/wh-product-data/lib/enums/vt-grouping-criteria';
	export * from '@sage/wh-product-data/lib/enums/wave-status';
	export * from '@sage/wh-product-data/lib/enums/wave-type';
	//# sourceMappingURL=index.d.ts.map
}
// From file: /agent/_work/1/s/wh-services/shared/wh-product-data/build/lib/enums/incomplete-output-authorized.d.ts
declare module '@sage/wh-product-data/lib/enums/incomplete-output-authorized' {
	import { X3EnumDataType } from '@sage/xtrem-x3-gateway';
	export enum IncompleteOutputAuthorizedEnum {
	    no = 1,
	    requestStandardQuantity = 2,
	    always = 3
	}
	export interface IncompleteOutputAuthorized$EnumInterface {
	    no: 1;
	    requestStandardQuantity: 2;
	    always: 3;
	}
	export type IncompleteOutputAuthorized = keyof IncompleteOutputAuthorized$EnumInterface;
	export const incompleteOutputAuthorizedDatatype: X3EnumDataType<keyof IncompleteOutputAuthorized$EnumInterface, unknown>;
	//# sourceMappingURL=incomplete-output-authorized.d.ts.map
}
// From file: /agent/_work/1/s/wh-services/shared/wh-product-data/build/lib/enums/fifo-date.d.ts
declare module '@sage/wh-product-data/lib/enums/fifo-date' {
	import { X3EnumDataType } from '@sage/xtrem-x3-gateway';
	export enum FifoDateEnum {
	    input = 1,
	    manufacturing = 2,
	    sellByDate = 3,
	    maximumConservationLimit = 4,
	    sendByDateLimit = 5
	}
	export interface FifoDate$EnumInterface {
	    input: 1;
	    manufacturing: 2;
	    sellByDate: 3;
	    maximumConservationLimit: 4;
	    sendByDateLimit: 5;
	}
	export type FifoDate = keyof FifoDate$EnumInterface;
	export const fifoDateDatatype: X3EnumDataType<keyof FifoDate$EnumInterface, unknown>;
	//# sourceMappingURL=fifo-date.d.ts.map
}
// From file: /agent/_work/1/s/wh-services/shared/wh-product-data/build/lib/enums/expected-input-status.d.ts
declare module '@sage/wh-product-data/lib/enums/expected-input-status' {
	import { X3EnumDataType } from '@sage/xtrem-x3-gateway';
	export enum ExpectedInputStatusEnum {
	    notReceived = 1,
	    partialReceipt = 2,
	    firstReceiptPending = 3,
	    fourthReceiptPending = 4,
	    notUsed5 = 5,
	    notUsed6 = 6,
	    notUsed7 = 7,
	    receivedClosed = 8
	}
	export interface ExpectedInputStatus$EnumInterface {
	    notReceived: 1;
	    partialReceipt: 2;
	    firstReceiptPending: 3;
	    fourthReceiptPending: 4;
	    notUsed5: 5;
	    notUsed6: 6;
	    notUsed7: 7;
	    receivedClosed: 8;
	}
	export type ExpectedInputStatus = keyof ExpectedInputStatus$EnumInterface;
	export const expectedInputStatusDatatype: X3EnumDataType<keyof ExpectedInputStatus$EnumInterface, unknown>;
	//# sourceMappingURL=expected-input-status.d.ts.map
}
// From file: /agent/_work/1/s/wh-services/shared/wh-product-data/build/lib/enums/expected-input-line-status.d.ts
declare module '@sage/wh-product-data/lib/enums/expected-input-line-status' {
	import { X3EnumDataType } from '@sage/xtrem-x3-gateway';
	export enum ExpectedInputLineStatusEnum {
	    notReceived = 1,
	    partialReceipt = 2,
	    notUsed3 = 3,
	    notUsed4 = 4,
	    notUsed5 = 5,
	    notUsed6 = 6,
	    notUsed7 = 7,
	    receivedClosed = 8
	}
	export interface ExpectedInputLineStatus$EnumInterface {
	    notReceived: 1;
	    partialReceipt: 2;
	    notUsed3: 3;
	    notUsed4: 4;
	    notUsed5: 5;
	    notUsed6: 6;
	    notUsed7: 7;
	    receivedClosed: 8;
	}
	export type ExpectedInputLineStatus = keyof ExpectedInputLineStatus$EnumInterface;
	export const expectedInputLineStatusDatatype: X3EnumDataType<keyof ExpectedInputLineStatus$EnumInterface, unknown>;
	//# sourceMappingURL=expected-input-line-status.d.ts.map
}
// From file: /agent/_work/1/s/wh-services/shared/wh-product-data/build/lib/enums/edi-mngt-status.d.ts
declare module '@sage/wh-product-data/lib/enums/edi-mngt-status' {
	import { X3EnumDataType } from '@sage/xtrem-x3-gateway';
	export enum EdiMngtStatusEnum {
	    pending = 1,
	    finished = 2,
	    notConcerned = 3
	}
	export interface EdiMngtStatus$EnumInterface {
	    pending: 1;
	    finished: 2;
	    notConcerned: 3;
	}
	export type EdiMngtStatus = keyof EdiMngtStatus$EnumInterface;
	export const ediMngtStatusDatatype: X3EnumDataType<keyof EdiMngtStatus$EnumInterface, unknown>;
	//# sourceMappingURL=edi-mngt-status.d.ts.map
}
// From file: /agent/_work/1/s/wh-services/shared/wh-product-data/build/lib/enums/edi-level.d.ts
declare module '@sage/wh-product-data/lib/enums/edi-level' {
	import { X3EnumDataType } from '@sage/xtrem-x3-gateway';
	export enum EdiLevelEnum {
	    parcel = 1,
	    dn = 2,
	    cr = 3,
	    su = 4
	}
	export interface EdiLevel$EnumInterface {
	    parcel: 1;
	    dn: 2;
	    cr: 3;
	    su: 4;
	}
	export type EdiLevel = keyof EdiLevel$EnumInterface;
	export const ediLevelDatatype: X3EnumDataType<keyof EdiLevel$EnumInterface, unknown>;
	//# sourceMappingURL=edi-level.d.ts.map
}
// From file: /agent/_work/1/s/wh-services/shared/wh-product-data/build/lib/enums/do-line-type.d.ts
declare module '@sage/wh-product-data/lib/enums/do-line-type' {
	import { X3EnumDataType } from '@sage/xtrem-x3-gateway';
	export enum DoLineTypeEnum {
	    item = 1,
	    kit = 2,
	    component = 3,
	    commentary = 4
	}
	export interface DoLineType$EnumInterface {
	    item: 1;
	    kit: 2;
	    component: 3;
	    commentary: 4;
	}
	export type DoLineType = keyof DoLineType$EnumInterface;
	export const doLineTypeDatatype: X3EnumDataType<keyof DoLineType$EnumInterface, unknown>;
	//# sourceMappingURL=do-line-type.d.ts.map
}
// From file: /agent/_work/1/s/wh-services/shared/wh-product-data/build/lib/enums/dispatchable-in-state.d.ts
declare module '@sage/wh-product-data/lib/enums/dispatchable-in-state' {
	import { X3EnumDataType } from '@sage/xtrem-x3-gateway';
	export enum DispatchableInStateEnum {
	    no = 1,
	    yes = 2,
	    yesIfStandard = 3
	}
	export interface DispatchableInState$EnumInterface {
	    no: 1;
	    yes: 2;
	    yesIfStandard: 3;
	}
	export type DispatchableInState = keyof DispatchableInState$EnumInterface;
	export const dispatchableInStateDatatype: X3EnumDataType<keyof DispatchableInState$EnumInterface, unknown>;
	//# sourceMappingURL=dispatchable-in-state.d.ts.map
}
// From file: /agent/_work/1/s/wh-services/shared/wh-product-data/build/lib/enums/delivery-order-line-status.d.ts
declare module '@sage/wh-product-data/lib/enums/delivery-order-line-status' {
	import { X3EnumDataType } from '@sage/xtrem-x3-gateway';
	export enum DeliveryOrderLineStatusEnum {
	    waitFirstPick = 1,
	    waitNthPick = 2,
	    selectedForPreparation = 3,
	    preparationInProcess = 4,
	    notUsed5 = 5,
	    notUsed6 = 6,
	    notUsed7 = 7,
	    waitToShip = 8,
	    shippedClosed = 9
	}
	export interface DeliveryOrderLineStatus$EnumInterface {
	    waitFirstPick: 1;
	    waitNthPick: 2;
	    selectedForPreparation: 3;
	    preparationInProcess: 4;
	    notUsed5: 5;
	    notUsed6: 6;
	    notUsed7: 7;
	    waitToShip: 8;
	    shippedClosed: 9;
	}
	export type DeliveryOrderLineStatus = keyof DeliveryOrderLineStatus$EnumInterface;
	export const deliveryOrderLineStatusDatatype: X3EnumDataType<keyof DeliveryOrderLineStatus$EnumInterface, unknown>;
	//# sourceMappingURL=delivery-order-line-status.d.ts.map
}
// From file: /agent/_work/1/s/wh-services/shared/wh-product-data/build/lib/enums/cross-docking.d.ts
declare module '@sage/wh-product-data/lib/enums/cross-docking' {
	import { X3EnumDataType } from '@sage/xtrem-x3-gateway';
	export enum CrossDockingEnum {
	    no = 1,
	    yesIfShortage = 2,
	    yesPriority = 3
	}
	export interface CrossDocking$EnumInterface {
	    no: 1;
	    yesIfShortage: 2;
	    yesPriority: 3;
	}
	export type CrossDocking = keyof CrossDocking$EnumInterface;
	export const crossDockingDatatype: X3EnumDataType<keyof CrossDocking$EnumInterface, unknown>;
	//# sourceMappingURL=cross-docking.d.ts.map
}
// From file: /agent/_work/1/s/wh-services/shared/wh-product-data/build/lib/enums/counting-type.d.ts
declare module '@sage/wh-product-data/lib/enums/counting-type' {
	import { X3EnumDataType } from '@sage/xtrem-x3-gateway';
	export enum CountingTypeEnum {
	    inventoryLines = 1,
	    countDiscrepancies = 2,
	    gapBetween2Counts = 3
	}
	export interface CountingType$EnumInterface {
	    inventoryLines: 1;
	    countDiscrepancies: 2;
	    gapBetween2Counts: 3;
	}
	export type CountingType = keyof CountingType$EnumInterface;
	export const countingTypeDatatype: X3EnumDataType<keyof CountingType$EnumInterface, unknown>;
	//# sourceMappingURL=counting-type.d.ts.map
}
// From file: /agent/_work/1/s/wh-services/shared/wh-product-data/build/lib/enums/colis.d.ts
declare module '@sage/wh-product-data/lib/enums/colis' {
	import { X3EnumDataType } from '@sage/xtrem-x3-gateway';
	export enum ColisEnum {
	    onDock = 1,
	    pendingTransfer = 2,
	    exDock = 3
	}
	export interface Colis$EnumInterface {
	    onDock: 1;
	    pendingTransfer: 2;
	    exDock: 3;
	}
	export type Colis = keyof Colis$EnumInterface;
	export const colisDatatype: X3EnumDataType<keyof Colis$EnumInterface, unknown>;
	//# sourceMappingURL=colis.d.ts.map
}
// From file: /agent/_work/1/s/wh-services/shared/wh-product-data/build/lib/enums/class.d.ts
declare module '@sage/wh-product-data/lib/enums/class' {
	import { X3EnumDataType } from '@sage/xtrem-x3-gateway';
	export enum ClassEnum {
	    depositorItem = 1,
	    store = 2,
	    rotationClass = 3,
	    assignmentClass = 4,
	    container = 5
	}
	export interface Class$EnumInterface {
	    depositorItem: 1;
	    store: 2;
	    rotationClass: 3;
	    assignmentClass: 4;
	    container: 5;
	}
	export type Class = keyof Class$EnumInterface;
	export const classDatatype: X3EnumDataType<keyof Class$EnumInterface, unknown>;
	//# sourceMappingURL=class.d.ts.map
}
// From file: /agent/_work/1/s/wh-services/shared/wh-product-data/build/lib/enums/cancelation-of-ei-shortage.d.ts
declare module '@sage/wh-product-data/lib/enums/cancelation-of-ei-shortage' {
	import { X3EnumDataType } from '@sage/xtrem-x3-gateway';
	export enum CancelationOfEiShortageEnum {
	    no = 1,
	    closeTheLine = 2,
	    closeTheInput = 3
	}
	export interface CancelationOfEiShortage$EnumInterface {
	    no: 1;
	    closeTheLine: 2;
	    closeTheInput: 3;
	}
	export type CancelationOfEiShortage = keyof CancelationOfEiShortage$EnumInterface;
	export const cancelationOfEiShortageDatatype: X3EnumDataType<keyof CancelationOfEiShortage$EnumInterface, unknown>;
	//# sourceMappingURL=cancelation-of-ei-shortage.d.ts.map
}
// From file: /agent/_work/1/s/wh-services/shared/wh-product-data/build/lib/enums/blocking-reason.d.ts
declare module '@sage/wh-product-data/lib/enums/blocking-reason' {
	import { X3EnumDataType } from '@sage/xtrem-x3-gateway';
	export enum BlockingReasonEnum {
	    inventoryPending = 1,
	    blockedInOutput = 2,
	    forbiddenInOutput = 3,
	    reserved = 4,
	    stockNature = 5,
	    datesExpired = 6
	}
	export interface BlockingReason$EnumInterface {
	    inventoryPending: 1;
	    blockedInOutput: 2;
	    forbiddenInOutput: 3;
	    reserved: 4;
	    stockNature: 5;
	    datesExpired: 6;
	}
	export type BlockingReason = keyof BlockingReason$EnumInterface;
	export const blockingReasonDatatype: X3EnumDataType<keyof BlockingReason$EnumInterface, unknown>;
	//# sourceMappingURL=blocking-reason.d.ts.map
}
// From file: /agent/_work/1/s/wh-services/shared/wh-product-data/build/lib/enums/auto-palletization-status.d.ts
declare module '@sage/wh-product-data/lib/enums/auto-palletization-status' {
	import { X3EnumDataType } from '@sage/xtrem-x3-gateway';
	export enum AutoPalletizationStatusEnum {
	    notValidated = 1,
	    notUsed2 = 2,
	    partlyValidated = 3,
	    validated = 4,
	    cancelled = 5
	}
	export interface AutoPalletizationStatus$EnumInterface {
	    notValidated: 1;
	    notUsed2: 2;
	    partlyValidated: 3;
	    validated: 4;
	    cancelled: 5;
	}
	export type AutoPalletizationStatus = keyof AutoPalletizationStatus$EnumInterface;
	export const autoPalletizationStatusDatatype: X3EnumDataType<keyof AutoPalletizationStatus$EnumInterface, unknown>;
	//# sourceMappingURL=auto-palletization-status.d.ts.map
}
// From file: /agent/_work/1/s/wh-services/shared/wh-product-data/build/lib/enums/assembly-order-status.d.ts
declare module '@sage/wh-product-data/lib/enums/assembly-order-status' {
	import { X3EnumDataType } from '@sage/xtrem-x3-gateway';
	export enum AssemblyOrderStatusEnum {
	    pendingPreparation = 1,
	    notUsed2 = 2,
	    selectedForPreparation = 3,
	    preparationUnderProgress = 4,
	    notUsed5 = 5,
	    notUsed6 = 6,
	    notUsed7 = 7,
	    notUsed8 = 8,
	    processed = 9
	}
	export interface AssemblyOrderStatus$EnumInterface {
	    pendingPreparation: 1;
	    notUsed2: 2;
	    selectedForPreparation: 3;
	    preparationUnderProgress: 4;
	    notUsed5: 5;
	    notUsed6: 6;
	    notUsed7: 7;
	    notUsed8: 8;
	    processed: 9;
	}
	export type AssemblyOrderStatus = keyof AssemblyOrderStatus$EnumInterface;
	export const assemblyOrderStatusDatatype: X3EnumDataType<keyof AssemblyOrderStatus$EnumInterface, unknown>;
	//# sourceMappingURL=assembly-order-status.d.ts.map
}
// From file: /agent/_work/1/s/wh-services/shared/wh-product-data/build/lib/enums/assembly-movement-status.d.ts
declare module '@sage/wh-product-data/lib/enums/assembly-movement-status' {
	import { X3EnumDataType } from '@sage/xtrem-x3-gateway';
	export enum AssemblyMovementStatusEnum {
	    notAddressed = 1,
	    notUsed2 = 2,
	    addressed = 3,
	    notUsed4 = 4,
	    nonCompliant = 5,
	    compliant = 6,
	    notUsed7 = 7,
	    notUsed8 = 8,
	    validated = 9
	}
	export interface AssemblyMovementStatus$EnumInterface {
	    notAddressed: 1;
	    notUsed2: 2;
	    addressed: 3;
	    notUsed4: 4;
	    nonCompliant: 5;
	    compliant: 6;
	    notUsed7: 7;
	    notUsed8: 8;
	    validated: 9;
	}
	export type AssemblyMovementStatus = keyof AssemblyMovementStatus$EnumInterface;
	export const assemblyMovementStatusDatatype: X3EnumDataType<keyof AssemblyMovementStatus$EnumInterface, unknown>;
	//# sourceMappingURL=assembly-movement-status.d.ts.map
}
declare module '@sage/wh-product-data' {
	export * from '@sage/wh-product-data/index';
}
