import { Collection, date, Node, Reference } from '@sage/xtrem-core';
import { TestContactRelationshipAddressLine } from './test-contact-relationship-address-line';
import { TestMiscellaneousTable } from './test-miscellaneous-table';
/** 4GL code: CONTACTCRM */
export declare class TestContactRelationship extends Node {
    /** 4GL code: CNTNUM */
    readonly code: Promise<string>;
    /** 4GL code: CNTFULNAM */
    readonly fullNameSearchKey: Promise<string>;
    /** 4GL code: CNTLNA */
    readonly lastName: Promise<string>;
    /** 4GL code: CNTFNA */
    readonly firstName: Promise<string>;
    /** 4GL code: CNTBIR */
    readonly dateOfBirth: Promise<date | null>;
    /** 4GL code: CNTCSP */
    readonly professionalCategory: Reference<TestMiscellaneousTable | null>;
    /** 4GL code: CRYNAM */
    readonly countryName: Promise<string>;
    /** 4GL code: ADD */
    readonly addressLines: Collection<TestContactRelationshipAddressLine>;
    /** 4GL code: ZIP */
    readonly zipCode: Promise<string>;
    /** 4GL code: CTY */
    readonly city: Promise<string>;
    /** 4GL code: SAT */
    readonly state: Promise<string>;
    /** 4GL code: CNTETS */
    readonly landline: Promise<string>;
    /** 4GL code: CNTFAX */
    readonly fax: Promise<string>;
    /** 4GL code: CNTMOB */
    readonly cellPhone: Promise<string>;
    /** 4GL code: CNTEMA */
    readonly email: Promise<string>;
    /** 4GL code: CNTFBDMAG */
    readonly isMailingProhibited: Promise<boolean | null>;
}
//# sourceMappingURL=test-contact-relationship.d.ts.map